package com.alibaba.fastjson.parser.deserializer;

import com.alibaba.fastjson.parser.DefaultJSONParser;
import com.alibaba.fastjson.parser.JSONLexer;
import com.alibaba.fastjson.parser.ParserConfig;
import com.alibaba.fastjson.util.FieldInfo;
import com.alibaba.fastjson.util.TypeUtils;
import java.lang.reflect.Type;
import java.util.Map;

public class IntegerFieldDeserializer extends FieldDeserializer {
    @Override // com.alibaba.fastjson.parser.deserializer.FieldDeserializer
    public int getFastMatchToken() {
        return 2;
    }

    public IntegerFieldDeserializer(ParserConfig parserConfig, Class<?> cls, FieldInfo fieldInfo) {
        super(cls, fieldInfo);
    }

    @Override // com.alibaba.fastjson.parser.deserializer.FieldDeserializer
    public void parseField(DefaultJSONParser defaultJSONParser, Object obj, Type type, Map<String, Object> map) {
        Integer num;
        JSONLexer lexer = defaultJSONParser.getLexer();
        if (lexer.token() == 2) {
            int intValue = lexer.intValue();
            lexer.nextToken(16);
            if (obj == null) {
                map.put(this.fieldInfo.getName(), Integer.valueOf(intValue));
            } else {
                setValue(obj, intValue);
            }
        } else {
            if (lexer.token() == 8) {
                num = null;
                lexer.nextToken(16);
            } else {
                num = TypeUtils.castToInt(defaultJSONParser.parse());
            }
            if (num != null || getFieldClass() != Integer.TYPE) {
                if (obj == null) {
                    map.put(this.fieldInfo.getName(), num);
                } else {
                    setValue(obj, num);
                }
            }
        }
    }
}
