package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.util.IOUtils;
import com.taobao.weex.el.parse.Operators;
import java.io.IOException;
import java.lang.reflect.Type;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class DateSerializer implements ObjectSerializer {
    public static final DateSerializer instance = new DateSerializer();

    @Override // com.alibaba.fastjson.serializer.ObjectSerializer
    public void write(JSONSerializer jSONSerializer, Object obj, Object obj2, Type type) throws IOException {
        char[] cArr;
        SerializeWriter writer = jSONSerializer.getWriter();
        if (obj == null) {
            writer.writeNull();
        } else if (!writer.isEnabled(SerializerFeature.WriteClassName) || obj.getClass() == type) {
            Date date = (Date) obj;
            if (writer.isEnabled(SerializerFeature.WriteDateUseDateFormat)) {
                DateFormat dateFormat = jSONSerializer.getDateFormat();
                if (dateFormat == null) {
                    dateFormat = new SimpleDateFormat(JSON.DEFFAULT_DATE_FORMAT);
                }
                writer.writeString(dateFormat.format(date));
                return;
            }
            long time = date.getTime();
            if (jSONSerializer.isEnabled(SerializerFeature.UseISO8601DateFormat)) {
                if (jSONSerializer.isEnabled(SerializerFeature.UseSingleQuotes)) {
                    writer.append(Operators.SINGLE_QUOTE);
                } else {
                    writer.append(Operators.QUOTE);
                }
                Calendar instance2 = Calendar.getInstance();
                instance2.setTimeInMillis(time);
                int i = instance2.get(1);
                int i2 = instance2.get(2) + 1;
                int i3 = instance2.get(5);
                int i4 = instance2.get(11);
                int i5 = instance2.get(12);
                int i6 = instance2.get(13);
                int i7 = instance2.get(14);
                if (i7 != 0) {
                    cArr = "0000-00-00T00:00:00.000".toCharArray();
                    IOUtils.getChars((long) i7, 23, cArr);
                    IOUtils.getChars((long) i6, 19, cArr);
                    IOUtils.getChars((long) i5, 16, cArr);
                    IOUtils.getChars((long) i4, 13, cArr);
                    IOUtils.getChars((long) i3, 10, cArr);
                    IOUtils.getChars((long) i2, 7, cArr);
                    IOUtils.getChars((long) i, 4, cArr);
                } else if (i6 == 0 && i5 == 0 && i4 == 0) {
                    cArr = "0000-00-00".toCharArray();
                    IOUtils.getChars((long) i3, 10, cArr);
                    IOUtils.getChars((long) i2, 7, cArr);
                    IOUtils.getChars((long) i, 4, cArr);
                } else {
                    cArr = "0000-00-00T00:00:00".toCharArray();
                    IOUtils.getChars((long) i6, 19, cArr);
                    IOUtils.getChars((long) i5, 16, cArr);
                    IOUtils.getChars((long) i4, 13, cArr);
                    IOUtils.getChars((long) i3, 10, cArr);
                    IOUtils.getChars((long) i2, 7, cArr);
                    IOUtils.getChars((long) i, 4, cArr);
                }
                writer.write(cArr);
                if (jSONSerializer.isEnabled(SerializerFeature.UseSingleQuotes)) {
                    writer.append(Operators.SINGLE_QUOTE);
                } else {
                    writer.append(Operators.QUOTE);
                }
            } else {
                writer.writeLong(time);
            }
        } else if (obj.getClass() == Date.class) {
            writer.write("new Date(");
            writer.writeLongAndChar(((Date) obj).getTime(), Operators.BRACKET_END);
        } else {
            writer.write(Operators.BLOCK_START);
            writer.writeFieldName(JSON.DEFAULT_TYPE_KEY);
            jSONSerializer.write(obj.getClass().getName());
            writer.writeFieldValue(Operators.ARRAY_SEPRATOR, "val", ((Date) obj).getTime());
            writer.write(Operators.BLOCK_END);
        }
    }
}
