package com.alibaba.fastjson.serializer;

import com.alibaba.fastjson.parser.DefaultJSONParser;
import com.alibaba.fastjson.parser.deserializer.ExtraProcessor;
import com.alibaba.fastjson.parser.deserializer.ExtraTypeProvider;
import java.lang.reflect.Type;
import java.util.List;

public class FilterUtils {
    public static Type getExtratype(DefaultJSONParser defaultJSONParser, Object obj, String str) {
        List<ExtraTypeProvider> extraTypeProvidersDirect = defaultJSONParser.getExtraTypeProvidersDirect();
        Type type = null;
        if (extraTypeProvidersDirect == null) {
            return null;
        }
        for (ExtraTypeProvider extraTypeProvider : extraTypeProvidersDirect) {
            type = extraTypeProvider.getExtraType(obj, str);
        }
        return type;
    }

    public static void processExtra(DefaultJSONParser defaultJSONParser, Object obj, String str, Object obj2) {
        List<ExtraProcessor> extraProcessorsDirect = defaultJSONParser.getExtraProcessorsDirect();
        if (extraProcessorsDirect != null) {
            for (ExtraProcessor extraProcessor : extraProcessorsDirect) {
                extraProcessor.processExtra(obj, str, obj2);
            }
        }
    }

    public static char writeBefore(JSONSerializer jSONSerializer, Object obj, char c) {
        List<BeforeFilter> beforeFiltersDirect = jSONSerializer.getBeforeFiltersDirect();
        if (beforeFiltersDirect != null) {
            for (BeforeFilter beforeFilter : beforeFiltersDirect) {
                c = beforeFilter.writeBefore(jSONSerializer, obj, c);
            }
        }
        return c;
    }

    public static char writeAfter(JSONSerializer jSONSerializer, Object obj, char c) {
        List<AfterFilter> afterFiltersDirect = jSONSerializer.getAfterFiltersDirect();
        if (afterFiltersDirect != null) {
            for (AfterFilter afterFilter : afterFiltersDirect) {
                c = afterFilter.writeAfter(jSONSerializer, obj, c);
            }
        }
        return c;
    }

    public static Object processValue(JSONSerializer jSONSerializer, Object obj, String str, Object obj2) {
        List<ValueFilter> valueFiltersDirect = jSONSerializer.getValueFiltersDirect();
        if (valueFiltersDirect != null) {
            for (ValueFilter valueFilter : valueFiltersDirect) {
                obj2 = valueFilter.process(obj, str, obj2);
            }
        }
        return obj2;
    }

    public static String processKey(JSONSerializer jSONSerializer, Object obj, String str, Object obj2) {
        List<NameFilter> nameFiltersDirect = jSONSerializer.getNameFiltersDirect();
        if (nameFiltersDirect != null) {
            for (NameFilter nameFilter : nameFiltersDirect) {
                str = nameFilter.process(obj, str, obj2);
            }
        }
        return str;
    }

    public static boolean applyName(JSONSerializer jSONSerializer, Object obj, String str) {
        List<PropertyPreFilter> propertyPreFiltersDirect = jSONSerializer.getPropertyPreFiltersDirect();
        if (propertyPreFiltersDirect == null) {
            return true;
        }
        for (PropertyPreFilter propertyPreFilter : propertyPreFiltersDirect) {
            if (!propertyPreFilter.apply(jSONSerializer, obj, str)) {
                return false;
            }
        }
        return true;
    }

    public static boolean apply(JSONSerializer jSONSerializer, Object obj, String str, Object obj2) {
        List<PropertyFilter> propertyFiltersDirect = jSONSerializer.getPropertyFiltersDirect();
        if (propertyFiltersDirect == null) {
            return true;
        }
        for (PropertyFilter propertyFilter : propertyFiltersDirect) {
            if (!propertyFilter.apply(obj, str, obj2)) {
                return false;
            }
        }
        return true;
    }
}
