package com.alibaba.fastjson.serializer;

import com.taobao.weex.el.parse.Operators;
import java.io.IOException;
import java.lang.reflect.Type;

public class ShortArraySerializer implements ObjectSerializer {
    public static ShortArraySerializer instance = new ShortArraySerializer();

    @Override // com.alibaba.fastjson.serializer.ObjectSerializer
    public final void write(JSONSerializer jSONSerializer, Object obj, Object obj2, Type type) throws IOException {
        SerializeWriter writer = jSONSerializer.getWriter();
        if (obj != null) {
            short[] sArr = (short[]) obj;
            writer.write(Operators.ARRAY_START);
            for (int i = 0; i < sArr.length; i++) {
                if (i != 0) {
                    writer.write(Operators.ARRAY_SEPRATOR);
                }
                writer.writeInt(sArr[i]);
            }
            writer.write(Operators.ARRAY_END);
        } else if (writer.isEnabled(SerializerFeature.WriteNullListAsEmpty)) {
            writer.write("[]");
        } else {
            writer.writeNull();
        }
    }
}
