package com.amap.api.maps.model;

import android.os.Parcel;
import android.os.Parcelable;
import com.amap.api.maps.model.BaseOptions;
import com.autonavi.util.a;
import java.util.ArrayList;
import java.util.List;

public final class MarkerOptions extends BaseOptions implements Parcelable, Cloneable {
    public static final MarkerOptionsCreator CREATOR = new MarkerOptionsCreator();
    String a;
    private float alpha = 1.0f;
    private float anchorU = 0.5f;
    private float anchorV = 1.0f;
    private float angleOffset = 0.0f;
    private boolean autoOverturn = false;
    private List<BitmapDescriptor> bitmapDescriptors = new ArrayList();
    private int dispLevel = 5;
    private LatLng gpsLatLng;
    private boolean infoWindowEnabled = true;
    private boolean isBelowMaskLayer;
    private boolean isDraggable = false;
    private boolean isFlat = false;
    private boolean isGps = false;
    private boolean isRotatingMode = false;
    private boolean isViewMode = false;
    private boolean isVisible = true;
    private LatLng latLng;
    private int offsetX = 0;
    private int offsetY = 0;
    private int period = 20;
    private boolean perspective = false;
    private float rotate;
    private int screenX;
    private int screenY;
    private String snippet;
    private String title;
    private MarkerUpdateFlags updateFlags = new MarkerUpdateFlags();
    private float zIndex = 0.0f;

    public final int describeContents() {
        return 0;
    }

    public final MarkerOptions icons(ArrayList<BitmapDescriptor> arrayList) {
        if (arrayList != null && arrayList.size() > 0) {
            this.bitmapDescriptors = arrayList;
            this.isRotatingMode = false;
            this.updateFlags.bitmapDescriptorsUpdate = true;
        }
        return this;
    }

    public final MarkerOptions rotatingIcons(ArrayList<BitmapDescriptor> arrayList, float f) {
        if (arrayList != null && arrayList.size() > 0) {
            this.bitmapDescriptors = arrayList;
            if (f != 0.0f) {
                this.angleOffset = f;
            } else {
                this.angleOffset = 360.0f / ((float) arrayList.size());
            }
            this.isRotatingMode = true;
            this.updateFlags.bitmapDescriptorsUpdate = true;
        }
        return this;
    }

    /* access modifiers changed from: protected */
    public final MarkerOptions angleOffset(float f) {
        this.angleOffset = f;
        return this;
    }

    public final float getAngleOffset() {
        return this.angleOffset;
    }

    /* access modifiers changed from: protected */
    public final MarkerOptions setRotatingMode(boolean z) {
        this.isRotatingMode = z;
        return this;
    }

    public final boolean isRotatingMode() {
        return this.isRotatingMode;
    }

    public final ArrayList<BitmapDescriptor> getIcons() {
        return (ArrayList) this.bitmapDescriptors;
    }

    public final MarkerOptions period(int i) {
        if (i <= 1) {
            this.period = 1;
        } else {
            this.period = i;
        }
        return this;
    }

    public final int getPeriod() {
        return this.period;
    }

    public final boolean isPerspective() {
        return this.perspective;
    }

    public final MarkerOptions perspective(boolean z) {
        this.perspective = z;
        return this;
    }

    public MarkerOptions() {
        this.type = "MarkerOptions";
    }

    public final MarkerOptions position(LatLng latLng2) {
        this.latLng = latLng2;
        this.isViewMode = false;
        b();
        this.updateFlags.latlngUpdate = true;
        return this;
    }

    public final MarkerOptions setFlat(boolean z) {
        this.isFlat = z;
        return this;
    }

    private void a() {
        if (this.bitmapDescriptors == null) {
            try {
                this.bitmapDescriptors = new ArrayList();
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }

    public final MarkerOptions icon(BitmapDescriptor bitmapDescriptor) {
        try {
            a();
            this.bitmapDescriptors.clear();
            this.bitmapDescriptors.add(bitmapDescriptor);
            this.isRotatingMode = false;
            this.updateFlags.bitmapDescriptorsUpdate = true;
        } catch (Throwable th) {
            th.printStackTrace();
        }
        return this;
    }

    public final MarkerOptions anchor(float f, float f2) {
        this.anchorU = f;
        this.anchorV = f2;
        return this;
    }

    public final MarkerOptions setInfoWindowOffset(int i, int i2) {
        this.offsetX = i;
        this.offsetY = i2;
        return this;
    }

    public final MarkerOptions title(String str) {
        this.title = str;
        return this;
    }

    public final MarkerOptions snippet(String str) {
        this.snippet = str;
        return this;
    }

    public final MarkerOptions draggable(boolean z) {
        this.isDraggable = z;
        return this;
    }

    public final MarkerOptions visible(boolean z) {
        this.isVisible = z;
        return this;
    }

    public final MarkerOptions setGps(boolean z) {
        this.isGps = z;
        b();
        return this;
    }

    public final LatLng getPosition() {
        return this.latLng;
    }

    public final String getTitle() {
        return this.title;
    }

    public final String getSnippet() {
        return this.snippet;
    }

    public final BitmapDescriptor getIcon() {
        List<BitmapDescriptor> list = this.bitmapDescriptors;
        if (list == null || list.size() == 0) {
            return null;
        }
        return this.bitmapDescriptors.get(0);
    }

    public final float getAnchorU() {
        return this.anchorU;
    }

    public final int getInfoWindowOffsetX() {
        return this.offsetX;
    }

    public final int getInfoWindowOffsetY() {
        return this.offsetY;
    }

    public final float getAnchorV() {
        return this.anchorV;
    }

    public final boolean isDraggable() {
        return this.isDraggable;
    }

    public final boolean isVisible() {
        return this.isVisible;
    }

    public final boolean isGps() {
        return this.isGps;
    }

    public final boolean isFlat() {
        return this.isFlat;
    }

    public final MarkerOptions zIndex(float f) {
        if (this.zIndex != f) {
            this.updateFlags.zIndexUpdate = true;
        }
        this.zIndex = f;
        return this;
    }

    public final float getZIndex() {
        return this.zIndex;
    }

    public final MarkerOptions alpha(float f) {
        this.alpha = f;
        return this;
    }

    public final float getAlpha() {
        return this.alpha;
    }

    public final MarkerOptions autoOverturnInfoWindow(boolean z) {
        this.autoOverturn = z;
        return this;
    }

    public final boolean isInfoWindowAutoOverturn() {
        return this.autoOverturn;
    }

    public final MarkerOptions displayLevel(int i) {
        this.dispLevel = i;
        return this;
    }

    public final int getDisplayLevel() {
        return this.dispLevel;
    }

    public final MarkerOptions rotateAngle(float f) {
        this.rotate = f;
        return this;
    }

    public final float getRotateAngle() {
        return this.rotate;
    }

    public final MarkerOptions infoWindowEnable(boolean z) {
        this.infoWindowEnabled = z;
        return this;
    }

    public final boolean isInfoWindowEnable() {
        return this.infoWindowEnabled;
    }

    public final MarkerOptions belowMaskLayer(boolean z) {
        this.isBelowMaskLayer = z;
        return this;
    }

    public final boolean isBelowMaskLayer() {
        return this.isBelowMaskLayer;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        parcel.writeParcelable(this.latLng, i);
        parcel.writeString(this.title);
        parcel.writeString(this.snippet);
        parcel.writeFloat(this.anchorU);
        parcel.writeFloat(this.anchorV);
        parcel.writeInt(this.offsetX);
        parcel.writeInt(this.offsetY);
        parcel.writeBooleanArray(new boolean[]{this.isVisible, this.isDraggable, this.isGps, this.isFlat, this.autoOverturn, this.infoWindowEnabled, this.isBelowMaskLayer, this.isRotatingMode});
        parcel.writeString(this.a);
        parcel.writeInt(this.period);
        parcel.writeList(this.bitmapDescriptors);
        parcel.writeFloat(this.zIndex);
        parcel.writeFloat(this.alpha);
        parcel.writeInt(this.dispLevel);
        parcel.writeFloat(this.rotate);
        parcel.writeFloat(this.angleOffset);
        parcel.writeInt(this.screenX);
        parcel.writeInt(this.screenY);
        List<BitmapDescriptor> list = this.bitmapDescriptors;
        if (list != null && list.size() != 0) {
            parcel.writeParcelable(this.bitmapDescriptors.get(0), i);
        }
    }

    @Override // java.lang.Object
    public final MarkerOptions clone() {
        try {
            super.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        MarkerOptions markerOptions = new MarkerOptions();
        markerOptions.latLng = this.latLng;
        markerOptions.gpsLatLng = this.gpsLatLng;
        markerOptions.title = this.title;
        markerOptions.snippet = this.snippet;
        markerOptions.anchorU = this.anchorU;
        markerOptions.anchorV = this.anchorV;
        markerOptions.zIndex = this.zIndex;
        markerOptions.isDraggable = this.isDraggable;
        markerOptions.isVisible = this.isVisible;
        markerOptions.a = this.a;
        markerOptions.perspective = this.perspective;
        markerOptions.offsetX = this.offsetX;
        markerOptions.offsetY = this.offsetY;
        markerOptions.bitmapDescriptors = this.bitmapDescriptors;
        markerOptions.period = this.period;
        markerOptions.isGps = this.isGps;
        markerOptions.isFlat = this.isFlat;
        markerOptions.isRotatingMode = this.isRotatingMode;
        markerOptions.angleOffset = this.angleOffset;
        markerOptions.screenX = this.screenX;
        markerOptions.screenY = this.screenY;
        markerOptions.isViewMode = this.isViewMode;
        markerOptions.alpha = this.alpha;
        markerOptions.autoOverturn = this.autoOverturn;
        markerOptions.infoWindowEnabled = this.infoWindowEnabled;
        markerOptions.dispLevel = this.dispLevel;
        markerOptions.rotate = this.rotate;
        markerOptions.isBelowMaskLayer = this.isBelowMaskLayer;
        markerOptions.updateFlags = this.updateFlags;
        return markerOptions;
    }

    /* access modifiers changed from: protected */
    public final void setScreenPosition(int i, int i2) {
        this.screenX = i;
        this.screenY = i2;
        this.isViewMode = true;
    }

    /* access modifiers changed from: protected */
    public final boolean isViewMode() {
        return this.isViewMode;
    }

    /* access modifiers changed from: protected */
    public final int getScreenX() {
        return this.screenX;
    }

    /* access modifiers changed from: protected */
    public final int getScreenY() {
        return this.screenY;
    }

    private void b() {
        LatLng latLng2;
        try {
            if (this.isGps && (latLng2 = this.latLng) != null) {
                double[] a2 = a.a(latLng2.longitude, this.latLng.latitude);
                this.gpsLatLng = new LatLng(a2[1], a2[0]);
                this.updateFlags.gpsLatLngUpdate = true;
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.amap.api.maps.model.BaseOptions
    public final void resetUpdateFlags() {
        this.updateFlags.reset();
    }

    @Override // com.amap.api.maps.model.BaseOptions
    public final MarkerUpdateFlags getUpdateFlags() {
        return this.updateFlags;
    }

    /* access modifiers changed from: protected */
    public static class MarkerUpdateFlags extends BaseOptions.BaseUpdateFlags {
        protected boolean bitmapDescriptorsUpdate = false;
        protected boolean gpsLatLngUpdate = false;
        protected boolean latlngUpdate = false;

        protected MarkerUpdateFlags() {
        }

        @Override // com.amap.api.maps.model.BaseOptions.BaseUpdateFlags
        public void reset() {
            super.reset();
            this.latlngUpdate = false;
            this.gpsLatLngUpdate = false;
            this.bitmapDescriptorsUpdate = false;
        }
    }
}
