package com.amap.api.maps.model.particle;

import android.os.Parcel;
import android.os.Parcelable;
import com.amap.api.maps.model.BaseOptions;
import com.amap.api.maps.model.BitmapDescriptor;
import io.dcloud.WebAppActivity;

public class ParticleOverlayOptions extends BaseOptions implements Parcelable, Cloneable {
    public static final Parcelable.Creator<ParticleOverlayOptions> CREATOR = new Parcelable.Creator<ParticleOverlayOptions>() {
        /* class com.amap.api.maps.model.particle.ParticleOverlayOptions.AnonymousClass1 */

        /* Return type fixed from 'java.lang.Object' to match base method */
        @Override // android.os.Parcelable.Creator
        public final /* synthetic */ ParticleOverlayOptions createFromParcel(Parcel parcel) {
            return a(parcel);
        }

        /* Return type fixed from 'java.lang.Object[]' to match base method */
        @Override // android.os.Parcelable.Creator
        public final /* synthetic */ ParticleOverlayOptions[] newArray(int i) {
            return a(i);
        }

        private static ParticleOverlayOptions a(Parcel parcel) {
            return new ParticleOverlayOptions(parcel);
        }

        private static ParticleOverlayOptions[] a(int i) {
            return new ParticleOverlayOptions[i];
        }
    };
    private BitmapDescriptor bitmapDescriptor;
    private long duration;
    private boolean isParticleEmissionModuleUpdate;
    private boolean isParticleOverLifeModuleUpdate;
    private boolean isParticleShapeModuleUpdate;
    private boolean isStartColorUpdate;
    private boolean isStartSpeedUpdate;
    private boolean loop;
    private int maxParticles;
    private ParticleEmissionModule particleEmissionModule;
    private long particleLifeTime;
    private ParticleOverLifeModule particleOverLifeModule;
    private ParticleShapeModule particleShapeModule;
    private Object particleShapeModuleObject;
    private ColorGenerate startColor;
    private Object startColorObject;
    private int startParticleH;
    private int startParticleW;
    private VelocityGenerate startSpeed;
    private Object startSpeedObject;
    private boolean visibile;
    private float zIndex;

    public int describeContents() {
        return 0;
    }

    public ParticleOverlayOptions() {
        this.zIndex = 1.0f;
        this.maxParticles = 100;
        this.loop = true;
        this.duration = WebAppActivity.SPLASH_SECOND;
        this.particleLifeTime = WebAppActivity.SPLASH_SECOND;
        this.startSpeed = null;
        this.startParticleW = 32;
        this.startParticleH = 32;
        this.visibile = true;
        this.isParticleEmissionModuleUpdate = false;
        this.isParticleShapeModuleUpdate = false;
        this.isStartSpeedUpdate = false;
        this.isStartColorUpdate = false;
        this.isParticleOverLifeModuleUpdate = false;
        this.type = "ParticleOptions";
    }

    protected ParticleOverlayOptions(Parcel parcel) {
        this.zIndex = 1.0f;
        this.maxParticles = 100;
        boolean z = true;
        this.loop = true;
        this.duration = WebAppActivity.SPLASH_SECOND;
        this.particleLifeTime = WebAppActivity.SPLASH_SECOND;
        this.startSpeed = null;
        this.startParticleW = 32;
        this.startParticleH = 32;
        this.visibile = true;
        this.isParticleEmissionModuleUpdate = false;
        this.isParticleShapeModuleUpdate = false;
        this.isStartSpeedUpdate = false;
        this.isStartColorUpdate = false;
        this.isParticleOverLifeModuleUpdate = false;
        this.bitmapDescriptor = (BitmapDescriptor) parcel.readParcelable(BitmapDescriptor.class.getClassLoader());
        this.zIndex = parcel.readFloat();
        this.maxParticles = parcel.readInt();
        this.loop = parcel.readByte() != 0;
        this.duration = parcel.readLong();
        this.particleLifeTime = parcel.readLong();
        this.startParticleW = parcel.readInt();
        this.startParticleH = parcel.readInt();
        this.visibile = parcel.readByte() == 0 ? false : z;
    }

    public ParticleOverlayOptions icon(BitmapDescriptor bitmapDescriptor2) {
        try {
            this.bitmapDescriptor = bitmapDescriptor2;
        } catch (Throwable th) {
            th.printStackTrace();
        }
        return this;
    }

    public BitmapDescriptor getIcon() {
        return this.bitmapDescriptor;
    }

    public int getMaxParticles() {
        return this.maxParticles;
    }

    public ParticleOverlayOptions setMaxParticles(int i) {
        this.maxParticles = i;
        return this;
    }

    public boolean isLoop() {
        return this.loop;
    }

    public ParticleOverlayOptions setLoop(boolean z) {
        this.loop = z;
        return this;
    }

    public long getDuration() {
        return this.duration;
    }

    public ParticleOverlayOptions setDuration(long j) {
        this.duration = j;
        return this;
    }

    public long getParticleLifeTime() {
        return this.particleLifeTime;
    }

    public ParticleOverlayOptions setParticleLifeTime(long j) {
        this.particleLifeTime = j;
        return this;
    }

    public ParticleEmissionModule getParticleEmissionModule() {
        return this.particleEmissionModule;
    }

    public ParticleOverlayOptions setParticleEmissionModule(ParticleEmissionModule particleEmissionModule2) {
        this.particleEmissionModule = particleEmissionModule2;
        this.isParticleEmissionModuleUpdate = true;
        return this;
    }

    public ParticleShapeModule getParticleShapeModule() {
        return this.particleShapeModule;
    }

    public ParticleOverlayOptions setParticleShapeModule(ParticleShapeModule particleShapeModule2) {
        this.particleShapeModule = particleShapeModule2;
        this.particleShapeModuleObject = particleShapeModule2;
        this.isParticleShapeModuleUpdate = true;
        return this;
    }

    public VelocityGenerate getParticleStartSpeed() {
        return this.startSpeed;
    }

    public ParticleOverlayOptions setParticleStartSpeed(VelocityGenerate velocityGenerate) {
        this.startSpeed = velocityGenerate;
        this.startSpeedObject = velocityGenerate;
        this.isStartSpeedUpdate = true;
        return this;
    }

    public ParticleOverlayOptions setParticleStartColor(ColorGenerate colorGenerate) {
        this.startColor = colorGenerate;
        this.startColorObject = colorGenerate;
        this.isStartColorUpdate = true;
        return this;
    }

    public ColorGenerate getParticleStartColor() {
        return this.startColor;
    }

    public ParticleOverlayOptions setParticleOverLifeModule(ParticleOverLifeModule particleOverLifeModule2) {
        this.particleOverLifeModule = particleOverLifeModule2;
        this.isParticleOverLifeModuleUpdate = true;
        return this;
    }

    public ParticleOverLifeModule getParticleOverLifeModule() {
        return this.particleOverLifeModule;
    }

    public ParticleOverlayOptions setStartParticleSize(int i, int i2) {
        this.startParticleW = i;
        this.startParticleH = i2;
        return this;
    }

    public int getStartParticleW() {
        return this.startParticleW;
    }

    public int getstartParticleH() {
        return this.startParticleH;
    }

    public ParticleOverlayOptions zIndex(float f) {
        this.zIndex = f;
        return this;
    }

    public float getZIndex() {
        return this.zIndex;
    }

    public ParticleOverlayOptions setVisible(boolean z) {
        this.visibile = z;
        return this;
    }

    public boolean isVisibile() {
        return this.visibile;
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeParcelable(this.bitmapDescriptor, i);
        parcel.writeFloat(this.zIndex);
        parcel.writeInt(this.maxParticles);
        parcel.writeByte(this.loop ? (byte) 1 : 0);
        parcel.writeLong(this.duration);
        parcel.writeLong(this.particleLifeTime);
        parcel.writeInt(this.startParticleW);
        parcel.writeInt(this.startParticleH);
        parcel.writeByte(this.visibile ? (byte) 1 : 0);
    }
}
