package com.amap.api.maps.offlinemap;

import android.content.Context;
import android.os.Handler;
import com.amap.api.col.p0003s.al;
import com.amap.api.col.p0003s.am;
import com.amap.api.col.p0003s.aq;
import com.amap.api.col.p0003s.di;
import com.amap.api.col.p0003s.dl;
import com.amap.api.col.p0003s.hk;
import com.amap.api.col.p0003s.hn;
import com.amap.api.col.p0003s.ho;
import com.amap.api.col.p0003s.il;
import com.amap.api.maps.AMap;
import com.amap.api.maps.AMapException;
import java.util.ArrayList;
import java.util.Iterator;

public final class OfflineMapManager {
    aq a;
    am b;
    private Context c;
    private OfflineMapDownloadListener d;
    private OfflineLoadedListener e;
    private Handler f;
    private Handler g;

    public interface OfflineLoadedListener {
        void onVerifyComplete();
    }

    public interface OfflineMapDownloadListener {
        void onCheckUpdate(boolean z, String str);

        void onDownload(int i, int i2, String str);

        void onRemove(boolean z, String str, String str2);
    }

    public final void restart() {
    }

    public OfflineMapManager(Context context, OfflineMapDownloadListener offlineMapDownloadListener) throws Exception {
        ho a2 = hn.a(context, dl.a());
        if (a2.a == hn.c.SuccessCode) {
            this.d = offlineMapDownloadListener;
            this.c = context.getApplicationContext();
            this.f = new Handler(this.c.getMainLooper());
            this.g = new Handler(this.c.getMainLooper());
            a(context);
            hk.a().a(this.c);
            return;
        }
        throw new Exception(a2.b);
    }

    public OfflineMapManager(Context context, OfflineMapDownloadListener offlineMapDownloadListener, AMap aMap) {
        this.d = offlineMapDownloadListener;
        this.c = context.getApplicationContext();
        this.f = new Handler(this.c.getMainLooper());
        this.g = new Handler(this.c.getMainLooper());
        try {
            a(context);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    private void a(Context context) {
        this.c = context.getApplicationContext();
        am.b = false;
        am a2 = am.a(this.c);
        this.b = a2;
        a2.a(new am.a() {
            /* class com.amap.api.maps.offlinemap.OfflineMapManager.AnonymousClass1 */

            @Override // com.amap.api.col.p0003s.am.a
            public final void a(final al alVar) {
                if (OfflineMapManager.this.d != null && alVar != null) {
                    OfflineMapManager.this.f.post(new Runnable() {
                        /* class com.amap.api.maps.offlinemap.OfflineMapManager.AnonymousClass1.AnonymousClass1 */

                        public final void run() {
                            try {
                                OfflineMapManager.this.d.onDownload(alVar.c().b(), alVar.getcompleteCode(), alVar.getCity());
                            } catch (Throwable th) {
                                th.printStackTrace();
                            }
                        }
                    });
                }
            }

            @Override // com.amap.api.col.p0003s.am.a
            public final void b(final al alVar) {
                if (OfflineMapManager.this.d != null && alVar != null) {
                    OfflineMapManager.this.f.post(new Runnable() {
                        /* class com.amap.api.maps.offlinemap.OfflineMapManager.AnonymousClass1.AnonymousClass2 */

                        public final void run() {
                            try {
                                if (!alVar.c().equals(alVar.g)) {
                                    if (!alVar.c().equals(alVar.a)) {
                                        OfflineMapManager.this.d.onCheckUpdate(false, alVar.getCity());
                                        return;
                                    }
                                }
                                OfflineMapManager.this.d.onCheckUpdate(true, alVar.getCity());
                            } catch (Throwable th) {
                                th.printStackTrace();
                            }
                        }
                    });
                }
            }

            @Override // com.amap.api.col.p0003s.am.a
            public final void c(final al alVar) {
                if (OfflineMapManager.this.d != null && alVar != null) {
                    OfflineMapManager.this.f.post(new Runnable() {
                        /* class com.amap.api.maps.offlinemap.OfflineMapManager.AnonymousClass1.AnonymousClass3 */

                        public final void run() {
                            try {
                                if (alVar.c().equals(alVar.a)) {
                                    OfflineMapManager.this.d.onRemove(true, alVar.getCity(), "");
                                } else {
                                    OfflineMapManager.this.d.onRemove(false, alVar.getCity(), "");
                                }
                            } catch (Throwable th) {
                                th.printStackTrace();
                            }
                        }
                    });
                }
            }

            @Override // com.amap.api.col.p0003s.am.a
            public final void a() {
                if (OfflineMapManager.this.e != null) {
                    OfflineMapManager.this.f.post(new Runnable() {
                        /* class com.amap.api.maps.offlinemap.OfflineMapManager.AnonymousClass1.AnonymousClass4 */

                        public final void run() {
                            try {
                                OfflineMapManager.this.e.onVerifyComplete();
                            } catch (Throwable th) {
                                th.printStackTrace();
                            }
                        }
                    });
                }
            }
        });
        try {
            this.b.a();
            this.a = this.b.f;
            di.b(context);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public final void downloadByCityCode(String str) throws AMapException {
        try {
            this.b.f(str);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public final void downloadByCityName(String str) throws AMapException {
        try {
            this.b.e(str);
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public final void downloadByProvinceName(String str) throws AMapException {
        try {
            a();
            OfflineMapProvince itemByProvinceName = getItemByProvinceName(str);
            if (itemByProvinceName != null) {
                Iterator<OfflineMapCity> it = itemByProvinceName.getCityList().iterator();
                while (it.hasNext()) {
                    final String city = it.next().getCity();
                    this.g.post(new Runnable() {
                        /* class com.amap.api.maps.offlinemap.OfflineMapManager.AnonymousClass2 */

                        public final void run() {
                            try {
                                OfflineMapManager.this.b.e(city);
                            } catch (AMapException e) {
                                il.c(e, "OfflineMapManager", "downloadByProvinceName");
                            }
                        }
                    });
                }
                return;
            }
            throw new AMapException("无效的参数 - IllegalArgumentException");
        } catch (Throwable th) {
            if (!(th instanceof AMapException)) {
                il.c(th, "OfflineMapManager", "downloadByProvinceName");
                return;
            }
            throw th;
        }
    }

    public final void remove(String str) {
        try {
            if (this.b.b(str)) {
                this.b.c(str);
                return;
            }
            OfflineMapProvince c2 = this.a.c(str);
            if (c2 != null) {
                if (c2.getCityList() != null) {
                    Iterator<OfflineMapCity> it = c2.getCityList().iterator();
                    while (it.hasNext()) {
                        final String city = it.next().getCity();
                        this.g.post(new Runnable() {
                            /* class com.amap.api.maps.offlinemap.OfflineMapManager.AnonymousClass3 */

                            public final void run() {
                                OfflineMapManager.this.b.c(city);
                            }
                        });
                    }
                    return;
                }
            }
            OfflineMapDownloadListener offlineMapDownloadListener = this.d;
            if (offlineMapDownloadListener != null) {
                offlineMapDownloadListener.onRemove(false, str, "没有该城市");
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    public final ArrayList<OfflineMapProvince> getOfflineMapProvinceList() {
        return this.a.a();
    }

    public final OfflineMapCity getItemByCityCode(String str) {
        return this.a.a(str);
    }

    public final OfflineMapCity getItemByCityName(String str) {
        return this.a.b(str);
    }

    public final OfflineMapProvince getItemByProvinceName(String str) {
        return this.a.c(str);
    }

    public final ArrayList<OfflineMapCity> getOfflineMapCityList() {
        return this.a.b();
    }

    public final ArrayList<OfflineMapCity> getDownloadingCityList() {
        return this.a.e();
    }

    public final ArrayList<OfflineMapProvince> getDownloadingProvinceList() {
        return this.a.f();
    }

    public final ArrayList<OfflineMapCity> getDownloadOfflineMapCityList() {
        return this.a.c();
    }

    public final ArrayList<OfflineMapProvince> getDownloadOfflineMapProvinceList() {
        return this.a.d();
    }

    private void a(String str) throws AMapException {
        this.b.a(str);
    }

    public final void updateOfflineCityByCode(String str) throws AMapException {
        OfflineMapCity itemByCityCode = getItemByCityCode(str);
        if (itemByCityCode == null || itemByCityCode.getCity() == null) {
            throw new AMapException("无效的参数 - IllegalArgumentException");
        }
        a(itemByCityCode.getCity());
    }

    public final void updateOfflineCityByName(String str) throws AMapException {
        a(str);
    }

    public final void updateOfflineMapProvinceByName(String str) throws AMapException {
        a(str);
    }

    private void a() throws AMapException {
        if (!dl.d(this.c)) {
            throw new AMapException(AMapException.ERROR_CONNECTION);
        }
    }

    public final void stop() {
        this.b.d();
    }

    public final void pause() {
        this.b.e();
    }

    public final void pauseByName(String str) {
        this.b.d(str);
    }

    public final void destroy() {
        try {
            am amVar = this.b;
            if (amVar != null) {
                amVar.f();
            }
            b();
            Handler handler = this.f;
            if (handler != null) {
                handler.removeCallbacksAndMessages(null);
            }
            this.f = null;
            Handler handler2 = this.g;
            if (handler2 != null) {
                handler2.removeCallbacksAndMessages(null);
            }
            this.g = null;
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    private void b() {
        this.d = null;
    }

    public final void setOnOfflineLoadedListener(OfflineLoadedListener offlineLoadedListener) {
        this.e = offlineLoadedListener;
    }
}
