package com.autonavi.base.amap.mapcore;

import android.content.Context;
import android.os.Looper;
import android.text.TextUtils;
import com.amap.api.col.p0003s.db;
import com.amap.api.col.p0003s.di;
import com.amap.api.col.p0003s.dj;
import com.amap.api.col.p0003s.dl;
import com.amap.api.col.p0003s.dm;
import com.amap.api.col.p0003s.dn;
import com.amap.api.col.p0003s.hq;
import com.amap.api.col.p0003s.il;
import com.amap.api.col.p0003s.it;
import com.amap.api.col.p0003s.iv;
import com.amap.api.col.p0003s.kr;
import com.autonavi.amap.mapcore.MsgProcessor;
import com.autonavi.base.ae.gmap.GLMapEngine;
import com.autonavi.config.a;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;

public class AeUtil {
    private static final String AMAP_ASSETS_DB_CK_PATH = "ae/res.ck";
    private static final String AMAP_GLOBAL_DB_NAME = "global.db";
    private static final String AMAP_GLOBAL_SP_ITEM_MD5 = "amap_res_global_db_md5";
    private static final String AMAP_GLOBAL_SP_NAME = "amap_res_global_db";
    private static final String AMAP_INTERSECTION_ASSETS_DIR = "VM3DRes";
    public static final String AMAP_RESZIP_TARGET_DIR_NAME = "res920";
    public static final String CONFIGNAME = "GNaviConfig.xml";
    public static final boolean IS_AE = true;
    public static final String RESZIPNAME = "res.zip";
    public static final String ROOTPATH = "/amap/";
    public static final String ROOT_DATA_PATH_NAME = "data_v6";
    public static final String ROOT_DATA_PATH_OLD_NAME = "data";
    private static String global_db_path;

    public static String getGlobalDbPath() {
        return global_db_path;
    }

    public static boolean loadLib(Context context) {
        try {
            if (!a.b) {
                System.loadLibrary(a.a);
                a.b = true;
            }
            return true;
        } catch (Throwable th) {
            il.c(th, "AeUtil", "loadLib");
            dl.a(th);
            String str = dm.c;
            dn.b(str, "load so failed " + th.getMessage());
            return false;
        }
    }

    public static void initCrashHandle(Context context) {
        hq a;
        try {
            iv.a();
            if (it.a(dl.a()).a(context) && (a = dl.a()) != null) {
                MsgProcessor.nativeInitInfo(context, it.a(a).b(context), a.a(), a.b(), a.c(), a.f());
            }
        } catch (Throwable th) {
            dl.a(th);
        }
    }

    public static GLMapEngine.InitParam initResource(final Context context) {
        final String mapBaseStorage = FileUtil.getMapBaseStorage(context);
        String str = mapBaseStorage + "/data_v6/";
        File file = new File(mapBaseStorage);
        if (!file.exists()) {
            file.mkdir();
        }
        File file2 = new File(str);
        if (!file2.exists()) {
            file2.mkdir();
        }
        if (Looper.myLooper() == Looper.getMainLooper()) {
            try {
                dj.a().a(new kr() {
                    /* class com.autonavi.base.amap.mapcore.AeUtil.AnonymousClass1 */

                    @Override // com.amap.api.col.p0003s.kr
                    public final void runTask() {
                        AeUtil.loadEngineRes(mapBaseStorage, context);
                    }
                });
            } catch (Exception e) {
                e.printStackTrace();
            }
        } else {
            loadEngineRes(mapBaseStorage, context);
        }
        GLMapEngine.InitParam initParam = new GLMapEngine.InitParam();
        byte[] readFileContentsFromAssets = FileUtil.readFileContentsFromAssets(context, "ae/GNaviConfig.xml");
        initParam.mRootPath = mapBaseStorage;
        if (readFileContentsFromAssets != null) {
            try {
                initParam.mConfigContent = new String(readFileContentsFromAssets, "utf-8");
                if (!initParam.mConfigContent.contains(ROOT_DATA_PATH_NAME)) {
                    throw new Exception("GNaviConfig.xml 和数据目录data_v6不匹配");
                }
            } catch (Throwable th) {
                th.printStackTrace();
                di.c(context, "initConfig error:" + th.getMessage());
            }
        }
        initParam.mOfflineDataPath = str + "/map/";
        initParam.mP3dCrossPath = str;
        initParam.mOfflineDataPath = formatFileSeparator(initParam.mOfflineDataPath);
        initParam.mRootPath = formatFileSeparator(initParam.mRootPath);
        initParam.mP3dCrossPath = formatFileSeparator(initParam.mP3dCrossPath);
        return initParam;
    }

    public static void initIntersectionRes(final Context context, final GLMapEngine.InitParam initParam) {
        String mapBaseStorage = FileUtil.getMapBaseStorage(context);
        String str = mapBaseStorage + "/VM3DRes/";
        File file = new File(mapBaseStorage);
        if (!file.exists()) {
            file.mkdir();
        }
        File file2 = new File(str);
        if (!file2.exists()) {
            file2.mkdir();
        }
        initParam.mIntersectionResPath = str;
        initParam.mIntersectionResPath = formatFileSeparator(initParam.mIntersectionResPath);
        if (Looper.myLooper() == Looper.getMainLooper()) {
            try {
                dj.a().a(new kr() {
                    /* class com.autonavi.base.amap.mapcore.AeUtil.AnonymousClass2 */

                    @Override // com.amap.api.col.p0003s.kr
                    public final void runTask() {
                        AeUtil.loadAndSaveIntersectionRes("map_assets/VM3DRes", initParam.mIntersectionResPath, context);
                    }
                });
            } catch (Exception e) {
                e.printStackTrace();
            }
        } else {
            loadAndSaveIntersectionRes("map_assets/VM3DRes", initParam.mIntersectionResPath, context);
        }
    }

    private static String formatFileSeparator(String str) {
        return str != null ? str.replace("//", "/") : str;
    }

    /* access modifiers changed from: private */
    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0040, code lost:
        if (r8.equals(r10) != false) goto L_0x0043;
     */
    /* JADX WARNING: Removed duplicated region for block: B:16:0x0047  */
    /* JADX WARNING: Removed duplicated region for block: B:19:0x004f A[SYNTHETIC, Splitter:B:19:0x004f] */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00c9  */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00dc  */
    /* JADX WARNING: Removed duplicated region for block: B:46:? A[RETURN, SYNTHETIC] */
    public static void loadEngineRes(String str, Context context) {
        String str2;
        boolean z;
        File file = new File(str, AMAP_RESZIP_TARGET_DIR_NAME);
        boolean z2 = true;
        boolean z3 = false;
        InputStream inputStream = null;
        if ((!file.exists() || !file.isDirectory()) && file.mkdirs()) {
            str2 = getAssetsGlobalDbMd5(context);
            z = true;
        } else {
            str2 = null;
            z = false;
        }
        if (!z) {
            str2 = getAssetsGlobalDbMd5(context);
            String a = db.a(context, AMAP_GLOBAL_SP_NAME, AMAP_GLOBAL_SP_ITEM_MD5, "");
            if (!TextUtils.isEmpty(a)) {
            }
            if (!z2) {
                z3 = checkEngineRes(file);
            }
            if (z3) {
                try {
                    inputStream = context.getAssets().open("ae/res.zip");
                    FileUtil.decompress(inputStream, file.getAbsolutePath());
                    global_db_path = file + "/global.db";
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (IOException e) {
                            e.printStackTrace();
                        }
                    }
                } catch (Exception e2) {
                    e2.printStackTrace();
                    dl.a(e2);
                    di.c(context, "loadEngineRes error:" + e2.getMessage());
                    if (inputStream != null) {
                        inputStream.close();
                    }
                } catch (OutOfMemoryError e3) {
                    e3.printStackTrace();
                    dl.a(e3);
                    di.c(context, "loadEngineRes error:" + e3.getMessage());
                    if (inputStream != null) {
                        inputStream.close();
                    }
                } catch (Throwable th) {
                    if (inputStream != null) {
                        try {
                            inputStream.close();
                        } catch (IOException e4) {
                            e4.printStackTrace();
                        }
                    }
                    throw th;
                }
            } else {
                global_db_path = file + "/global.db";
            }
            if (!z2) {
                db.a(context, AMAP_GLOBAL_SP_NAME, AMAP_GLOBAL_SP_ITEM_MD5, (Object) str2);
                return;
            }
            return;
        }
        z2 = z;
        if (!z2) {
        }
        if (z3) {
        }
        if (!z2) {
        }
    }

    private static String getAssetsGlobalDbMd5(Context context) {
        return new String(FileUtil.readFileContentsFromAssets(context, AMAP_ASSETS_DB_CK_PATH));
    }

    private static boolean checkEngineRes(File file) {
        File[] listFiles = file.listFiles();
        if (listFiles != null && listFiles.length > 0) {
            for (File file2 : listFiles) {
                if (file2 != null && file2.getName().contains(AMAP_GLOBAL_DB_NAME)) {
                    return true;
                }
            }
        }
        return false;
    }

    /* access modifiers changed from: private */
    public static void loadAndSaveIntersectionRes(String str, String str2, Context context) {
        File file = new File(str2);
        if (!file.exists()) {
            file.mkdirs();
        }
        try {
            String[] list = context.getAssets().list(str);
            if (list != null) {
                for (String str3 : list) {
                    readAssetsFileAndSave(str + "/" + str3, new File(str2, str3).getAbsolutePath(), context);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r4v1, types: [java.io.FileOutputStream] */
    /* JADX WARN: Type inference failed for: r4v4 */
    /* JADX WARN: Type inference failed for: r4v6 */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0059 A[SYNTHETIC, Splitter:B:35:0x0059] */
    /* JADX WARNING: Removed duplicated region for block: B:40:0x0063 A[SYNTHETIC, Splitter:B:40:0x0063] */
    /* JADX WARNING: Removed duplicated region for block: B:60:? A[RETURN, SYNTHETIC] */
    public static void readAssetsFileAndSave(String str, String str2, Context context) {
        Throwable th;
        FileOutputStream fileOutputStream;
        if (!TextUtils.isEmpty(str)) {
            InputStream inputStream = null;
            try {
                InputStream open = context.getAssets().open(str);
                try {
                    File file = new File(str2);
                    if (file.exists()) {
                        file.delete();
                    }
                    file.createNewFile();
                    FileOutputStream fileOutputStream2 = new FileOutputStream(file);
                    try {
                        byte[] bArr = new byte[1024];
                        while (true) {
                            int read = open.read(bArr, 0, 1024);
                            if (read <= 0) {
                                break;
                            }
                            fileOutputStream2.write(bArr, 0, read);
                        }
                        if (open != null) {
                            try {
                                open.close();
                            } catch (IOException e) {
                                e.printStackTrace();
                            }
                        }
                        try {
                            fileOutputStream2.close();
                        } catch (IOException e2) {
                            e2.printStackTrace();
                        }
                    } catch (Throwable th2) {
                        inputStream = open;
                        fileOutputStream = fileOutputStream2;
                        th = th2;
                        try {
                            th.printStackTrace();
                        } finally {
                            if (inputStream != null) {
                                try {
                                    inputStream.close();
                                } catch (IOException e3) {
                                    e3.printStackTrace();
                                }
                            }
                            if (fileOutputStream != 0) {
                                try {
                                    fileOutputStream.close();
                                } catch (IOException e4) {
                                    e4.printStackTrace();
                                }
                            }
                        }
                    }
                } catch (Throwable th3) {
                    th = th3;
                    inputStream = open;
                    fileOutputStream = inputStream;
                    th.printStackTrace();
                }
            } catch (Throwable th4) {
                th = th4;
                fileOutputStream = inputStream;
                th.printStackTrace();
            }
        }
    }
}
