package com.autonavi.base.amap.mapcore.maploader;

import android.content.Context;
import android.text.TextUtils;
import com.amap.api.col.p0003s.cp;
import com.amap.api.col.p0003s.di;
import com.amap.api.col.p0003s.dl;
import com.amap.api.col.p0003s.he;
import com.amap.api.col.p0003s.hh;
import com.amap.api.col.p0003s.hn;
import com.amap.api.col.p0003s.hq;
import com.amap.api.col.p0003s.il;
import com.amap.api.col.p0003s.jl;
import com.amap.api.maps.MapsInitializer;
import com.autonavi.base.ae.gmap.GLMapEngine;
import com.facebook.imagepipeline.producers.HttpUrlConnectionNetworkFetcher;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.common.DHInterface.IWebview;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.net.URLEncoder;
import java.util.Arrays;
import java.util.Hashtable;
import java.util.Locale;
import java.util.Map;
import java.util.UUID;

public class AMapLoader implements jl.a {
    private static final int GET_METHOD = 0;
    private static final String NETWORK_RESPONSE_CODE_STRING = "网络异常状态码：";
    private jl downloadManager;
    private volatile boolean isCanceled = false;
    ADataRequestParam mDataRequestParam;
    private int mEngineID = 0;
    GLMapEngine mGLMapEngine;
    private boolean mRequestCancel = false;
    private long requestMapDataPackageSize = 0;
    private long requestMapDataTimestamp = 0;

    public static class ADataRequestParam {
        public byte[] enCodeString;
        public long handler;
        public int nCompress;
        public int nRequestType;
        public String requestBaseUrl;
        public String requestUrl;
    }

    public static class AMapGridDownloadRequest extends cp {
        private final Context mContext;
        private byte[] postEntityBytes;
        private String sUrl;
        private String userAgent;

        @Override // com.amap.api.col.p0003s.cp, com.amap.api.col.p0003s.jq
        public Map<String, String> getParams() {
            return null;
        }

        @Override // com.amap.api.col.p0003s.jq
        public boolean isSupportIPV6() {
            return true;
        }

        public AMapGridDownloadRequest(Context context, String str, String str2) {
            this.mContext = context;
            this.sUrl = str;
            this.userAgent = str2;
        }

        @Override // com.amap.api.col.p0003s.jq
        public Map<String, String> getRequestHead() {
            hq a = dl.a();
            String b = a != null ? a.b() : null;
            String f = he.f(this.mContext);
            try {
                f = URLEncoder.encode(f, "UTF-8");
            } catch (Throwable unused) {
            }
            Hashtable hashtable = new Hashtable(16);
            hashtable.put(IWebview.USER_AGENT, this.userAgent);
            hashtable.put("platinfo", String.format(Locale.US, "platform=Android&sdkversion=%s&product=%s", b, "3dmap"));
            hashtable.put("x-INFO", hh.a(this.mContext));
            hashtable.put(IApp.ConfigProperty.CONFIG_KEY, f);
            hashtable.put("logversion", "2.1");
            return hashtable;
        }

        @Override // com.amap.api.col.p0003s.jq
        public String getURL() {
            return this.sUrl;
        }

        @Override // com.amap.api.col.p0003s.jq
        public String getIPV6URL() {
            return dl.a(getURL());
        }

        public void setPostEntityBytes(byte[] bArr) {
            this.postEntityBytes = bArr;
        }

        @Override // com.amap.api.col.p0003s.jq
        public byte[] getEntityBytes() {
            return this.postEntityBytes;
        }
    }

    @Override // com.amap.api.col.p0003s.jl.a
    public void onDownload(byte[] bArr, long j) {
        GLMapEngine gLMapEngine;
        ADataRequestParam aDataRequestParam;
        if (bArr != null && (gLMapEngine = this.mGLMapEngine) != null && (aDataRequestParam = this.mDataRequestParam) != null) {
            gLMapEngine.receiveNetData(this.mEngineID, aDataRequestParam.handler, bArr, bArr.length);
        }
    }

    @Override // com.amap.api.col.p0003s.jl.a
    public void onStop() {
        ADataRequestParam aDataRequestParam;
        GLMapEngine gLMapEngine = this.mGLMapEngine;
        if (!(gLMapEngine == null || (aDataRequestParam = this.mDataRequestParam) == null)) {
            gLMapEngine.netStop(this.mEngineID, aDataRequestParam.handler, -1);
        }
        staticNetworkPerformance();
    }

    @Override // com.amap.api.col.p0003s.jl.a
    public void onFinish() {
        ADataRequestParam aDataRequestParam;
        GLMapEngine gLMapEngine = this.mGLMapEngine;
        if (!(gLMapEngine == null || (aDataRequestParam = this.mDataRequestParam) == null)) {
            gLMapEngine.finishDownLoad(this.mEngineID, aDataRequestParam.handler);
        }
        staticNetworkPerformance();
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0041, code lost:
        if (r0 != null) goto L_0x0043;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0043, code lost:
        com.amap.api.col.p0003s.di.a(r0.getContext(), r7.mGLMapEngine.hashCode(), !r7.mGLMapEngine.isNetworkConnected(), getNetworkFailedReason(r8.getMessage()));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:24:0x0073, code lost:
        if (r0 == null) goto L_0x0076;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:25:0x0076, code lost:
        com.amap.api.col.p0003s.il.c(r8, "AMapLoader", "download onException");
        r0 = com.amap.api.col.p0003s.dm.e;
        com.amap.api.col.p0003s.dn.b(r0, "map loader exception " + r8.getMessage());
     */
    /* JADX WARNING: Code restructure failed: missing block: B:26:0x0094, code lost:
        return;
     */
    @Override // com.amap.api.col.p0003s.jl.a
    public void onException(Throwable th) {
        GLMapEngine gLMapEngine;
        ADataRequestParam aDataRequestParam;
        ADataRequestParam aDataRequestParam2;
        int indexOf;
        try {
            String str = new String(th.getMessage().getBytes("UTF-8"), "UTF-8");
            int parseInt = (TextUtils.isEmpty(str) || (indexOf = str.indexOf(NETWORK_RESPONSE_CODE_STRING)) == -1) ? -1 : Integer.parseInt(str.substring(indexOf + 8));
            GLMapEngine gLMapEngine2 = this.mGLMapEngine;
            if (!(gLMapEngine2 == null || (aDataRequestParam2 = this.mDataRequestParam) == null)) {
                gLMapEngine2.netError(this.mEngineID, aDataRequestParam2.handler, -1, parseInt);
            }
            gLMapEngine = this.mGLMapEngine;
        } catch (Throwable unused) {
            GLMapEngine gLMapEngine3 = this.mGLMapEngine;
            if (!(gLMapEngine3 == null || (aDataRequestParam = this.mDataRequestParam) == null)) {
                gLMapEngine3.netError(this.mEngineID, aDataRequestParam.handler, -1, -1);
            }
            gLMapEngine = this.mGLMapEngine;
        }
    }

    public AMapLoader(int i, GLMapEngine gLMapEngine, ADataRequestParam aDataRequestParam) {
        this.mDataRequestParam = aDataRequestParam;
        this.mEngineID = i;
        this.mGLMapEngine = gLMapEngine;
        this.mRequestCancel = false;
    }

    public void doRequest() {
        if (hn.a(this.mGLMapEngine.getContext(), dl.a()).a == hn.c.SuccessCode && !this.mRequestCancel) {
            String str = this.mDataRequestParam.requestBaseUrl;
            String str2 = this.mDataRequestParam.requestUrl;
            if (!str.endsWith(Operators.CONDITION_IF_STRING)) {
                str = str + Operators.CONDITION_IF_STRING;
            }
            String requestParams = getRequestParams(str2.replaceAll(";", getEncodeRequestParams(";").toString()), str != null && str.contains("http://m5.amap.com/"), this.mDataRequestParam.nRequestType);
            StringBuffer stringBuffer = new StringBuffer();
            if (this.mDataRequestParam.nRequestType == 0) {
                stringBuffer.append(requestParams);
                stringBuffer.append("&csid=" + UUID.randomUUID().toString());
            } else {
                stringBuffer.append("csid=" + UUID.randomUUID().toString());
            }
            try {
                AMapGridDownloadRequest aMapGridDownloadRequest = new AMapGridDownloadRequest(this.mGLMapEngine.getContext(), str + generateQueryString(this.mGLMapEngine.getContext(), stringBuffer.toString()), this.mGLMapEngine.getUserAgent());
                aMapGridDownloadRequest.setConnectionTimeout(HttpUrlConnectionNetworkFetcher.HTTP_DEFAULT_TIMEOUT);
                aMapGridDownloadRequest.setSoTimeout(HttpUrlConnectionNetworkFetcher.HTTP_DEFAULT_TIMEOUT);
                if (this.mDataRequestParam.nRequestType != 0) {
                    aMapGridDownloadRequest.setPostEntityBytes(requestParams.getBytes("UTF-8"));
                }
                this.requestMapDataTimestamp = System.currentTimeMillis();
                this.requestMapDataPackageSize = aMapGridDownloadRequest.getEntityBytes() == null ? 0 : (long) aMapGridDownloadRequest.getEntityBytes().length;
                jl jlVar = new jl(aMapGridDownloadRequest, 0, -1, MapsInitializer.getProtocol() == 2);
                this.downloadManager = jlVar;
                jlVar.a(this);
            } catch (Throwable th) {
                onException(th);
            } finally {
                doCancel();
            }
        }
    }

    public void doCancel() {
        this.mRequestCancel = true;
        if (this.downloadManager != null && !this.isCanceled) {
            synchronized (this.downloadManager) {
                try {
                    this.isCanceled = true;
                    this.downloadManager.a();
                    this.mGLMapEngine.setMapLoaderToTask(this.mEngineID, this.mDataRequestParam.handler, null);
                } catch (Throwable th) {
                    il.c(th, "AMapLoader", "doCancel");
                }
            }
        }
    }

    public void doCancelAndNotify() {
        doCancel();
        onCancel();
    }

    private void onCancel() {
        ADataRequestParam aDataRequestParam;
        GLMapEngine gLMapEngine = this.mGLMapEngine;
        if (gLMapEngine != null && (aDataRequestParam = this.mDataRequestParam) != null) {
            gLMapEngine.netCancel(this.mEngineID, aDataRequestParam.handler, -1);
        }
    }

    private String getEncodeRequestParams(String str) {
        try {
            return URLEncoder.encode(str, "UTF-8");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            return null;
        }
    }

    /* access modifiers changed from: protected */
    public String getRequestParams(String str, boolean z, int i) {
        StringBuffer stringBuffer = new StringBuffer(str);
        if (z) {
            stringBuffer.append("&channel=amap7&div=GNaviMap");
        } else {
            stringBuffer.append("&channel=amapapi");
            stringBuffer.append("&div=GNaviMap");
        }
        return stringBuffer.toString();
    }

    private String generateQueryString(Context context, String str) {
        StringBuffer stringBuffer = new StringBuffer(str);
        String f = he.f(this.mGLMapEngine.getContext());
        try {
            f = URLEncoder.encode(f, "UTF-8");
        } catch (Throwable unused) {
        }
        stringBuffer.append("&key=");
        stringBuffer.append(f);
        String sortReEncoderParams = sortReEncoderParams(stringBuffer.toString());
        String a = hh.a();
        stringBuffer.append("&ts=".concat(String.valueOf(a)));
        stringBuffer.append("&scode=" + hh.a(context, a, sortReEncoderParams));
        stringBuffer.append("&dip=16300");
        return stringBuffer.toString();
    }

    private String sortReEncoderParams(String str) {
        String[] split = str.split("&");
        Arrays.sort(split);
        StringBuffer stringBuffer = new StringBuffer();
        for (String str2 : split) {
            stringBuffer.append(strReEncoder(str2));
            stringBuffer.append("&");
        }
        String stringBuffer2 = stringBuffer.toString();
        return stringBuffer2.length() > 1 ? (String) stringBuffer2.subSequence(0, stringBuffer2.length() - 1) : str;
    }

    private String strReEncoder(String str) {
        if (str == null) {
            return str;
        }
        try {
            return URLDecoder.decode(str, "utf-8");
        } catch (UnsupportedEncodingException e) {
            il.c(e, "AbstractProtocalHandler", "strReEncoder");
            return "";
        } catch (Exception e2) {
            il.c(e2, "AbstractProtocalHandler", "strReEncoderException");
            return "";
        }
    }

    private String getNetworkFailedReason(String str) {
        return !this.mGLMapEngine.isNetworkConnected() ? "无网络" : str;
    }

    private void staticNetworkPerformance() {
        GLMapEngine gLMapEngine = this.mGLMapEngine;
        if (gLMapEngine != null) {
            di.a(gLMapEngine.getContext(), this.mGLMapEngine.hashCode(), System.currentTimeMillis() - this.requestMapDataTimestamp, this.requestMapDataPackageSize);
        }
    }
}
