package io.dcloud.application;

import android.app.Application;
import android.content.Context;
import io.dcloud.application.DCLoudApplicationImpl;
import io.dcloud.common.adapter.util.Logger;

public class DCloudApplication extends Application {
    private final String TAG = DCloudApplication.class.getSimpleName();

    public void addActivityStatusListener(DCLoudApplicationImpl.ActivityStatusListener activityStatusListener) {
        DCLoudApplicationImpl.self().addActivityStatusListener(activityStatusListener);
    }

    /* access modifiers changed from: protected */
    public void attachBaseContext(Context context) {
        super.attachBaseContext(context);
        DCLoudApplicationImpl.self().attachBaseContext(context);
    }

    public void onCreate() {
        super.onCreate();
        DCLoudApplicationImpl.self().onCreate(this);
    }

    public void onLowMemory() {
        super.onLowMemory();
        String str = this.TAG;
        Logger.e(str, "onLowMemory" + Runtime.getRuntime().maxMemory());
    }

    public void onTrimMemory(int i) {
        super.onTrimMemory(i);
        Logger.e(this.TAG, "onTrimMemory");
    }

    public void removeActivityStatusListener(DCLoudApplicationImpl.ActivityStatusListener activityStatusListener) {
        DCLoudApplicationImpl.self().removeActivityStatusListener(activityStatusListener);
    }

    public void stopB2FOnce() {
        DCLoudApplicationImpl.self().stopActivityStatusListener();
    }
}
