package io.dcloud.common.util;

import android.content.ContentResolver;
import android.content.Context;
import android.content.SharedPreferences;
import android.database.Cursor;
import android.net.Uri;
import android.os.Build;
import android.os.Environment;
import android.provider.Settings;
import android.telephony.TelephonyManager;
import android.text.TextUtils;
import android.util.Base64;
import androidx.core.content.ContextCompat;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.common.adapter.io.DHFile;
import io.dcloud.common.adapter.util.DeviceInfo;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.adapter.util.SP;
import io.dcloud.f.a;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.net.URLEncoder;
import java.util.UUID;
import org.json.JSONException;
import org.json.JSONObject;

public class TelephonyUtil {
    private static String AIDKEY = "aid";
    private static String AId = "";
    private static String IMEI1_KEY = "II1";
    private static String IMEI2_KEY = "II2";
    private static String IMSI_KEY = "isi";
    private static String MAC_KEY = "mc";
    private static String[] MultiIMEITemp = null;
    private static String MultiIMEI_KEY = "mmikey";
    private static final String OLD_UUID_FILE_NAME = ".imei.txt";
    public static final String TAG = "TelephonyUtil";
    private static final String UUID_FILE_NAME = ".DC4278477faeb9.txt";
    private static boolean isGetAId = false;
    private static boolean isGetIMSI = false;
    private static boolean isGetMac = false;
    private static boolean isGetMultiIMEI = false;
    private static Boolean isGetRdId = Boolean.FALSE;
    private static String mImei = "";
    private static String muuid = null;
    private static String randomId = null;
    private static String sIMSI = null;
    private static String sImei = "";
    private static String sImeiAndBakInfo;
    private static String sMac = null;
    private static String sOriginalImeiAndBakInfo;

    private static String createRandomBSFile(Context context, File file, File file2, String str) throws IOException {
        if (!file.getParentFile().exists()) {
            file.getParentFile().mkdirs();
            file.createNewFile();
        }
        String replace = UUID.randomUUID().toString().replaceAll(Operators.SUB, "").replace("\n", "");
        byte[] bytes = replace.getBytes();
        try {
            FileOutputStream fileOutputStream = new FileOutputStream(file);
            fileOutputStream.write(bytes);
            fileOutputStream.flush();
            fileOutputStream.close();
            if (!FileUtil.needMediaStoreOpenFile(context)) {
                DHFile.copyFile(file.getPath(), file2.getPath());
            }
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e2) {
            e2.printStackTrace();
        }
        return replace;
    }

    public static String getAId(Context context) {
        if (!isGetAId) {
            if (ContextCompat.checkSelfPermission(context, "android.permission.READ_PHONE_STATE") != 0) {
                return AId;
            }
            SharedPreferences orCreateBundle = SP.getOrCreateBundle(context, SP.N_DEVICE_INFO);
            if (orCreateBundle.contains(AIDKEY)) {
                String string = orCreateBundle.getString(AIDKEY, null);
                if (!PdrUtil.isEmpty(string)) {
                    AId = Base64.decodeString(string, true, 10);
                }
            } else {
                String string2 = Settings.Secure.getString(context.getContentResolver(), a.a("aWZsemdhbFdhbA=="));
                AId = string2;
                SP.setBundleData(orCreateBundle, AIDKEY, PdrUtil.isEmpty(string2) ? AId : Base64.encodeString(AId, true, 10));
            }
            isGetAId = true;
        }
        return AId;
    }

    private static String getAPSubId(Context context) {
        if (Build.VERSION.SDK_INT < 29) {
            if (!AppRuntime.hasPrivacyForNotShown(context)) {
                return "";
            }
            try {
                Object invokeMethod = ReflectUtils.invokeMethod(context.getSystemService("phone"), a.a("b218W31qe2t6YWptekFs"), new Class[0], new Object[0]);
                if (invokeMethod != null) {
                    return (String) invokeMethod;
                }
            } catch (Exception unused) {
            }
        }
        return null;
    }

    /* JADX WARNING: Removed duplicated region for block: B:12:0x0034  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x005f A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x0060  */
    public static String getDCloudDeviceID(Context context) {
        String str;
        String bundleData = SP.getBundleData(context, BaseInfo.PDR, "android_device_dcloud_id");
        if (!TextUtils.isEmpty(bundleData)) {
            return bundleData;
        }
        if (Build.VERSION.SDK_INT > 28 && !PdrUtil.isEmpty(DeviceInfo.oaids)) {
            String[] split = DeviceInfo.oaids.split("\\|");
            if (split.length > 0) {
                str = split[0];
                if (PdrUtil.isEmpty(str)) {
                    String[] strArr = MultiIMEITemp;
                    if (strArr != null) {
                        str = TextUtils.join(",", strArr);
                    } else {
                        str = "";
                    }
                    if (PdrUtil.isEmpty(str)) {
                        str = sIMSI;
                        if (PdrUtil.isEmpty(str)) {
                            str = getRandomId(context);
                            if (PdrUtil.isEmpty(str)) {
                                str = "";
                            }
                        }
                    }
                }
                if (!PdrUtil.isEmpty(str)) {
                    return "";
                }
                String md5LowerCase32Bit = Md5Utils.md5LowerCase32Bit(str);
                SP.setBundleData(context, BaseInfo.PDR, "android_device_dcloud_id", md5LowerCase32Bit);
                return md5LowerCase32Bit;
            }
        }
        str = "";
        if (PdrUtil.isEmpty(str)) {
        }
        if (!PdrUtil.isEmpty(str)) {
        }
    }

    public static String getIMEI(Context context) {
        return getIMEI(context, true);
    }

    public static String getIMEIS(Context context) {
        try {
            String[] multiIMEI = getMultiIMEI(context);
            if (multiIMEI != null) {
                return TextUtils.join(",", multiIMEI);
            }
        } catch (Exception unused) {
        }
        return "";
    }

    public static String getIMSI(Context context) {
        if (context == null) {
            return "";
        }
        try {
            if (ContextCompat.checkSelfPermission(context, "android.permission.READ_PHONE_STATE") != 0) {
                return "";
            }
            boolean hasPrivacyForNotShown = AppRuntime.hasPrivacyForNotShown(context);
            if (!isGetIMSI) {
                if (!hasPrivacyForNotShown) {
                    String str = sIMSI;
                    if (str != null) {
                        return str;
                    }
                    SharedPreferences orCreateBundle = SP.getOrCreateBundle(context, SP.N_DEVICE_INFO);
                    if (orCreateBundle.contains(IMSI_KEY)) {
                        String string = orCreateBundle.getString(IMSI_KEY, null);
                        if (!PdrUtil.isEmpty(string)) {
                            sIMSI = Base64.decodeString(string, true, 10);
                        }
                    } else {
                        int subId = getSubId(0, context);
                        int subId2 = getSubId(1, context);
                        if (subId == -1 && subId2 == -1) {
                            sIMSI = getAPSubId(context);
                        } else {
                            String str2 = (String) getPhoneInfo(subId, context);
                            String str3 = (String) getPhoneInfo(subId2, context);
                            if (!PdrUtil.isEmpty(str2)) {
                                sIMSI = str2;
                                if (!PdrUtil.isEmpty(str3) && !str2.equals(str3)) {
                                    sIMSI += "," + str3;
                                }
                            } else if (!PdrUtil.isEmpty(str3)) {
                                sIMSI = str3;
                            } else {
                                sIMSI = getAPSubId(context);
                            }
                        }
                        SP.setBundleData(orCreateBundle, IMSI_KEY, PdrUtil.isEmpty(sIMSI) ? sIMSI : Base64.encodeString(sIMSI, true, 10));
                    }
                    isGetIMSI = true;
                    return sIMSI;
                }
            }
            return sIMSI;
        } catch (Exception unused) {
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:51:0x00da  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x00e1  */
    public static String[] getMultiIMEI(Context context) {
        String str;
        String str2;
        if (ContextCompat.checkSelfPermission(context, "android.permission.READ_PHONE_STATE") != 0) {
            return null;
        }
        if (AppRuntime.hasPrivacyForNotShown(context)) {
            return MultiIMEITemp;
        }
        if (isGetMultiIMEI) {
            return MultiIMEITemp;
        }
        SharedPreferences orCreateBundle = SP.getOrCreateBundle(context, SP.N_DEVICE_INFO);
        if (orCreateBundle.contains(MultiIMEI_KEY)) {
            String string = orCreateBundle.getString(MultiIMEI_KEY, null);
            if (!PdrUtil.isEmpty(string)) {
                try {
                    JSONObject jSONObject = new JSONObject(Base64.decodeString(string, true, 10));
                    str = jSONObject.optString(IMEI1_KEY);
                    try {
                        str2 = jSONObject.optString(IMEI2_KEY);
                    } catch (JSONException unused) {
                    }
                } catch (JSONException unused2) {
                    str = null;
                    str2 = null;
                    isGetMultiIMEI = true;
                    if (isUnValid(str)) {
                    }
                    if (isUnValid(str)) {
                    }
                    isGetMultiIMEI = true;
                    return MultiIMEITemp;
                }
            } else {
                str = null;
                str2 = null;
            }
            isGetMultiIMEI = true;
        } else {
            TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
            try {
                String str3 = (String) PlatformUtil.invokeMethod(telephonyManager.getClass().getName(), "getDeviceId", telephonyManager);
                String str4 = (String) PlatformUtil.invokeMethod(telephonyManager.getClass().getName(), "getDeviceId", telephonyManager, new Class[]{Integer.TYPE}, new Object[]{1});
                if (isUnValid(str3)) {
                    str3 = null;
                }
                try {
                    str2 = !isUnValid(str4) ? str4 : null;
                    try {
                        JSONObject jSONObject2 = new JSONObject();
                        jSONObject2.put(IMEI1_KEY, str3);
                        jSONObject2.put(IMEI2_KEY, str2);
                        SP.setBundleData(orCreateBundle, MultiIMEI_KEY, Base64.encodeString(jSONObject2.toString(), true, 10));
                    } catch (Exception unused3) {
                    }
                } catch (Exception unused4) {
                    str2 = null;
                }
                str = str3;
            } catch (Exception unused5) {
                str = null;
                str2 = null;
            }
        }
        if (isUnValid(str) && !isUnValid(str2)) {
            MultiIMEITemp = new String[]{str, str2};
        } else if (isUnValid(str)) {
            MultiIMEITemp = new String[]{str};
        } else if (!isUnValid(str2)) {
            MultiIMEITemp = new String[]{str2};
        } else {
            MultiIMEITemp = null;
        }
        isGetMultiIMEI = true;
        return MultiIMEITemp;
    }

    private static Object getPhoneInfo(int i, Context context) {
        try {
            Object systemService = context.getSystemService("phone");
            String a = a.a("b218W31qe2t6YWptekFs");
            int i2 = Build.VERSION.SDK_INT;
            if (i2 > 21) {
                return ReflectUtils.invokeMethod(systemService, a, new Class[]{Integer.TYPE}, new Object[]{Integer.valueOf(i)});
            }
            if (i2 == 21) {
                return ReflectUtils.invokeMethod(systemService, a, new Class[]{Long.TYPE}, new Object[]{Integer.valueOf(i)});
            }
            return null;
        } catch (Exception unused) {
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:35:0x00da A[Catch:{ Exception -> 0x0100 }] */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x0106  */
    public static String getRandomId(Context context) {
        File file;
        String str;
        String str2;
        if (isGetRdId.booleanValue()) {
            return randomId;
        }
        String str3 = null;
        try {
            boolean needMediaStoreOpenFile = FileUtil.needMediaStoreOpenFile(context);
            StringBuilder sb = new StringBuilder();
            sb.append(context.getFilesDir());
            String str4 = File.separator;
            sb.append(str4);
            sb.append(OLD_UUID_FILE_NAME);
            String sb2 = sb.toString();
            File file2 = new File(sb2);
            if (!file2.exists()) {
                sb2 = context.getFilesDir() + str4 + UUID_FILE_NAME;
                file2 = new File(sb2);
            }
            if (!"mounted".equalsIgnoreCase(Environment.getExternalStorageState()) || needMediaStoreOpenFile || ContextCompat.checkSelfPermission(context, "android.permission.WRITE_EXTERNAL_STORAGE") != 0) {
                str = null;
                file = null;
            } else {
                str = Environment.getExternalStorageDirectory() + str4 + OLD_UUID_FILE_NAME;
                file = new File(str);
                if (!file.exists()) {
                    str = Environment.getExternalStorageDirectory() + str4 + UUID_FILE_NAME;
                    file = new File(str);
                }
            }
            if (file2.isDirectory()) {
                file2.delete();
            }
            if (file == null || !file.exists() || file.length() <= 0) {
                str2 = savePublicFile(file2, file, sb2, str, context);
            } else {
                if (needMediaStoreOpenFile) {
                    try {
                        if (Build.VERSION.SDK_INT >= 29) {
                            if (!TextUtils.isEmpty(str3)) {
                                if (!file2.getParentFile().exists()) {
                                    file2.getParentFile().mkdirs();
                                    file2.createNewFile();
                                }
                                FileOutputStream fileOutputStream = new FileOutputStream(file2);
                                fileOutputStream.write(str3.getBytes());
                                fileOutputStream.flush();
                                fileOutputStream.close();
                            }
                            if (TextUtils.isEmpty(str3)) {
                                str2 = savePublicFile(file2, file, sb2, str, context);
                            }
                            randomId = str3;
                            isGetRdId = Boolean.TRUE;
                            return str3;
                        }
                    } catch (Exception unused) {
                    }
                }
                str3 = IOUtil.toString(new FileInputStream(file));
                if (!TextUtils.isEmpty(str3)) {
                }
                if (TextUtils.isEmpty(str3)) {
                }
                randomId = str3;
                isGetRdId = Boolean.TRUE;
                return str3;
            }
            str3 = str2;
        } catch (Exception e) {
            e.printStackTrace();
        }
        randomId = str3;
        isGetRdId = Boolean.TRUE;
        return str3;
    }

    public static String getSBBS(Context context, boolean z, boolean z2) {
        return getSBBS(context, z, z2, true);
    }

    public static String getSimOperator(Context context) {
        if (!AppRuntime.hasPrivacyForNotShown(context)) {
            TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
            if (telephonyManager.getSimState() == 5) {
                return telephonyManager.getSimOperator();
            }
        }
        return "";
    }

    private static int getSubId(int i, Context context) {
        Uri parse = Uri.parse("content://telephony/siminfo");
        ContentResolver contentResolver = context.getContentResolver();
        Cursor cursor = null;
        try {
            String[] strArr = {"_id", "sim_id"};
            cursor = contentResolver.query(parse, strArr, "sim_id = ?", new String[]{String.valueOf(i)}, null);
            if (cursor == null || !cursor.moveToFirst()) {
                if (cursor == null) {
                    return -1;
                }
                cursor.close();
                return -1;
            }
            int i2 = cursor.getInt(cursor.getColumnIndex("_id"));
            cursor.close();
            return i2;
        } catch (Exception unused) {
            if (0 == 0) {
                return -1;
            }
        } catch (Throwable th) {
            if (0 != 0) {
                cursor.close();
            }
            throw th;
        }
    }

    public static String getUUID(Context context) {
        String str = "";
        if (context == null) {
            return str;
        }
        if (!TextUtils.isEmpty(muuid)) {
            return muuid;
        }
        try {
            String string = Settings.System.getString(context.getContentResolver(), a.a("aWZsemdhbFdhbA=="));
            if (string != null) {
                str = string;
            }
            return str;
        } finally {
            muuid = str;
        }
    }

    @Deprecated
    public static String getWifiData(Context context) {
        Object invokeMethod;
        String str = null;
        if (AppRuntime.hasPrivacyForNotShown(context)) {
            return null;
        }
        if (isGetMac) {
            return sMac;
        }
        SharedPreferences orCreateBundle = SP.getOrCreateBundle(context, SP.N_DEVICE_INFO);
        if (orCreateBundle.contains(MAC_KEY)) {
            String string = orCreateBundle.getString(MAC_KEY, null);
            if (!PdrUtil.isEmpty(string)) {
                sMac = Base64.decodeString(string, true, 10);
            }
        } else {
            Object systemService = context.getSystemService(a.a("f2FuYQ=="));
            if (!(systemService == null || (invokeMethod = ReflectUtils.invokeMethod(systemService, a.a("b218S2dmZm1rfGFnZkFmbmc"), new Class[0], new Object[0])) == null)) {
                Object invokeMethod2 = ReflectUtils.invokeMethod(invokeMethod, a.a("b218RWlrSWxsem17ew"), new Class[0], new Object[0]);
                String str2 = invokeMethod2 != null ? (String) invokeMethod2 : null;
                if (!TextUtils.isEmpty(str2)) {
                    str = str2.replace(":", "");
                }
            }
            sMac = str;
            SP.setBundleData(orCreateBundle, MAC_KEY, PdrUtil.isEmpty(str) ? sMac : Base64.encodeString(sMac, true, 10));
        }
        isGetMac = true;
        return sMac;
    }

    private static boolean isUnValid(String str) {
        return TextUtils.isEmpty(str) || str.contains("Unknown") || str.contains("00000000");
    }

    /* JADX WARNING: Removed duplicated region for block: B:19:0x0042  */
    /* JADX WARNING: Removed duplicated region for block: B:24:? A[RETURN, SYNTHETIC] */
    private static String savePublicFile(File file, File file2, String str, String str2, Context context) throws IOException {
        String str3;
        if (!file.exists() || file.length() <= 0) {
            return createRandomBSFile(context, file, file2, UUID_FILE_NAME);
        }
        try {
            str3 = IOUtil.toString(new FileInputStream(file));
            if (file2 == null) {
                return str3;
            }
            try {
                if (FileUtil.needMediaStoreOpenFile(context)) {
                    return str3;
                }
                if (!file2.getParentFile().exists()) {
                    file2.getParentFile().mkdirs();
                    file2.createNewFile();
                }
                DHFile.copyFile(str, str2);
                return str3;
            } catch (Exception unused) {
                if (str3 != null) {
                }
            }
        } catch (Exception unused2) {
            str3 = null;
            if (str3 != null) {
                return createRandomBSFile(context, file, file2, UUID_FILE_NAME);
            }
            return str3;
        }
    }

    public static String updateIMEI(Context context) {
        if (!PdrUtil.isEmpty(mImei)) {
            return mImei;
        }
        String[] multiIMEI = getMultiIMEI(context);
        if (multiIMEI != null) {
            StringBuilder sb = new StringBuilder();
            for (String str : multiIMEI) {
                sb.append(str);
                sb.append(",");
            }
            if (sb.lastIndexOf(",") >= sb.length() - 1) {
                String sb2 = sb.deleteCharAt(sb.length() - 1).toString();
                mImei = sb2;
                return sb2;
            }
            String sb3 = sb.toString();
            mImei = sb3;
            return sb3;
        }
        mImei = "";
        return "";
    }

    public static String getIMEI(Context context, boolean z) {
        return getIMEI(context, z, false);
    }

    /* JADX WARNING: Code restructure failed: missing block: B:115:0x0185, code lost:
        if (android.text.TextUtils.isEmpty(r7) != false) goto L_0x019b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:122:0x0194, code lost:
        if (android.text.TextUtils.isEmpty(null) != false) goto L_0x019b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:123:0x0197, code lost:
        r3 = r7.replace("\n", r3);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:124:0x019b, code lost:
        r1.append(r3);
        r1.append("|");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:55:0x00d7, code lost:
        if (r11 != false) goto L_0x00f9;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:60:0x00f7, code lost:
        if (r11 == false) goto L_0x0110;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:61:0x00f9, code lost:
        r1.append(io.dcloud.common.util.TelephonyUtil.sImei);
        r1.append("|");
     */
    /* JADX WARNING: Code restructure failed: missing block: B:83:0x0137, code lost:
        if (android.text.TextUtils.isEmpty(r8) != false) goto L_0x0149;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:91:0x0147, code lost:
        if (android.text.TextUtils.isEmpty(r8) != false) goto L_0x0149;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:92:0x0149, code lost:
        r8 = r3;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:93:0x014a, code lost:
        r1.append(r8);
        r1.append("|");
     */
    /* JADX WARNING: Removed duplicated region for block: B:114:0x0181  */
    /* JADX WARNING: Removed duplicated region for block: B:127:0x01ca  */
    /* JADX WARNING: Removed duplicated region for block: B:132:0x01d8  */
    /* JADX WARNING: Removed duplicated region for block: B:97:0x0155  */
    public static String getSBBS(Context context, boolean z, boolean z2, boolean z3) {
        boolean isUnValid;
        Throwable th;
        String str;
        Exception e;
        StringBuffer stringBuffer = new StringBuffer();
        if (z) {
            stringBuffer.append("|");
        }
        String str2 = "";
        if (context == null) {
            return z ? "|||||" : str2;
        }
        boolean hasPrivacyForNotShown = AppRuntime.hasPrivacyForNotShown(context);
        if (!z3) {
            hasPrivacyForNotShown = true;
        }
        if (z2) {
            if (z && !TextUtils.isEmpty(sOriginalImeiAndBakInfo)) {
                return sOriginalImeiAndBakInfo;
            }
            if (!isUnValid(sImei) && !z) {
                return sImei;
            }
        } else if (z && !TextUtils.isEmpty(sImeiAndBakInfo)) {
            return sImeiAndBakInfo;
        } else {
            if (!isUnValid(sImei) && !z) {
                return sImei;
            }
        }
        if (!isUnValid(sImei) && !z) {
            return sImei;
        }
        if (!hasPrivacyForNotShown) {
            try {
                String bundleData = SP.getBundleData(context, "pdr", SP.K_DEVICE_DPUSH_UUID);
                if (isUnValid(bundleData) || !z) {
                    String[] multiIMEI = getMultiIMEI(context);
                    if (multiIMEI != null) {
                        sImei = multiIMEI[0] + "," + multiIMEI[1];
                    } else {
                        sImei = str2;
                    }
                } else if (z2) {
                    if (z) {
                        stringBuffer.append(sImei);
                        stringBuffer.append("|");
                    }
                    return bundleData;
                } else {
                    String str3 = URLEncoder.encode(Base64.encodeToString(AESUtil.encrypt(a.c(), a.b(), bundleData), 2)) + "&ie=1";
                    if (z) {
                        stringBuffer.append(sImei);
                        stringBuffer.append("|");
                    }
                    return str3;
                }
            } catch (Exception e2) {
                Logger.e(TAG, "getIMEI exception==" + e2.getMessage());
            } catch (Throwable th2) {
                if (z) {
                    stringBuffer.append(sImei);
                    stringBuffer.append("|");
                }
                throw th2;
            }
        } else {
            stringBuffer.append("|");
        }
        if (z) {
            stringBuffer.append("|");
        }
        boolean isUnValid2 = isUnValid(sImei);
        if (!isUnValid2 && !z) {
            return sImei;
        }
        String str4 = null;
        if (!hasPrivacyForNotShown) {
            try {
                str = getAId(context);
                if (isUnValid2) {
                    try {
                        sImei = str;
                    } catch (Exception e3) {
                        e = e3;
                    }
                }
                if (z) {
                }
            } catch (Exception e4) {
                e = e4;
                str = null;
                try {
                    e.printStackTrace();
                    if (z) {
                    }
                    isUnValid = isUnValid(sImei);
                    if (isUnValid) {
                    }
                    try {
                        str4 = getRandomId(context);
                        sImei = str4;
                        if (z) {
                        }
                    } catch (Exception e5) {
                        e5.printStackTrace();
                        if (z) {
                        }
                    } catch (Throwable th3) {
                        if (z) {
                            if (!TextUtils.isEmpty(null)) {
                                str2 = str4.replace("\n", str2);
                            }
                            stringBuffer.append(str2);
                            stringBuffer.append("|");
                        }
                        throw th3;
                    }
                    String str5 = URLEncoder.encode(Base64.encodeToString(AESUtil.encrypt(a.c(), a.b(), stringBuffer.toString()), 2)) + "&ie=1";
                    if (!hasPrivacyForNotShown) {
                    }
                } catch (Throwable th4) {
                    th = th4;
                    str4 = str;
                    if (z) {
                        if (!TextUtils.isEmpty(str4)) {
                            str2 = str4;
                        }
                        stringBuffer.append(str2);
                        stringBuffer.append("|");
                    }
                    throw th;
                }
            } catch (Throwable th5) {
                th = th5;
                if (z) {
                }
                throw th;
            }
        } else {
            stringBuffer.append("|");
        }
        isUnValid = isUnValid(sImei);
        if (isUnValid && !z) {
            return sImei;
        }
        str4 = getRandomId(context);
        if (isUnValid && !hasPrivacyForNotShown) {
            sImei = str4;
        }
        if (z) {
        }
        String str52 = URLEncoder.encode(Base64.encodeToString(AESUtil.encrypt(a.c(), a.b(), stringBuffer.toString()), 2)) + "&ie=1";
        if (!hasPrivacyForNotShown) {
            return z2 ? stringBuffer.toString() : str52;
        }
        sImeiAndBakInfo = str52;
        String stringBuffer2 = stringBuffer.toString();
        sOriginalImeiAndBakInfo = stringBuffer2;
        return z2 ? stringBuffer2 : sImeiAndBakInfo;
    }

    public static String getIMEI(Context context, boolean z, boolean z2) {
        return getSBBS(context, z, z2);
    }
}
