package io.dcloud.feature.gg.dcloud.dcmgr;

import android.app.Activity;
import android.content.Context;
import android.os.Build;
import android.os.SystemClock;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.view.Display;
import android.view.View;
import android.view.ViewGroup;
import android.view.Window;
import android.view.WindowManager;
import android.widget.FrameLayout;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.util.BaseInfo;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.feature.gg.AdSplashUtil;
import io.dcloud.feature.gg.dcloud.ADHandler;
import io.dcloud.feature.gg.dcloud.ADSplashView;
import io.dcloud.feature.ui.navigator.QueryNotchTool;
import io.dcloud.h.c.c.a.b.a;
import io.dcloud.h.c.f.a;
import io.dcloud.sdk.core.api.AdLoader;
import io.dcloud.sdk.core.api.SplashAd;
import io.dcloud.sdk.core.entry.DCloudAdSlot;
import io.dcloud.sdk.core.entry.SplashConfig;
import io.dcloud.sdk.core.util.MainHandlerUtil;
import io.dcloud.sdk.core.v2.interstitial.DCInterstitialAd;
import io.dcloud.sdk.core.v2.interstitial.DCInterstitialAdListener;
import io.dcloud.sdk.core.v2.interstitial.DCInterstitialAdLoadListener;
import io.dcloud.sdk.core.v2.splash.DCSplashAdListener;
import io.dcloud.sdk.core.v2.splash.DCSplashAdLoadListener;
import org.json.JSONException;
import org.json.JSONObject;

public class BaseSplashAdWrapper extends a {
    private String fr = "";
    private String frt = "";
    private int interAdTimeout = 0;
    private String interAdpId = "";
    private long interShowTime = 0;
    DCInterstitialAd interstitialAd;
    boolean isB2F = false;
    private boolean isFullScreenSplashAd = false;
    private boolean isInterLoadFinish = false;
    private boolean isInterShow = false;
    private boolean isLoadSuccess = false;
    private boolean isLoadingFinish = false;
    private boolean isShow = false;
    private boolean isSupportB2F = false;
    private DCSplashAdListener listener;
    long pullTime = 0;
    private SplashAd splashAd;
    ADSplashView splashView;

    public BaseSplashAdWrapper(Activity activity) {
        super(activity);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void finishShow() {
        ADSplashView aDSplashView = this.splashView;
        if (aDSplashView != null) {
            aDSplashView.onFinishShow();
        }
    }

    /* access modifiers changed from: private */
    public static int getRealHeight(Activity activity) {
        Display defaultDisplay = activity.getWindowManager().getDefaultDisplay();
        DisplayMetrics displayMetrics = new DisplayMetrics();
        defaultDisplay.getRealMetrics(displayMetrics);
        int i = displayMetrics.heightPixels;
        return (!PdrUtil.hasNavBar(activity) || !PdrUtil.isNavigationBarShowing(activity)) ? i : i - PdrUtil.getNavigationBarHeight(activity);
    }

    /* access modifiers changed from: private */
    public static int getScreenWidthDp(Context context) {
        return context.getResources().getDisplayMetrics().widthPixels;
    }

    public boolean checkTimeout(long j) {
        long j2;
        try {
            j2 = Long.parseLong(this.frt);
        } catch (Exception unused) {
            j2 = 0;
        }
        if (j2 <= 0) {
            j2 = 180;
        }
        if (j + (j2 * 1000) >= SystemClock.elapsedRealtime() || (!"1".equals(this.fr) && TextUtils.isEmpty(this.interAdpId))) {
            return false;
        }
        return true;
    }

    public View getSplashView(Activity activity, String str, ICallBack iCallBack) {
        if (!this.isLoadingFinish || this.splashAd == null) {
            return null;
        }
        if (this.splashView == null) {
            ADSplashView aDSplashView = new ADSplashView(activity);
            this.splashView = aDSplashView;
            showIn(aDSplashView.getImgContainer());
        }
        if (this.isFullScreenSplashAd) {
            this.splashView.getBottomIcon().setVisibility(8);
        }
        this.splashView.setPullTime(this.pullTime);
        this.splashView.setAppid(str);
        this.splashView.setCallBack(iCallBack);
        return this.splashView;
    }

    public boolean isLoadSuccess() {
        return this.isLoadSuccess;
    }

    public boolean isLoadingFinish() {
        return this.isLoadingFinish;
    }

    public boolean isShow() {
        return this.isShow;
    }

    public boolean isValid() {
        SplashAd splashAd2 = this.splashAd;
        if (splashAd2 != null) {
            return splashAd2.isValid();
        }
        return false;
    }

    public /* synthetic */ void lambda$showIn$0$BaseSplashAdWrapper(ViewGroup viewGroup) {
        this.splashAd.showIn(viewGroup);
    }

    public /* synthetic */ Object lambda$showSplash$1$BaseSplashAdWrapper(ViewGroup viewGroup, Activity activity, int i, Object obj) {
        viewGroup.removeView(this.splashView);
        if (!BaseInfo.sGlobalFullScreen) {
            Window window = activity.getWindow();
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.flags &= -1025;
            if (QueryNotchTool.hasNotchInScreen(activity) && Build.VERSION.SDK_INT >= 28) {
                attributes.layoutInDisplayCutoutMode = 0;
            }
            window.setAttributes(attributes);
        }
        showInterAd();
        return null;
    }

    public void load(SplashConfig splashConfig, final DCSplashAdLoadListener dCSplashAdLoadListener, final boolean z) {
        if (super.load(new DCloudAdSlot.Builder().build(), dCSplashAdLoadListener)) {
            this.isB2F = z;
            this.isLoadSuccess = false;
            this.splashAd = null;
            this.isLoadingFinish = false;
            this.pullTime = SystemClock.elapsedRealtime();
            AnonymousClass1 r0 = new a.AbstractC0065a() {
                /* class io.dcloud.feature.gg.dcloud.dcmgr.BaseSplashAdWrapper.AnonymousClass1 */

                @Override // io.dcloud.h.c.c.a.b.a.AbstractC0065a
                public int getDelayTime() {
                    long j;
                    int i = 0;
                    if (!z) {
                        return 0;
                    }
                    try {
                        j = Long.parseLong(BaseSplashAdWrapper.this.frt);
                    } catch (Exception unused) {
                        j = 0;
                    }
                    if (j <= 0) {
                        j = 180;
                    }
                    if (j >= 60) {
                        i = 20;
                    }
                    return i * 1000;
                }

                @Override // io.dcloud.h.c.c.a.b.a.AbstractC0065a
                public SplashConfig getRealConfig() {
                    int i;
                    float screenWidthDp = 1080.0f / ((float) BaseSplashAdWrapper.getScreenWidthDp(BaseSplashAdWrapper.this.getContext()));
                    if (BaseSplashAdWrapper.this.isFullScreenSplashAd) {
                        i = BaseSplashAdWrapper.getRealHeight(BaseSplashAdWrapper.this.getContext());
                    } else {
                        i = (int) (((float) ((BaseSplashAdWrapper.getRealHeight(BaseSplashAdWrapper.this.getContext()) / 20) * 17)) * screenWidthDp);
                    }
                    return new SplashConfig.Builder().width(0).height(i).build();
                }

                @Override // io.dcloud.h.c.c.a.b.a.AbstractC0065a
                public boolean needPullSplash() {
                    boolean z;
                    return ADHandler.SplashAdIsEnable(BaseSplashAdWrapper.this.getContext()).booleanValue() && (!(z = z) || (z && "1".equals(BaseSplashAdWrapper.this.fr)));
                }

                @Override // io.dcloud.sdk.core.api.AdLoader.SplashAdLoadListener
                public void onError(int i, String str) {
                    BaseSplashAdWrapper.this.isLoadingFinish = true;
                    BaseSplashAdWrapper.this.isLoadSuccess = false;
                    BaseSplashAdWrapper.this.setLoading(false);
                    DCSplashAdLoadListener dCSplashAdLoadListener = dCSplashAdLoadListener;
                    if (dCSplashAdLoadListener != null) {
                        dCSplashAdLoadListener.onError(i, str);
                    }
                }

                @Override // io.dcloud.sdk.core.api.AdLoader.SplashAdLoadListener
                public void onSplashAdLoad(SplashAd splashAd) {
                    BaseSplashAdWrapper.this.isLoadingFinish = true;
                    BaseSplashAdWrapper.this.isLoadSuccess = true;
                    BaseSplashAdWrapper.this.splashAd = splashAd;
                    BaseSplashAdWrapper.this.setLoading(false);
                    DCSplashAdLoadListener dCSplashAdLoadListener = dCSplashAdLoadListener;
                    if (dCSplashAdLoadListener != null) {
                        dCSplashAdLoadListener.onSplashAdLoad();
                    }
                }

                @Override // io.dcloud.sdk.core.api.AdLoader.SplashAdLoadListener
                public void pushAd(JSONObject jSONObject) {
                    DCSplashAdLoadListener dCSplashAdLoadListener = dCSplashAdLoadListener;
                    if (dCSplashAdLoadListener != null) {
                        dCSplashAdLoadListener.pushAd(jSONObject);
                    }
                }

                @Override // io.dcloud.sdk.core.api.AdLoader.SplashAdLoadListener
                public void redBag(View view, FrameLayout.LayoutParams layoutParams) {
                    DCSplashAdLoadListener dCSplashAdLoadListener = dCSplashAdLoadListener;
                    if (dCSplashAdLoadListener != null) {
                        dCSplashAdLoadListener.redBag(view, layoutParams);
                    }
                }

                @Override // io.dcloud.h.c.c.a.b.a.AbstractC0065a
                public void splashConfig(JSONObject jSONObject) {
                    JSONObject jSONObject2;
                    try {
                        jSONObject2 = new JSONObject(jSONObject.toString());
                    } catch (JSONException unused) {
                        jSONObject2 = null;
                    }
                    if (jSONObject2 != null) {
                        try {
                            BaseSplashAdWrapper baseSplashAdWrapper = BaseSplashAdWrapper.this;
                            boolean z = false;
                            if (jSONObject2.optInt("_fs_", 0) == 1) {
                                z = true;
                            }
                            baseSplashAdWrapper.isFullScreenSplashAd = z;
                            BaseSplashAdWrapper.this.fr = jSONObject2.optString("_fr_");
                            BaseSplashAdWrapper.this.frt = jSONObject2.optString("_frt_");
                            if (jSONObject2.has("cp_adp_id")) {
                                BaseSplashAdWrapper.this.interAdpId = jSONObject2.optString("cp_adp_id");
                                BaseSplashAdWrapper.this.interAdTimeout = jSONObject2.optInt("_fwt_");
                                BaseSplashAdWrapper baseSplashAdWrapper2 = BaseSplashAdWrapper.this;
                                baseSplashAdWrapper2.interAdTimeout = baseSplashAdWrapper2.interAdTimeout <= 0 ? 2500 : BaseSplashAdWrapper.this.interAdTimeout;
                            }
                        } catch (Exception e) {
                            e.printStackTrace();
                        }
                    }
                }
            };
            if (z) {
                getAdLoader().loadB2SSplashAd(getContext(), splashConfig, r0);
            } else {
                getAdLoader().loadSplashAd(getContext(), splashConfig, r0);
            }
        }
    }

    public void loadInterAd() {
        this.isInterLoadFinish = false;
        if (!TextUtils.isEmpty(this.interAdpId) && !AdSplashUtil.isShowingInterstitialAd()) {
            DCloudAdSlot build = new DCloudAdSlot.Builder().adpid(this.interAdpId).build();
            DCInterstitialAd dCInterstitialAd = new DCInterstitialAd(getContext());
            this.interstitialAd = dCInterstitialAd;
            dCInterstitialAd.setInterstitialAdListener(new DCInterstitialAdListener() {
                /* class io.dcloud.feature.gg.dcloud.dcmgr.BaseSplashAdWrapper.AnonymousClass3 */

                @Override // io.dcloud.sdk.core.v2.interstitial.DCInterstitialAdListener
                public void onClick() {
                }

                @Override // io.dcloud.sdk.core.v2.interstitial.DCInterstitialAdListener
                public void onClose() {
                    AdSplashUtil.setShowInterstitialAd(false);
                }

                @Override // io.dcloud.sdk.core.v2.interstitial.DCInterstitialAdListener
                public void onShow() {
                    AdSplashUtil.setShowInterstitialAd(true);
                }

                @Override // io.dcloud.sdk.core.v2.interstitial.DCInterstitialAdListener
                public void onShowError(int i, String str) {
                    AdSplashUtil.setShowInterstitialAd(false);
                }

                @Override // io.dcloud.sdk.core.v2.interstitial.DCInterstitialAdListener
                public void onSkip() {
                }

                @Override // io.dcloud.sdk.core.v2.interstitial.DCInterstitialAdListener
                public void onVideoPlayEnd() {
                }
            });
            this.interstitialAd.load(build, new DCInterstitialAdLoadListener() {
                /* class io.dcloud.feature.gg.dcloud.dcmgr.BaseSplashAdWrapper.AnonymousClass4 */

                @Override // io.dcloud.sdk.core.v2.base.DCBaseAdLoadListener
                public void onError(int i, String str) {
                    BaseSplashAdWrapper.this.isInterLoadFinish = true;
                }

                @Override // io.dcloud.sdk.core.v2.interstitial.DCInterstitialAdLoadListener
                public void onInterstitialAdLoad() {
                    BaseSplashAdWrapper.this.isInterLoadFinish = true;
                    if (BaseSplashAdWrapper.this.isInterShow && BaseSplashAdWrapper.this.interShowTime > 0 && BaseSplashAdWrapper.this.interShowTime > SystemClock.elapsedRealtime()) {
                        BaseSplashAdWrapper baseSplashAdWrapper = BaseSplashAdWrapper.this;
                        baseSplashAdWrapper.interstitialAd.show(baseSplashAdWrapper.getContext());
                    }
                }
            });
        }
    }

    public void onWillCloseSplash(View view) {
        ADSplashView aDSplashView = this.splashView;
        if (aDSplashView != null) {
            aDSplashView.onWillCloseSplash();
        }
    }

    public void setShow() {
        this.isShow = true;
    }

    public void setSplashAdListener(DCSplashAdListener dCSplashAdListener) {
        this.listener = dCSplashAdListener;
    }

    public void showIn(ViewGroup viewGroup) {
        SplashAd splashAd2 = this.splashAd;
        if (splashAd2 != null) {
            splashAd2.setSplashAdInteractionListener(new AdLoader.SplashAdInteractionListener() {
                /* class io.dcloud.feature.gg.dcloud.dcmgr.BaseSplashAdWrapper.AnonymousClass2 */

                @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
                public void onClick() {
                }

                @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
                public void onClose() {
                    BaseSplashAdWrapper.this.finishShow();
                }

                @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
                public void onShow() {
                }

                @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
                public void onShowError(int i, String str) {
                    BaseSplashAdWrapper.this.finishShow();
                }

                @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
                public void onSkip() {
                    BaseSplashAdWrapper.this.finishShow();
                }

                @Override // io.dcloud.sdk.core.api.AdLoader.VideoAdInteractionListener
                public void onVideoPlayEnd() {
                    BaseSplashAdWrapper.this.finishShow();
                }
            });
            MainHandlerUtil.getMainHandler().post(new Runnable(viewGroup) {
                /* class io.dcloud.feature.gg.dcloud.dcmgr.$$Lambda$BaseSplashAdWrapper$SpOyDQPLa0xOf_PBjU5jQscEoGk */
                public final /* synthetic */ ViewGroup f$1;

                {
                    this.f$1 = r2;
                }

                public final void run() {
                    BaseSplashAdWrapper.this.lambda$showIn$0$BaseSplashAdWrapper(this.f$1);
                }
            });
        }
    }

    public void showInterAd() {
        if (!this.isInterLoadFinish) {
            long elapsedRealtime = SystemClock.elapsedRealtime();
            int i = this.interAdTimeout;
            if (i <= 0) {
                i = 2500;
            }
            this.interShowTime = elapsedRealtime + ((long) i);
            this.isInterShow = true;
            return;
        }
        DCInterstitialAd dCInterstitialAd = this.interstitialAd;
        if (dCInterstitialAd != null && dCInterstitialAd.isValid()) {
            this.interstitialAd.show(getContext());
        }
    }

    public void showSplash(Activity activity, String str, ViewGroup viewGroup) {
        loadInterAd();
        if (!this.isLoadingFinish || !this.isLoadSuccess) {
            showInterAd();
            return;
        }
        getSplashView(activity, str, new ICallBack(viewGroup, activity) {
            /* class io.dcloud.feature.gg.dcloud.dcmgr.$$Lambda$BaseSplashAdWrapper$cpJDgc4qSwdsfxwZHABXpShIUX0 */
            public final /* synthetic */ ViewGroup f$1;
            public final /* synthetic */ Activity f$2;

            {
                this.f$1 = r2;
                this.f$2 = r3;
            }

            @Override // io.dcloud.common.DHInterface.ICallBack
            public final Object onCallBack(int i, Object obj) {
                return BaseSplashAdWrapper.this.lambda$showSplash$1$BaseSplashAdWrapper(this.f$1, this.f$2, i, obj);
            }
        });
        viewGroup.addView(this.splashView);
        if (!BaseInfo.sGlobalFullScreen) {
            Window window = activity.getWindow();
            WindowManager.LayoutParams attributes = window.getAttributes();
            attributes.flags |= 1024;
            if (QueryNotchTool.hasNotchInScreen(activity) && Build.VERSION.SDK_INT >= 28) {
                attributes.layoutInDisplayCutoutMode = 1;
            }
            window.setAttributes(attributes);
        }
    }

    public boolean splashCanShow() {
        return this.isLoadingFinish && this.isLoadSuccess;
    }
}
