package io.dcloud.feature.gg.dcloud.dcmgr;

import android.app.Activity;
import android.os.SystemClock;
import android.widget.FrameLayout;
import io.dcloud.common.DHInterface.IActivityHandler;
import io.dcloud.sdk.core.entry.SplashConfig;
import io.src.dcloud.adapter.DCloudAdapterUtil;

public class SplashInterstitialAdManager {
    private static SplashInterstitialAdManager instance;
    private long loadTime = 0;
    BaseSplashAdWrapper wrapper;

    public static SplashInterstitialAdManager getInstance() {
        if (instance == null) {
            synchronized (SplashInterstitialAdManager.class) {
                if (instance == null) {
                    SplashInterstitialAdManager splashInterstitialAdManager = new SplashInterstitialAdManager();
                    instance = splashInterstitialAdManager;
                    return splashInterstitialAdManager;
                }
            }
        }
        return instance;
    }

    public void load(Activity activity) {
        this.wrapper = new BaseSplashAdWrapper(activity);
        this.wrapper.load(new SplashConfig.Builder().width(0).height(0).build(), null, true);
        this.loadTime = SystemClock.elapsedRealtime();
    }

    public void show(Activity activity) {
        IActivityHandler iActivityHandler = DCloudAdapterUtil.getIActivityHandler(activity);
        if (iActivityHandler != null && this.wrapper != null) {
            FrameLayout obtainActivityContentView = iActivityHandler.obtainActivityContentView();
            if (this.wrapper.checkTimeout(this.loadTime)) {
                this.wrapper.showSplash(activity, "", obtainActivityContentView);
            }
        }
    }
}
