package io.dcloud.feature.weex_amap.adapter.cluster;

import com.amap.api.maps.model.BitmapDescriptor;
import com.amap.api.maps.model.BitmapDescriptorFactory;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.Marker;
import com.amap.api.maps.model.MarkerOptions;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.feature.uniapp.UniSDKInstance;
import io.dcloud.feature.weex_amap.adapter.Constant;
import io.dcloud.feature.weex_amap.adapter.WXMapView;
import io.dcloud.feature.weex_amap.adapter.marker.IUniMarker;
import io.dcloud.feature.weex_amap.adapter.marker.WXMarker;

public class ClusterMarker implements IUniMarker {
    private WXMarker mDiyMarker;
    private Marker mMarker;
    private int mMarkermCount = 0;

    public ClusterMarker(WXMapView wXMapView, BitmapDescriptor bitmapDescriptor, LatLng latLng, int i) {
        this.mMarkermCount = i;
        MarkerOptions markerOptions = new MarkerOptions();
        markerOptions.anchor(0.5f, 0.5f).icon(bitmapDescriptor).position(latLng);
        this.mMarker = wXMapView.getMap().addMarker(markerOptions);
    }

    public void updateIcon(BitmapDescriptor bitmapDescriptor, int i) {
        Marker marker;
        if (this.mDiyMarker == null && (marker = this.mMarker) != null) {
            marker.setIcon(bitmapDescriptor);
        }
        this.mMarkermCount = i;
    }

    public void updateClusterForRender(UniSDKInstance uniSDKInstance, WXMapView wXMapView, ClusterRender clusterRender) {
        Marker marker = this.mMarker;
        if (marker != null) {
            marker.destroy();
            this.mMarker = null;
        }
        WXMarker wXMarker = this.mDiyMarker;
        if (wXMarker != null) {
            wXMarker.destroy();
        }
        String string = clusterRender.getMarkerData().getString(Constant.JSONKEY.ICONPATH);
        if (PdrUtil.isEmpty(string)) {
            clusterRender.getMarkerData().put(Constant.JSONKEY.ICONPATH, Constant.TRANSPARENT);
            string = Constant.TRANSPARENT;
        }
        this.mDiyMarker = new WXMarker(uniSDKInstance, wXMapView, clusterRender.getMarkerData(), clusterRender.getMarkerId());
        if (Constant.TRANSPARENT.equals(string)) {
            this.mDiyMarker.getInstance().setIcon(BitmapDescriptorFactory.fromBitmap(wXMapView.getTransparentBitmap()));
        }
    }

    @Override // io.dcloud.feature.weex_amap.adapter.marker.IUniMarker
    public Marker getInstance() {
        WXMarker wXMarker = this.mDiyMarker;
        if (wXMarker != null) {
            return wXMarker.getInstance();
        }
        return this.mMarker;
    }

    @Override // io.dcloud.feature.weex_amap.adapter.marker.IUniMarker
    public void destroy() {
        WXMarker wXMarker = this.mDiyMarker;
        if (wXMarker != null) {
            wXMarker.destroy();
            this.mDiyMarker = null;
        }
        Marker marker = this.mMarker;
        if (marker != null) {
            marker.destroy();
            this.mMarker = null;
        }
    }

    public int getMarkerCount() {
        return this.mMarkermCount;
    }
}
