package io.dcloud.feature.weex_amap.adapter.control;

import android.widget.FrameLayout;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.WXSDKInstance;
import io.dcloud.feature.weex_amap.adapter.MapAbsMgr;
import io.dcloud.feature.weex_amap.adapter.WXMapView;
import java.util.HashMap;
import java.util.concurrent.ConcurrentHashMap;

public class ControlMgr extends MapAbsMgr {
    private ConcurrentHashMap<String, ControlView> mConcurrentCaches = new ConcurrentHashMap<>();
    private FrameLayout mControlRootView;
    private String mRef;

    public ControlMgr(WXSDKInstance wXSDKInstance, String str, WXMapView wXMapView, FrameLayout frameLayout) {
        super(wXSDKInstance, wXMapView);
        this.mRef = str;
        FrameLayout frameLayout2 = new FrameLayout(wXSDKInstance.getContext());
        this.mControlRootView = frameLayout2;
        frameLayout.addView(frameLayout2, 1, new FrameLayout.LayoutParams(-1, -1));
    }

    public void setControls(JSONArray jSONArray) {
        if (jSONArray != null && jSONArray.size() > 0) {
            HashMap hashMap = new HashMap();
            for (int i = 0; i < jSONArray.size(); i++) {
                JSONObject jSONObject = jSONArray.getJSONObject(i);
                String valueOf = String.valueOf(jSONObject.hashCode());
                if (jSONObject.containsKey("id")) {
                    valueOf = jSONObject.getString("id");
                }
                if (this.mConcurrentCaches.containsKey(valueOf)) {
                    ControlView remove = this.mConcurrentCaches.remove(valueOf);
                    remove.update(jSONObject);
                    hashMap.put(valueOf, remove);
                } else {
                    hashMap.put(valueOf, new ControlView(this.mInstance, this.mRef, valueOf, jSONObject, this.mControlRootView));
                }
            }
            removeDiscardControl(this.mConcurrentCaches);
            this.mConcurrentCaches.putAll(hashMap);
        }
    }

    private void removeDiscardControl(ConcurrentHashMap<String, ControlView> concurrentHashMap) {
        for (int i = 0; i < concurrentHashMap.size(); i++) {
            concurrentHashMap.get(Integer.valueOf(i)).destroy();
        }
        this.mConcurrentCaches.clear();
    }
}
