package io.dcloud.feature.weex_amap.adapter.control;

import android.content.Context;
import android.graphics.Bitmap;
import android.net.Uri;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.ImageView;
import com.alibaba.fastjson.JSONObject;
import com.taobao.weex.WXSDKInstance;
import com.taobao.weex.utils.WXViewUtils;
import io.dcloud.feature.uniapp.utils.UniUtils;
import io.dcloud.feature.uniapp.utils.bitmap.BitmapLoadCallback;
import io.dcloud.feature.weex.adapter.FrescoLoadUtil;
import io.dcloud.feature.weex_amap.adapter.Constant;
import io.dcloud.feature.weex_amap.adapter.MapResourceUtils;
import java.util.HashMap;

public class ControlView {
    public boolean clickable = false;
    public String iconPath;
    public String id;
    private WXSDKInstance mInstance;
    private ImageView mView;
    public JSONObject position;
    private String ref;
    private FrameLayout rootView;

    public ControlView(WXSDKInstance wXSDKInstance, String str, String str2, JSONObject jSONObject, FrameLayout frameLayout) {
        if (jSONObject.containsKey(Constant.JSONKEY.ICONPATH) && jSONObject.containsKey("position")) {
            this.mInstance = wXSDKInstance;
            this.ref = str;
            this.rootView = frameLayout;
            this.iconPath = jSONObject.getString(Constant.JSONKEY.ICONPATH);
            this.position = jSONObject.getJSONObject("position");
            this.id = str2;
            if (jSONObject.containsKey("clickable")) {
                this.clickable = UniUtils.getBoolean(jSONObject.get("clickable"), false).booleanValue();
            }
            createView(wXSDKInstance.getContext(), frameLayout);
        }
    }

    private void createView(Context context, FrameLayout frameLayout) {
        this.mView = new ImageView(context);
        loadIcon();
    }

    public void update(JSONObject jSONObject) {
        if (jSONObject.containsKey(Constant.JSONKEY.ICONPATH)) {
            this.iconPath = jSONObject.getString(Constant.JSONKEY.ICONPATH);
        }
        if (jSONObject.containsKey("position")) {
            this.position = jSONObject.getJSONObject("position");
        }
        if (jSONObject.containsKey("clickable")) {
            this.clickable = UniUtils.getBoolean(jSONObject.get("clickable"), false).booleanValue();
        }
    }

    private void loadIcon() {
        int i;
        int i2;
        int i3;
        JSONObject jSONObject = this.position;
        int i4 = 0;
        int i5 = -2;
        if (jSONObject != null) {
            int realPxByWidth2 = jSONObject.containsKey("width") ? WXViewUtils.getRealPxByWidth2((float) UniUtils.parseInt(this.position.get("width")), this.mInstance.getInstanceViewPortWidthWithFloat()) : -2;
            if (this.position.containsKey("height")) {
                i5 = WXViewUtils.getRealPxByWidth2((float) UniUtils.parseInt(this.position.get("height")), this.mInstance.getInstanceViewPortWidthWithFloat());
            }
            i3 = this.position.containsKey("top") ? UniUtils.parseInt(this.position.get("top")) : 0;
            if (this.position.containsKey("left")) {
                i4 = UniUtils.parseInt(this.position.get("left"));
            }
            i2 = realPxByWidth2;
            i = i5;
        } else {
            i3 = 0;
            i2 = -2;
            i = -2;
        }
        if (this.clickable) {
            this.mView.setOnClickListener(new View.OnClickListener() {
                /* class io.dcloud.feature.weex_amap.adapter.control.ControlView.AnonymousClass1 */

                public void onClick(View view) {
                    HashMap hashMap = new HashMap();
                    JSONObject jSONObject = new JSONObject();
                    jSONObject.put("controlId", MapResourceUtils.getId(ControlView.this.id));
                    hashMap.put("detail", jSONObject);
                    ControlView.this.mInstance.fireEvent(ControlView.this.ref, Constant.EVENT.BIND_CONTROL_TAP, hashMap);
                }
            });
        } else {
            this.mView.setOnClickListener(null);
        }
        FrameLayout.LayoutParams layoutParams = new FrameLayout.LayoutParams(i2, i);
        layoutParams.leftMargin = WXViewUtils.getRealPxByWidth2((float) i4, this.mInstance.getInstanceViewPortWidthWithFloat());
        layoutParams.topMargin = WXViewUtils.getRealPxByWidth2((float) i3, this.mInstance.getInstanceViewPortWidthWithFloat());
        this.rootView.addView(this.mView, layoutParams);
        FrescoLoadUtil.getInstance().loadImageBitmap(this.mInstance.getContext(), this.mInstance.rewriteUri(Uri.parse(this.iconPath), "image").toString(), i2, i, new BitmapLoadCallback<Bitmap>() {
            /* class io.dcloud.feature.weex_amap.adapter.control.ControlView.AnonymousClass2 */

            @Override // io.dcloud.feature.uniapp.utils.bitmap.BitmapLoadCallback
            public void onFailure(String str, Throwable th) {
            }

            public void onSuccess(String str, Bitmap bitmap) {
                ControlView.this.mView.setImageBitmap(bitmap);
            }
        });
    }

    public void destroy() {
        ImageView imageView = this.mView;
        if (imageView != null) {
            imageView.setImageBitmap(null);
        }
    }
}
