package io.dcloud.feature.weex_amap.ui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.graphics.RectF;
import android.widget.TextView;

public class ArrowTextView extends TextView {
    private int defPadding = 10;
    private boolean isSharp = true;
    private int mPadding = 0;
    private int mRadius = 0;
    private int mStrokeColor = 0;
    private int mStrokeWidth = 0;
    private int mTextBgColor = -16777216;

    public ArrowTextView(Context context, boolean z) {
        super(context);
        this.isSharp = z;
        if (!z) {
            this.defPadding = 0;
        }
    }

    public void setRadius(int i) {
        this.mRadius = i;
        invalidate();
    }

    public void setBgColor(int i) {
        this.mTextBgColor = i;
        invalidate();
    }

    public void setTextPadding(int i) {
        this.mPadding = i;
        int i2 = i + this.defPadding + this.mStrokeWidth;
        setPadding(i2, i2, i2, i2);
        invalidate();
    }

    public void setStrokeWidth(int i) {
        this.mStrokeWidth = i * 2;
        setTextPadding(this.mPadding);
    }

    /* access modifiers changed from: protected */
    public void onDraw(Canvas canvas) {
        Paint paint = new Paint();
        paint.setAntiAlias(true);
        int height = getHeight();
        int width = getWidth();
        paint.setStrokeWidth(1.0f);
        int i = this.defPadding + this.mStrokeWidth;
        float f = (float) i;
        float f2 = (float) (height - i);
        RectF rectF = new RectF(f, f, (float) (width - i), f2);
        if (this.mStrokeWidth > 0) {
            int i2 = this.defPadding;
            RectF rectF2 = new RectF((float) i2, (float) i2, (float) (width - i2), (float) (height - i2));
            paint.setColor(this.mStrokeColor);
            int i3 = this.mRadius;
            canvas.drawRoundRect(rectF2, (float) i3, (float) i3, paint);
        }
        paint.setColor(this.mTextBgColor);
        int i4 = this.mRadius;
        canvas.drawRoundRect(rectF, (float) i4, (float) i4, paint);
        if (this.isSharp) {
            if (this.mStrokeWidth > 0) {
                Path path = new Path();
                int i5 = width / 2;
                path.moveTo((float) i5, (float) height);
                int i6 = this.defPadding;
                path.lineTo((float) (i5 - i6), (float) (height - i6));
                int i7 = this.defPadding;
                path.lineTo((float) (i5 + i7), (float) (height - i7));
                paint.setColor(this.mStrokeColor);
                path.close();
                canvas.drawPath(path, paint);
            }
            Path path2 = new Path();
            int i8 = width / 2;
            path2.moveTo((float) i8, (float) (height - this.mStrokeWidth));
            path2.lineTo((float) (i8 - this.defPadding), f2);
            path2.lineTo((float) (i8 + this.defPadding), f2);
            paint.setColor(this.mTextBgColor);
            path2.close();
            canvas.drawPath(path2, paint);
        }
        super.onDraw(canvas);
    }

    public void setStrokeColor(int i) {
        this.mStrokeColor = i;
    }
}
