package io.dcloud.js.map.amap;

import android.content.Context;
import com.amap.api.maps.MapsInitializer;
import com.amap.api.services.district.DistrictSearchQuery;
import io.dcloud.common.DHInterface.AbsMgr;
import io.dcloud.common.DHInterface.IFeature;
import io.dcloud.common.DHInterface.IWaiter;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.ui.AdaFrameView;
import io.dcloud.common.adapter.util.MessageHandler;
import io.dcloud.common.adapter.util.PlatformUtil;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.Deprecated_JSUtil;
import io.dcloud.common.util.JSONUtil;
import io.dcloud.common.util.JSUtil;
import io.dcloud.feature.weex_amap.adapter.Constant;
import io.dcloud.js.map.amap.adapter.DHMapUtil;
import org.json.JSONArray;
import org.json.JSONObject;

public class JsMapPluginImpl implements IWaiter, IFeature {
    JsMapManager mMapManager;

    @Override // io.dcloud.common.DHInterface.IFeature
    public String execute(IWebview iWebview, String str, String[] strArr) {
        String str2;
        String str3;
        String str4;
        String str5;
        String string;
        JsMapObject jsObject;
        JsMapObject jsMapObject;
        String obtainAppId = iWebview.obtainApp().obtainAppId();
        final JSONArray createJSONArray = JSONUtil.createJSONArray(strArr[0]);
        AppRuntime.checkPrivacyComplianceAndPrompt(iWebview.getContext(), "Maps-" + str);
        if ("createObject".equals(str)) {
            String string2 = JSONUtil.getString(createJSONArray, 1);
            if ("mapview".equals(string2)) {
                jsMapObject = new JsMapView(iWebview);
                if (createJSONArray.length() > 3) {
                    jsMapObject.setJsId(JSONUtil.getString(createJSONArray, 3));
                }
                this.mMapManager.putJsMapView(obtainAppId, JSONUtil.getString(createJSONArray, 0), (JsMapView) jsMapObject);
            } else if (Constant.Name.MARKER.equals(string2)) {
                jsMapObject = new JsMapMarker(iWebview);
            } else if ("search".equals(string2)) {
                jsMapObject = new JsMapSearch(iWebview);
            } else if (Constant.Name.POLYLINE.equals(string2)) {
                jsMapObject = new JsMapPolyline(iWebview);
            } else if ("polygon".equals(string2)) {
                jsMapObject = new JsMapPolygon(iWebview);
            } else {
                jsMapObject = "circle".equals(string2) ? new JsMapCircle(iWebview) : null;
            }
            jsMapObject.setUUID(JSONUtil.getString(createJSONArray, 0));
            jsMapObject.createObject(JSONUtil.getJSONArray(createJSONArray, 2));
            this.mMapManager.putJsObject(JSONUtil.getString(createJSONArray, 0), jsMapObject);
            return null;
        } else if ("updateObject".equals(str)) {
            MessageHandler.sendMessage(new MessageHandler.IMessages() {
                /* class io.dcloud.js.map.amap.JsMapPluginImpl.AnonymousClass1 */

                @Override // io.dcloud.common.adapter.util.MessageHandler.IMessages
                public void execute(Object obj) {
                    JsMapObject jsObject = JsMapPluginImpl.this.mMapManager.getJsObject(JSONUtil.getString(createJSONArray, 0));
                    if (jsObject != null) {
                        JSONArray jSONArray = JSONUtil.getJSONArray(createJSONArray, 1);
                        jsObject.updateObject(JSONUtil.getString(jSONArray, 0), JSONUtil.getJSONArray(jSONArray, 1));
                    }
                }
            }, null);
            return null;
        } else if ("execMethod".equals(str)) {
            JSONArray jSONArray = JSONUtil.getJSONArray(createJSONArray, 1);
            String string3 = JSONUtil.getString(jSONArray, 0);
            if ("openSysMap".equals(string3)) {
                JSONArray jSONArray2 = JSONUtil.getJSONArray(jSONArray, 1);
                JSONObject jSONObject = JSONUtil.getJSONObject(jSONArray2, 0);
                String string4 = JSONUtil.getString(jSONObject, Constant.JSONKEY.LONGITUDE);
                String string5 = JSONUtil.getString(jSONObject, Constant.JSONKEY.LATITUDE);
                String string6 = JSONUtil.getString(jSONArray2, 1);
                JSONObject jSONObject2 = JSONUtil.getJSONObject(jSONArray2, 2);
                DHMapUtil.openSysMap(iWebview, "", new String[][]{new String[]{string5, string4}, new String[]{JSONUtil.getString(jSONObject2, Constant.JSONKEY.LATITUDE), JSONUtil.getString(jSONObject2, Constant.JSONKEY.LONGITUDE)}}, string6);
                return null;
            } else if (!AbsoluteConst.EVENTS_CLOSE.equals(string3) || (jsObject = this.mMapManager.getJsObject((string = JSONUtil.getString(jSONArray, 1)))) == null) {
                return null;
            } else {
                ((IFMapDispose) jsObject).close();
                this.mMapManager.removeJsObject(iWebview.obtainApp().obtainAppId(), string);
                return null;
            }
        } else if ("geocode".equals(str)) {
            String str6 = strArr[0];
            JSONObject createJSONObject = JSONUtil.createJSONObject(strArr[1]);
            if (createJSONObject == null) {
                str4 = null;
            } else {
                str4 = createJSONObject.optString(AbsoluteConst.JSONKEY_MAP_COORD_TYPE);
            }
            if (createJSONObject == null) {
                str5 = null;
            } else {
                str5 = createJSONObject.optString(DistrictSearchQuery.KEYWORDS_CITY);
            }
            DHMapUtil.geocode(iWebview, str6, str4, str5, strArr[2]);
            return null;
        } else if ("reverseGeocode".equals(str)) {
            JsMapPoint mapPoint = JsMapManager.getJsMapManager().getMapPoint(iWebview, JSONUtil.createJSONObject(strArr[0]));
            JSONObject createJSONObject2 = JSONUtil.createJSONObject(strArr[1]);
            if (createJSONObject2 == null) {
                str2 = null;
            } else {
                str2 = createJSONObject2.optString(AbsoluteConst.JSONKEY_MAP_COORD_TYPE);
            }
            if (createJSONObject2 == null) {
                str3 = null;
            } else {
                str3 = createJSONObject2.optString(DistrictSearchQuery.KEYWORDS_CITY);
            }
            DHMapUtil.reverseGeocode(iWebview, mapPoint.getMapPoint(), str2, str3, strArr[2]);
            return null;
        } else if ("updateObjectSYNC".equals(str)) {
            JsMapObject jsObject2 = this.mMapManager.getJsObject(JSONUtil.getString(createJSONArray, 0));
            if (jsObject2 == null) {
                return null;
            }
            JSONArray jSONArray3 = JSONUtil.getJSONArray(createJSONArray, 1);
            return jsObject2.updateObjectSYNC(JSONUtil.getString(jSONArray3, 0), JSONUtil.getJSONArray(jSONArray3, 1));
        } else if ("calculateDistance".equals(str)) {
            DHMapUtil.calculateDistance(iWebview, JsMapManager.getJsMapManager().getMapPoint(iWebview, JSONUtil.createJSONObject(strArr[0])).getMapPoint(), JsMapManager.getJsMapManager().getMapPoint(iWebview, JSONUtil.createJSONObject(strArr[1])).getMapPoint(), strArr[2]);
            return null;
        } else if ("calculateArea".equals(str)) {
            JSONObject createJSONObject3 = JSONUtil.createJSONObject(strArr[0]);
            DHMapUtil.calculateArea(iWebview, JsMapManager.getJsMapManager().getMapPoint(iWebview, createJSONObject3.optJSONObject("southwest")).getMapPoint(), JsMapManager.getJsMapManager().getMapPoint(iWebview, createJSONObject3.optJSONObject("northease")).getMapPoint(), strArr[1]);
            return null;
        } else if ("convertCoordinates".equals(str)) {
            Deprecated_JSUtil.execCallback(iWebview, strArr[2], DOMException.toJSON(-100, DOMException.toString("高德地图不支持该功能")), JSUtil.ERROR, true, false);
            return null;
        } else if ("getMapById".equals(str)) {
            JsMapView jsMapViewById = this.mMapManager.getJsMapViewById(obtainAppId, JSONUtil.getString(createJSONArray, 0));
            if (jsMapViewById == null) {
                return null;
            }
            jsMapViewById.setCallBackWebUuid(iWebview.getWebviewUUID());
            JSONObject jsJsonMap = jsMapViewById.getJsJsonMap();
            if (jsJsonMap != null) {
                return JSUtil.wrapJsVar(jsJsonMap);
            }
            return null;
        } else if (!"setStyles".equals(str)) {
            return null;
        } else {
            String string7 = JSONUtil.getString(createJSONArray, 0);
            JSONObject jSONObject3 = JSONUtil.getJSONObject(createJSONArray, 1);
            JsMapView jsMapViewByUuid = this.mMapManager.getJsMapViewByUuid(obtainAppId, string7);
            if (jsMapViewByUuid == null) {
                return null;
            }
            jsMapViewByUuid.setStyles(jSONObject3);
            return null;
        }
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void init(AbsMgr absMgr, String str) {
        Context context = absMgr.getContext();
        try {
            MapsInitializer.initialize(context);
            PlatformUtil.invokeMethod("com.amap.api.maps.MapsInitializer", "updatePrivacyShow", null, new Class[]{Context.class, Boolean.TYPE, Boolean.TYPE}, new Object[]{context, true, true});
            PlatformUtil.invokeMethod("com.amap.api.maps.MapsInitializer", "updatePrivacyAgree", null, new Class[]{Context.class, Boolean.TYPE}, new Object[]{context, true});
        } catch (Exception e) {
            e.printStackTrace();
        }
        JsMapManager jsMapManager = JsMapManager.getJsMapManager();
        this.mMapManager = jsMapManager;
        jsMapManager.setFeatureMgr(absMgr);
    }

    @Override // io.dcloud.common.DHInterface.IFeature
    public void dispose(String str) {
        this.mMapManager.dispose(str);
    }

    @Override // io.dcloud.common.DHInterface.IWaiter
    public Object doForFeature(String str, Object obj) {
        if (!str.equals("appendToFrameView")) {
            return null;
        }
        Object[] objArr = (Object[]) obj;
        AdaFrameView adaFrameView = (AdaFrameView) objArr[0];
        String obtainAppId = adaFrameView.obtainApp().obtainAppId();
        JsMapView jsMapViewByUuid = this.mMapManager.getJsMapViewByUuid(obtainAppId, (String) objArr[1]);
        if (jsMapViewByUuid == null) {
            return null;
        }
        jsMapViewByUuid.appendToFrameView(adaFrameView);
        return null;
    }
}
