package io.dcloud.js.map.amap;

import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.js.map.amap.adapter.DHMapView;
import io.dcloud.js.map.amap.adapter.MapSearch;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

class JsMapSearch extends JsMapObject {
    private MapSearch mMapSearch;

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void createObject(JSONArray jSONArray) {
    }

    public JsMapSearch(IWebview iWebview) {
        super(iWebview);
        this.mMapSearch = new MapSearch(iWebview);
    }

    /* access modifiers changed from: package-private */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void setUUID(String str) {
        super.setUUID(str);
        this.mMapSearch.mCallbackId = this.mUUID;
    }

    /* access modifiers changed from: protected */
    @Override // io.dcloud.js.map.amap.JsMapObject
    public void updateObject(String str, JSONArray jSONArray) {
        Object obj;
        Object obj2;
        Object obj3;
        Object obj4;
        Object obj5;
        Object obj6;
        try {
            if ("setPageCapacity".equals(str)) {
                this.mMapSearch.setPageCapacity(jSONArray.getString(0));
            } else if ("poiSearchInCity".equals(str)) {
                this.mMapSearch.poiSearchInCity(jSONArray.getString(0), jSONArray.getString(1), jSONArray.getString(2));
            } else if ("poiSearchNearBy".equals(str)) {
                this.mMapSearch.poiSearchNearBy(jSONArray.getString(0), JsMapManager.getJsMapManager().getMapPoint(this.mWebview, jSONArray.getJSONObject(1)).getMapPoint(), jSONArray.getString(2), jSONArray.getString(3));
            } else if ("poiSearchInbounds".equals(str)) {
                this.mMapSearch.poiSearchInbounds(jSONArray.getString(0), JsMapManager.getJsMapManager().getMapPoint(this.mWebview, jSONArray.getJSONObject(1)).getMapPoint(), JsMapManager.getJsMapManager().getMapPoint(this.mWebview, jSONArray.getJSONObject(2)).getMapPoint(), jSONArray.getString(3));
            } else if ("setTransitPolicy".equals(str)) {
                this.mMapSearch.setTransitPolicy(jSONArray.getString(0));
            } else if ("setDrivingPolicy".equals(str)) {
                this.mMapSearch.setDrivingPolicy(jSONArray.getString(0));
            } else if ("transitSearch".equals(str)) {
                if (jSONArray.get(0) instanceof JSONObject) {
                    obj5 = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, jSONArray.getJSONObject(0)).getMapPoint();
                } else {
                    obj5 = jSONArray.getString(0);
                }
                if (jSONArray.get(1) instanceof JSONObject) {
                    obj6 = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, jSONArray.getJSONObject(1)).getMapPoint();
                } else {
                    obj6 = jSONArray.getString(1);
                }
                this.mMapSearch.transitSearch(obj5, obj6, jSONArray.getString(2));
            } else if ("drivingSearch".equals(str)) {
                if (jSONArray.get(0) instanceof JSONObject) {
                    obj3 = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, jSONArray.getJSONObject(0)).getMapPoint();
                } else {
                    obj3 = jSONArray.getString(0);
                }
                if (jSONArray.get(2) instanceof JSONObject) {
                    obj4 = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, jSONArray.getJSONObject(2)).getMapPoint();
                } else {
                    obj4 = jSONArray.getString(2);
                }
                this.mMapSearch.drivingSearch(obj3, jSONArray.getString(1), obj4, jSONArray.getString(3));
            } else if ("walkingSearch".equals(str)) {
                if (jSONArray.get(0) instanceof JSONObject) {
                    obj = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, jSONArray.getJSONObject(0)).getMapPoint();
                } else {
                    obj = jSONArray.getString(0);
                }
                if (jSONArray.get(2) instanceof JSONObject) {
                    obj2 = JsMapManager.getJsMapManager().getMapPoint(this.mWebview, jSONArray.getJSONObject(2)).getMapPoint();
                } else {
                    obj2 = jSONArray.getString(2);
                }
                this.mMapSearch.walkingSearch(obj, jSONArray.getString(1), obj2, jSONArray.getString(3));
            }
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    @Override // io.dcloud.js.map.amap.JsMapObject
    public void onAddToMapView(DHMapView dHMapView) {
        super.onAddToMapView(dHMapView);
        this.mMapSearch.setMapView(dHMapView);
    }
}
