package io.dcloud.js.map.amap.adapter;

import android.os.Handler;
import android.os.Message;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.core.PoiItem;
import com.amap.api.services.district.DistrictSearchQuery;
import com.amap.api.services.geocoder.GeocodeAddress;
import com.amap.api.services.geocoder.GeocodeQuery;
import com.amap.api.services.geocoder.GeocodeResult;
import com.amap.api.services.geocoder.GeocodeSearch;
import com.amap.api.services.geocoder.RegeocodeQuery;
import com.amap.api.services.geocoder.RegeocodeResult;
import com.amap.api.services.poisearch.PoiResult;
import com.amap.api.services.poisearch.PoiSearch;
import com.amap.api.services.route.BusPath;
import com.amap.api.services.route.BusRouteResult;
import com.amap.api.services.route.DrivePath;
import com.amap.api.services.route.DriveRouteResult;
import com.amap.api.services.route.DriveStep;
import com.amap.api.services.route.RideRouteResult;
import com.amap.api.services.route.RouteSearch;
import com.amap.api.services.route.WalkPath;
import com.amap.api.services.route.WalkRouteResult;
import com.facebook.common.callercontext.ContextChain;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.DHInterface.IWebview;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.constant.DOMException;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.js.map.amap.JsMapManager;
import io.dcloud.js.map.amap.JsMapRoute;
import io.dcloud.js.map.amap.MapJsUtil;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import org.json.JSONArray;

public class MapSearch {
    private static final int BUS_MODE_SEARCH = 0;
    private static final int DRIVING_MODE_SEARCH = 1;
    private static final int POISEARCH_TYPE = 0;
    private static final int ROUTESEARCH_TYPE = 1;
    private static final int SEARCH_ACTION = 10000;
    private static final int WALK_MODE_SEARCH = 2;
    private int busMode = 0;
    private int drivingMode = 0;
    private ArrayList<AMapSearchResultData> mCallResultDatas;
    public String mCallbackId;
    private Handler mHandler = new Handler() {
        /* class io.dcloud.js.map.amap.adapter.MapSearch.AnonymousClass1 */

        public void handleMessage(Message message) {
            super.handleMessage(message);
            if (message.what == 10000) {
                AMapSearchResultData aMapSearchResultData = (AMapSearchResultData) message.obj;
                if ((aMapSearchResultData.pStart instanceof LatLonPoint) && (aMapSearchResultData.pEnd instanceof LatLonPoint)) {
                    int i = aMapSearchResultData.type;
                    if (i == 0) {
                        MapSearch.this.transitSearch(aMapSearchResultData.pStart, aMapSearchResultData.pEnd, aMapSearchResultData.endCity);
                    } else if (i == 1) {
                        MapSearch.this.drivingSearch(aMapSearchResultData.pStart, aMapSearchResultData.startCity, aMapSearchResultData.pEnd, aMapSearchResultData.endCity);
                    } else if (i == 2) {
                        MapSearch.this.walkingSearch(aMapSearchResultData.pStart, aMapSearchResultData.startCity, aMapSearchResultData.pEnd, aMapSearchResultData.endCity);
                    }
                }
            }
        }
    };
    private IWebview mIWebview;
    private int mIndex = 0;
    DHMapView mMapView = null;
    private int mPageCapacity;
    PoiSearch.OnPoiSearchListener mPoiSearchListener = new PoiSearch.OnPoiSearchListener() {
        /* class io.dcloud.js.map.amap.adapter.MapSearch.AnonymousClass7 */

        @Override // com.amap.api.services.poisearch.PoiSearch.OnPoiSearchListener
        public void onPoiItemSearched(PoiItem poiItem, int i) {
        }

        @Override // com.amap.api.services.poisearch.PoiSearch.OnPoiSearchListener
        public void onPoiSearched(PoiResult poiResult, int i) {
            int i2;
            ArrayList<PoiItem> arrayList;
            int i3;
            int i4;
            if (i == 1000) {
                i = 0;
            }
            StringBuffer stringBuffer = new StringBuffer();
            MapSearch.this.create_js_SearchPoiResult_Obj("spr", stringBuffer);
            MapJsUtil.assignJsVar(stringBuffer, "spr", "__state__", (double) i);
            MapJsUtil.assignJsVar(stringBuffer, "spr", "__type__", 0.0d);
            if (i == 0) {
                if (poiResult != null) {
                    i2 = poiResult.getPois().size();
                    i4 = poiResult.getPageCount();
                    i3 = poiResult.getQuery().getPageNum();
                    arrayList = poiResult.getPois();
                } else {
                    arrayList = new ArrayList<>();
                    i2 = 0;
                    i4 = 0;
                    i3 = 0;
                }
                MapJsUtil.assignJsVar(stringBuffer, "spr", "currentNumber", (double) i2);
                MapJsUtil.assignJsVar(stringBuffer, "spr", "pageNumber", (double) i4);
                MapJsUtil.assignJsVar(stringBuffer, "spr", "pageIndex", (double) i3);
                MapJsUtil.assignJsVar(stringBuffer, "spr", "poiList", MapSearch.this.toPositionArray(arrayList));
                MapSearch.this.onSearchComplete(0, MapJsUtil.wrapJsEvalString(stringBuffer.toString(), "spr"));
            } else if (i == 27 || i == 1804) {
                MapJsUtil.assignJsVar(stringBuffer, "spr", "errorMsg", DOMException.MSG_NETWORK_ERROR);
                MapSearch.this.onSearchComplete(0, MapJsUtil.wrapJsEvalString(stringBuffer.toString(), "spr"));
            } else if (i == 32 || i == 1001) {
                MapJsUtil.assignJsVar(stringBuffer, "spr", "errorMsg", "签名错误");
                MapSearch.this.onSearchComplete(0, MapJsUtil.wrapJsEvalString(stringBuffer.toString(), "spr"));
            } else {
                MapJsUtil.assignJsVar(stringBuffer, "spr", "errorMsg", DOMException.MSG_UNKNOWN_ERROR);
                MapSearch.this.onSearchComplete(0, MapJsUtil.wrapJsEvalString(stringBuffer.toString(), "spr"));
            }
        }
    };
    RouteSearch.OnRouteSearchListener mRouteSearchListener = new RouteSearch.OnRouteSearchListener() {
        /* class io.dcloud.js.map.amap.adapter.MapSearch.AnonymousClass6 */

        @Override // com.amap.api.services.route.RouteSearch.OnRouteSearchListener
        public void onRideRouteSearched(RideRouteResult rideRouteResult, int i) {
        }

        @Override // com.amap.api.services.route.RouteSearch.OnRouteSearchListener
        public void onWalkRouteSearched(WalkRouteResult walkRouteResult, int i) {
            int i2 = i == 1000 ? 0 : i;
            if (i2 == 0) {
                if (walkRouteResult == null || walkRouteResult.getPaths() == null || walkRouteResult.getPaths().size() <= 0) {
                    MapSearch.this.route_error_callback_js(-1, "对不起，没有搜索到相关数据！");
                    return;
                }
                List<WalkPath> paths = walkRouteResult.getPaths();
                MapPoint mapPoint = MapSearch.this.getMapPoint(walkRouteResult.getStartPos());
                MapPoint mapPoint2 = MapSearch.this.getMapPoint(walkRouteResult.getTargetPos());
                route_callback_js(mapPoint, mapPoint2, paths.size(), i2, MapSearch.this.toWalkRouteArray(paths, mapPoint, mapPoint2));
            } else if (i2 == 27 || i2 == 1804) {
                MapSearch.this.route_error_callback_js(i2, DOMException.MSG_NETWORK_ERROR);
            } else if (i2 == 32 || i2 == 1001) {
                MapSearch.this.route_error_callback_js(i2, "签名错误");
            } else {
                MapSearch.this.route_error_callback_js(i2, DOMException.MSG_UNKNOWN_ERROR);
            }
        }

        @Override // com.amap.api.services.route.RouteSearch.OnRouteSearchListener
        public void onDriveRouteSearched(DriveRouteResult driveRouteResult, int i) {
            int i2 = i == 1000 ? 0 : i;
            if (i2 == 0) {
                if (driveRouteResult == null || driveRouteResult.getPaths() == null || driveRouteResult.getPaths().size() <= 0) {
                    MapSearch.this.route_error_callback_js(-1, "对不起，没有搜索到相关数据！");
                    return;
                }
                List<DrivePath> paths = driveRouteResult.getPaths();
                MapPoint mapPoint = MapSearch.this.getMapPoint(driveRouteResult.getStartPos());
                MapPoint mapPoint2 = MapSearch.this.getMapPoint(driveRouteResult.getTargetPos());
                route_callback_js(mapPoint, mapPoint2, paths.size(), i2, MapSearch.this.toDriveRouteArray(paths, mapPoint, mapPoint2));
            } else if (i2 == 27 || i2 == 1804) {
                MapSearch.this.route_error_callback_js(i2, DOMException.MSG_NETWORK_ERROR);
            } else if (i2 == 32 || i2 == 1001) {
                MapSearch.this.route_error_callback_js(i2, "签名错误");
            } else {
                MapSearch.this.route_error_callback_js(i2, DOMException.MSG_UNKNOWN_ERROR);
            }
        }

        @Override // com.amap.api.services.route.RouteSearch.OnRouteSearchListener
        public void onBusRouteSearched(BusRouteResult busRouteResult, int i) {
            int i2 = i == 1000 ? 0 : i;
            if (i2 == 0) {
                if (busRouteResult == null || busRouteResult.getPaths() == null || busRouteResult.getPaths().size() <= 0) {
                    MapSearch.this.route_error_callback_js(-1, "对不起，没有搜索到相关数据！");
                    return;
                }
                List<BusPath> paths = busRouteResult.getPaths();
                MapPoint mapPoint = MapSearch.this.getMapPoint(busRouteResult.getStartPos());
                MapPoint mapPoint2 = MapSearch.this.getMapPoint(busRouteResult.getTargetPos());
                route_callback_js(mapPoint, mapPoint2, paths.size(), i2, MapSearch.this.toBusRouteArray(paths, mapPoint, mapPoint2));
            } else if (i2 == 27 || i2 == 1804) {
                MapSearch.this.route_error_callback_js(i2, DOMException.MSG_NETWORK_ERROR);
            } else if (i2 == 32 || i2 == 1001) {
                MapSearch.this.route_error_callback_js(i2, "签名错误");
            } else {
                MapSearch.this.route_error_callback_js(i2, DOMException.MSG_UNKNOWN_ERROR);
            }
        }

        private void route_callback_js(MapPoint mapPoint, MapPoint mapPoint2, int i, int i2, JSONArray jSONArray) {
            StringBuffer stringBuffer = new StringBuffer();
            MapSearch.this.create_js_SearchRouteResult_Obj("srr", stringBuffer);
            MapJsUtil.assignJsVar(stringBuffer, "srr", "__state__", (double) i2);
            MapJsUtil.assignJsVar(stringBuffer, "srr", "__type__", 1.0d);
            MapJsUtil.assignJsVar(stringBuffer, "srr", "startPosition", MapJsUtil.wrapJsEvalString(MapSearch.this.create_js_Position_Obj(mapPoint, "startPosition"), "startPosition"), false);
            MapJsUtil.assignJsVar(stringBuffer, "srr", "endPosition", MapJsUtil.wrapJsEvalString(MapSearch.this.create_js_Position_Obj(mapPoint2, "endPosition"), "endPosition"), false);
            MapJsUtil.assignJsVar(stringBuffer, "srr", "routeNumber", (double) i);
            MapJsUtil.assignJsVar(stringBuffer, "srr", "routeList", jSONArray);
            MapSearch.this.onSearchComplete(1, MapJsUtil.wrapJsEvalString(stringBuffer.toString(), "srr"));
        }
    };
    private RouteSearch mSearchHandler;
    private int walkMode = 0;

    public MapSearch(IWebview iWebview) {
        try {
            this.mIWebview = iWebview;
            RouteSearch routeSearch = new RouteSearch(iWebview.getActivity());
            this.mSearchHandler = routeSearch;
            routeSearch.setRouteSearchListener(this.mRouteSearchListener);
        } catch (Exception unused) {
        }
    }

    public int getPageCapacity() {
        return this.mPageCapacity;
    }

    public void setPageCapacity(String str) {
        this.mPageCapacity = PdrUtil.parseInt(str, 10);
    }

    public void setTransitPolicy(int i) {
        this.busMode = i;
    }

    public void setDrivingPolicy(int i) {
        this.drivingMode = i;
    }

    public void setWalkPolicy(int i) {
        this.walkMode = i;
    }

    public void poiSearchInCity(String str, String str2, String str3) {
        PoiSearch.Query query = new PoiSearch.Query(str2, "", str);
        int parseInt = PdrUtil.parseInt(str3, 0);
        this.mIndex = parseInt;
        query.setPageNum(parseInt + 1);
        query.setPageSize(this.mPageCapacity);
        try {
            PoiSearch poiSearch = new PoiSearch(this.mIWebview.getContext(), query);
            poiSearch.setOnPoiSearchListener(this.mPoiSearchListener);
            poiSearch.searchPOIAsyn();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void poiSearchNearBy(final String str, final MapPoint mapPoint, String str2, final String str3) {
        final int parseInt = PdrUtil.parseInt(str2, 0);
        getCityKey(new RegeocodeQuery(mapPoint.getLatLngPoint(), (float) parseInt, GeocodeSearch.AMAP), new ICallBack() {
            /* class io.dcloud.js.map.amap.adapter.MapSearch.AnonymousClass2 */

            @Override // io.dcloud.common.DHInterface.ICallBack
            public Object onCallBack(int i, Object obj) {
                if (obj == null) {
                    return null;
                }
                try {
                    PoiSearch.Query query = new PoiSearch.Query(str, "", (String) obj);
                    query.setPageSize(MapSearch.this.mPageCapacity);
                    MapSearch.this.mIndex = PdrUtil.parseInt(str3, 0);
                    query.setPageNum(MapSearch.this.mIndex + 1);
                    PoiSearch poiSearch = new PoiSearch(MapSearch.this.mIWebview.getContext(), query);
                    poiSearch.setBound(new PoiSearch.SearchBound(mapPoint.getLatLngPoint(), parseInt));
                    poiSearch.setOnPoiSearchListener(MapSearch.this.mPoiSearchListener);
                    poiSearch.searchPOIAsyn();
                    return null;
                } catch (Exception e) {
                    e.printStackTrace();
                    return null;
                }
            }
        });
    }

    public void poiSearchInbounds(final String str, final MapPoint mapPoint, final MapPoint mapPoint2, final String str2) {
        getCityKey(new RegeocodeQuery(mapPoint.getLatLngPoint(), 200.0f, GeocodeSearch.AMAP), new ICallBack() {
            /* class io.dcloud.js.map.amap.adapter.MapSearch.AnonymousClass3 */

            @Override // io.dcloud.common.DHInterface.ICallBack
            public Object onCallBack(int i, Object obj) {
                if (obj == null) {
                    return null;
                }
                try {
                    PoiSearch.Query query = new PoiSearch.Query(str, "", (String) obj);
                    query.setPageSize(MapSearch.this.mPageCapacity);
                    MapSearch.this.mIndex = PdrUtil.parseInt(str2, 0);
                    query.setPageNum(MapSearch.this.mIndex + 1);
                    PoiSearch poiSearch = new PoiSearch(MapSearch.this.mIWebview.getContext(), query);
                    poiSearch.setBound(new PoiSearch.SearchBound(mapPoint.getLatLngPoint(), mapPoint2.getLatLngPoint()));
                    poiSearch.setOnPoiSearchListener(MapSearch.this.mPoiSearchListener);
                    poiSearch.searchPOIAsyn();
                    return null;
                } catch (Exception e) {
                    e.printStackTrace();
                    return null;
                }
            }
        });
    }

    public boolean setTransitPolicy(String str) {
        if ("TRANSIT_FEE_FIRST".equals(str)) {
            this.busMode = 1;
        } else if ("TRANSIT_TIME_FIRST".equals(str)) {
            this.busMode = 0;
        } else if ("TRANSIT_TRANSFER_FIRST".equals(str)) {
            this.busMode = 2;
        } else if (!"TRANSIT_WALK_FIRST".equals(str)) {
            return false;
        } else {
            this.busMode = 3;
        }
        return true;
    }

    public boolean setDrivingPolicy(String str) {
        if ("DRIVING_DIS_FIRST".equals(str)) {
            this.drivingMode = 2;
            return true;
        } else if ("DRIVING_FEE_FIRST".equals(str)) {
            this.drivingMode = 1;
            return true;
        } else if (!"DRIVING_NO_EXPRESSWAY".equals(str)) {
            return false;
        } else {
            this.drivingMode = 6;
            return true;
        }
    }

    public void transitSearch(Object obj, Object obj2, String str) {
        AMapSearchResultData aMapSearchResultData = new AMapSearchResultData(0, obj, null, obj2, str);
        LatLonPoint latLonPoint = getLatLonPoint(obj, str, aMapSearchResultData, 1);
        LatLonPoint latLonPoint2 = getLatLonPoint(obj2, str, aMapSearchResultData, 2);
        if (latLonPoint != null && latLonPoint2 != null) {
            this.mSearchHandler.calculateBusRouteAsyn(new RouteSearch.BusRouteQuery(new RouteSearch.FromAndTo(latLonPoint, latLonPoint2), this.busMode, str, 0));
        }
    }

    public void drivingSearch(Object obj, String str, Object obj2, String str2) {
        AMapSearchResultData aMapSearchResultData = new AMapSearchResultData(1, obj, str, obj2, str2);
        LatLonPoint latLonPoint = getLatLonPoint(obj, str, aMapSearchResultData, 1);
        LatLonPoint latLonPoint2 = getLatLonPoint(obj2, str2, aMapSearchResultData, 2);
        if (latLonPoint != null && latLonPoint2 != null) {
            this.mSearchHandler.calculateDriveRouteAsyn(new RouteSearch.DriveRouteQuery(new RouteSearch.FromAndTo(latLonPoint, latLonPoint2), this.drivingMode, null, null, ""));
        }
    }

    public void walkingSearch(Object obj, String str, Object obj2, String str2) {
        AMapSearchResultData aMapSearchResultData = new AMapSearchResultData(2, obj, str, obj2, str2);
        LatLonPoint latLonPoint = getLatLonPoint(obj, str, aMapSearchResultData, 1);
        LatLonPoint latLonPoint2 = getLatLonPoint(obj2, str2, aMapSearchResultData, 2);
        if (latLonPoint != null && latLonPoint2 != null) {
            this.mSearchHandler.calculateWalkRouteAsyn(new RouteSearch.WalkRouteQuery(new RouteSearch.FromAndTo(latLonPoint, latLonPoint2), this.walkMode));
        }
    }

    private LatLonPoint getLatLonPoint(Object obj, String str, AMapSearchResultData aMapSearchResultData, int i) {
        if (obj instanceof LatLonPoint) {
            return (LatLonPoint) obj;
        }
        if (obj instanceof MapPoint) {
            if (i == 1) {
                aMapSearchResultData.pStart = ((MapPoint) obj).getLatLngPoint();
            } else {
                aMapSearchResultData.pEnd = ((MapPoint) obj).getLatLngPoint();
            }
            return ((MapPoint) obj).getLatLngPoint();
        }
        getGeocodeLatLon(new GeocodeQuery((String) obj, str), aMapSearchResultData, i);
        return null;
    }

    private void getGeocodeLatLon(GeocodeQuery geocodeQuery, final AMapSearchResultData aMapSearchResultData, final int i) {
        try {
            GeocodeSearch geocodeSearch = new GeocodeSearch(this.mIWebview.getContext());
            geocodeSearch.getFromLocationNameAsyn(geocodeQuery);
            geocodeSearch.setOnGeocodeSearchListener(new GeocodeSearch.OnGeocodeSearchListener() {
                /* class io.dcloud.js.map.amap.adapter.MapSearch.AnonymousClass4 */

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onRegeocodeSearched(RegeocodeResult regeocodeResult, int i) {
                }

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onGeocodeSearched(GeocodeResult geocodeResult, int i) {
                    if (i == 1000) {
                        List<GeocodeAddress> geocodeAddressList = geocodeResult.getGeocodeAddressList();
                        if (geocodeAddressList != null) {
                            GeocodeAddress geocodeAddress = geocodeAddressList.get(0);
                            if (i == 1) {
                                aMapSearchResultData.pStart = geocodeAddress.getLatLonPoint();
                            } else {
                                aMapSearchResultData.pEnd = geocodeAddress.getLatLonPoint();
                            }
                            Message message = new Message();
                            message.what = 10000;
                            message.obj = aMapSearchResultData;
                            MapSearch.this.mHandler.sendMessage(message);
                        }
                    } else {
                        MapSearch mapSearch = MapSearch.this;
                        mapSearch.route_error_callback_js(-1, DOMException.MSG_PARAMETER_ERROR + "(原错误号" + i + ", 相关SDK官网查询具体错误原因)");
                    }
                    Logger.e("shutao", "onGeocodeSearched" + geocodeResult.getGeocodeAddressList().size() + "   code=" + i);
                }
            });
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    private void getCityKey(RegeocodeQuery regeocodeQuery, final ICallBack iCallBack) {
        try {
            GeocodeSearch geocodeSearch = new GeocodeSearch(this.mIWebview.getContext());
            geocodeSearch.setOnGeocodeSearchListener(new GeocodeSearch.OnGeocodeSearchListener() {
                /* class io.dcloud.js.map.amap.adapter.MapSearch.AnonymousClass5 */

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onGeocodeSearched(GeocodeResult geocodeResult, int i) {
                }

                @Override // com.amap.api.services.geocoder.GeocodeSearch.OnGeocodeSearchListener
                public void onRegeocodeSearched(RegeocodeResult regeocodeResult, int i) {
                    if (regeocodeResult == null || regeocodeResult.getRegeocodeAddress() == null) {
                        iCallBack.onCallBack(-1, null);
                    } else {
                        iCallBack.onCallBack(1, regeocodeResult.getRegeocodeAddress().getCity());
                    }
                }
            });
            geocodeSearch.getFromLocationAsyn(regeocodeQuery);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void onSearchComplete(int i, String str) {
        if (i == 0) {
            MapJsUtil.execCallback(this.mIWebview, this.mCallbackId, str);
        } else if (i == 1) {
            MapJsUtil.execCallback(this.mIWebview, this.mCallbackId, str);
        }
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private StringBuffer create_js_SearchPoiResult_Obj(String str, StringBuffer stringBuffer) {
        MapJsUtil.create_Js_Var(stringBuffer, str, "plus.maps.__SearchPoiResult__", null);
        return stringBuffer;
    }

    private String create_js_Position_Obj(PoiItem poiItem) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(create_js_Point_Obj(getMapPoint(poiItem.getLatLonPoint()), ContextChain.TAG_PRODUCT));
        MapJsUtil.create_Js_Var(stringBuffer, "pos", "plus.maps.Position", ContextChain.TAG_PRODUCT);
        MapJsUtil.assignJsVar(stringBuffer, "pos", "address", PdrUtil.makeQueryStringAllRegExp(poiItem.getSnippet()));
        MapJsUtil.assignJsVar(stringBuffer, "pos", DistrictSearchQuery.KEYWORDS_CITY, PdrUtil.makeQueryStringAllRegExp(poiItem.getCityName()));
        MapJsUtil.assignJsVar(stringBuffer, "pos", "name", PdrUtil.makeQueryStringAllRegExp(poiItem.getTitle()));
        MapJsUtil.assignJsVar(stringBuffer, "pos", "phone", poiItem.getTel());
        MapJsUtil.assignJsVar(stringBuffer, "pos", "postcode", poiItem.getPostcode());
        return MapJsUtil.wrapJsEvalString(stringBuffer.toString(), "pos");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private String create_js_Position_Obj(MapPoint mapPoint, String str) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(create_js_Point_Obj(mapPoint, ContextChain.TAG_PRODUCT));
        MapJsUtil.create_Js_Var(stringBuffer, str, "plus.maps.Position", ContextChain.TAG_PRODUCT);
        return stringBuffer.toString();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private JSONArray toPositionArray(ArrayList<PoiItem> arrayList) {
        JSONArray jSONArray = new JSONArray();
        Iterator<PoiItem> it = arrayList.iterator();
        while (it.hasNext()) {
            jSONArray.put(create_js_Position_Obj(it.next()));
        }
        return jSONArray;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private StringBuffer create_js_SearchRouteResult_Obj(String str, StringBuffer stringBuffer) {
        MapJsUtil.create_Js_Var(stringBuffer, str, "plus.maps.__SearchRouteResult__", null);
        return stringBuffer;
    }

    private String create_js_Point_Obj(MapPoint mapPoint, String str) {
        StringBuffer stringBuffer = new StringBuffer();
        float longitude = (float) mapPoint.getLongitude();
        MapJsUtil.create_Js_Var(stringBuffer, str, "plus.maps.Point", longitude + "," + ((float) mapPoint.getLatitude()));
        return stringBuffer.toString();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private JSONArray toWalkRouteArray(List<WalkPath> list, MapPoint mapPoint, MapPoint mapPoint2) {
        JSONArray jSONArray = new JSONArray();
        for (WalkPath walkPath : list) {
            jSONArray.put(create_jsWalkRouteObject(walkPath, mapPoint, mapPoint2));
        }
        return jSONArray;
    }

    private String create_jsWalkRouteObject(WalkPath walkPath, MapPoint mapPoint, MapPoint mapPoint2) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(create_js_Point_Obj(mapPoint, "sp"));
        stringBuffer.append(create_js_Point_Obj(mapPoint2, "ep"));
        MapJsUtil.create_Js_Var(stringBuffer, "route", "plus.maps.Route", "sp" + "," + "ep" + ",false");
        MapJsUtil.assignJsVar(stringBuffer, "route", "pointCount", (double) walkPath.getSteps().get(0).getPolyline().size());
        MapJsUtil.assignJsVar(stringBuffer, "route", "distance", (double) walkPath.getSteps().get(0).getDistance());
        MapJsUtil.assignJsVar(stringBuffer, "route", "routeTip", walkPath.getSteps().get(0).getInstruction());
        String str = "Route_" + walkPath.hashCode();
        MapJsUtil.assignJsVar(stringBuffer, "route", "_UUID_", str);
        JsMapRoute jsMapRoute = new JsMapRoute(this.mIWebview);
        jsMapRoute.setRoute(walkPath);
        jsMapRoute.setPoint(mapPoint, mapPoint2);
        JsMapManager.getJsMapManager().putJsObject(str, jsMapRoute);
        return MapJsUtil.wrapJsEvalString(stringBuffer.toString(), "route");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private JSONArray toDriveRouteArray(List<DrivePath> list, MapPoint mapPoint, MapPoint mapPoint2) {
        JSONArray jSONArray = new JSONArray();
        for (DrivePath drivePath : list) {
            jSONArray.put(create_jsDriveRouteObject(drivePath, mapPoint, mapPoint2));
        }
        return jSONArray;
    }

    private String create_jsDriveRouteObject(DrivePath drivePath, MapPoint mapPoint, MapPoint mapPoint2) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(create_js_Point_Obj(mapPoint, "sp"));
        stringBuffer.append(create_js_Point_Obj(mapPoint2, "ep"));
        MapJsUtil.create_Js_Var(stringBuffer, "route", "plus.maps.Route", "sp" + "," + "ep" + ",false");
        MapJsUtil.assignJsVar(stringBuffer, "route", "pointCount", (double) drivePath.getSteps().get(0).getPolyline().size());
        MapJsUtil.assignJsVar(stringBuffer, "route", "distance", (double) drivePath.getSteps().get(0).getDistance());
        MapJsUtil.assignJsVar(stringBuffer, "route", "routeTip", drivePath.getSteps().get(0).getInstruction());
        String str = "Route_" + drivePath.hashCode();
        MapJsUtil.assignJsVar(stringBuffer, "route", "_UUID_", str);
        JsMapRoute jsMapRoute = new JsMapRoute(this.mIWebview);
        jsMapRoute.setRoute(drivePath);
        jsMapRoute.setPoint(mapPoint, mapPoint2);
        JsMapManager.getJsMapManager().putJsObject(str, jsMapRoute);
        JSONArray jSONArray = new JSONArray();
        for (DriveStep driveStep : drivePath.getSteps()) {
            for (LatLonPoint latLonPoint : driveStep.getPolyline()) {
                jSONArray.put(create_js_Point_Obj(getMapPoint(latLonPoint), null));
            }
        }
        MapJsUtil.assignJsVar(stringBuffer, "route", "pointList", jSONArray);
        return MapJsUtil.wrapJsEvalString(stringBuffer.toString(), "route");
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private JSONArray toBusRouteArray(List<BusPath> list, MapPoint mapPoint, MapPoint mapPoint2) {
        JSONArray jSONArray = new JSONArray();
        for (BusPath busPath : list) {
            jSONArray.put(create_jsBusRouteObject(busPath, mapPoint, mapPoint2));
        }
        return jSONArray;
    }

    private String create_jsBusRouteObject(BusPath busPath, MapPoint mapPoint, MapPoint mapPoint2) {
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append(create_js_Point_Obj(mapPoint, "sp"));
        stringBuffer.append(create_js_Point_Obj(mapPoint2, "ep"));
        MapJsUtil.create_Js_Var(stringBuffer, "route", "plus.maps.Route", "sp" + "," + "ep" + ",false");
        MapJsUtil.assignJsVar(stringBuffer, "route", "distance", (double) busPath.getDistance());
        MapJsUtil.assignJsVar(stringBuffer, "route", "routeTip", "");
        String str = "Route_" + busPath.hashCode();
        MapJsUtil.assignJsVar(stringBuffer, "route", "_UUID_", str);
        JsMapRoute jsMapRoute = new JsMapRoute(this.mIWebview);
        jsMapRoute.setRoute(busPath);
        jsMapRoute.setPoint(mapPoint, mapPoint2);
        JsMapManager.getJsMapManager().putJsObject(str, jsMapRoute);
        return MapJsUtil.wrapJsEvalString(stringBuffer.toString(), "route");
    }

    public void setMapView(DHMapView dHMapView) {
        this.mMapView = dHMapView;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private void route_error_callback_js(int i, String str) {
        StringBuffer stringBuffer = new StringBuffer();
        create_js_SearchRouteResult_Obj("srr", stringBuffer);
        MapJsUtil.assignJsVar(stringBuffer, "srr", "__state__", (double) i);
        MapJsUtil.assignJsVar(stringBuffer, "srr", "__type__", 1.0d);
        onSearchComplete(1, MapJsUtil.wrapJsEvalString(stringBuffer.toString(), "srr"));
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private MapPoint getMapPoint(LatLonPoint latLonPoint) {
        return new MapPoint(latLonPoint.getLatitude() + "", latLonPoint.getLongitude() + "");
    }
}
