package io.dcloud.js.map.amap.adapter;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.text.TextUtils;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

class PopViewLayout extends LinearLayout {
    private ImageView mImageView;
    private TextView mTextView;

    public PopViewLayout(Context context, String str, Drawable drawable) {
        super(context);
        this.mTextView = new TextView(context);
        if (!TextUtils.isEmpty(str)) {
            this.mTextView.setText(str);
        }
        ImageView imageView = new ImageView(context);
        this.mImageView = imageView;
        if (drawable != null) {
            imageView.setImageDrawable(drawable);
        }
        addView(this.mImageView);
        addView(this.mTextView);
    }

    /* access modifiers changed from: package-private */
    public void setBubbleLabel(String str) {
        if (!TextUtils.isEmpty(str)) {
            this.mTextView.setText(str);
        }
    }

    /* access modifiers changed from: package-private */
    public void setBubbleIcon(Drawable drawable) {
        if (drawable != null) {
            this.mImageView.setImageDrawable(drawable);
        }
    }
}
