package io.dcloud.share.mm;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import androidx.localbroadcastmanager.content.LocalBroadcastManager;
import com.tencent.mm.opensdk.modelbase.BaseReq;
import com.tencent.mm.opensdk.modelbase.BaseResp;
import com.tencent.mm.opensdk.modelbiz.WXLaunchMiniProgram;
import com.tencent.mm.opensdk.modelmsg.ShowMessageFromWX;
import com.tencent.mm.opensdk.modelmsg.WXAppExtendObject;
import com.tencent.mm.opensdk.modelmsg.WXMediaMessage;
import com.tencent.mm.opensdk.modelmsg.WXMusicVideoObject;
import com.tencent.mm.opensdk.openapi.IWXAPIEventHandler;
import com.tencent.mm.opensdk.openapi.WXAPIFactory;
import io.dcloud.ProcessMediator;
import io.dcloud.common.DHInterface.FeatureMessageDispatcher;
import io.dcloud.common.adapter.util.AndroidResources;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.constant.IntentConst;

public class AbsWXCallbackActivity extends Activity implements IWXAPIEventHandler {
    /* access modifiers changed from: protected */
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        try {
            WXAPIFactory.createWXAPI(this, AndroidResources.getMetaValue("WX_APPID"), false).handleIntent(getIntent(), this);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.tencent.mm.opensdk.openapi.IWXAPIEventHandler
    public void onReq(BaseReq baseReq) {
        FeatureMessageDispatcher.dispatchMessage(baseReq);
        if (ProcessMediator.isMultiProcess) {
            Intent intent = new Intent();
            boolean isEmpty = TextUtils.isEmpty(baseReq.transaction);
            String str = ProcessMediator.RESULT_ACTION;
            if (!isEmpty) {
                str = str + baseReq.transaction;
            }
            intent.setAction(str);
            Bundle bundle = new Bundle();
            bundle.putString("style", "BaseReq");
            baseReq.toBundle(bundle);
            intent.putExtra("result", bundle);
            LocalBroadcastManager.getInstance(this).sendBroadcast(intent);
        } else if (baseReq.getType() == 4) {
            goToMsg(baseReq);
        }
        finish();
    }

    private void goToMsg(BaseReq baseReq) {
        WXMediaMessage wXMediaMessage = ((ShowMessageFromWX.Req) baseReq).message;
        if (!(wXMediaMessage.mediaObject instanceof WXMusicVideoObject)) {
            Intent launchIntentForPackage = getPackageManager().getLaunchIntentForPackage(getPackageName());
            launchIntentForPackage.putExtra(AbsoluteConst.KEY_WX_SHOW_MESSAGE, ((WXAppExtendObject) wXMediaMessage.mediaObject).extInfo);
            launchIntentForPackage.putExtra(IntentConst.STREAM_LAUNCHER, "miniProgram");
            launchIntentForPackage.addFlags(524288);
            startActivity(launchIntentForPackage);
        }
    }

    private void goToMsg(BaseResp baseResp) {
        String str = ((WXLaunchMiniProgram.Resp) baseResp).extMsg;
        if (!TextUtils.isEmpty(str)) {
            Intent launchIntentForPackage = getPackageManager().getLaunchIntentForPackage(getPackageName());
            launchIntentForPackage.putExtra(AbsoluteConst.KEY_WX_SHOW_MESSAGE, str);
            launchIntentForPackage.putExtra(IntentConst.STREAM_LAUNCHER, "miniProgram");
            launchIntentForPackage.addFlags(524288);
            startActivity(launchIntentForPackage);
        }
    }

    @Override // com.tencent.mm.opensdk.openapi.IWXAPIEventHandler
    public void onResp(BaseResp baseResp) {
        FeatureMessageDispatcher.dispatchMessage(baseResp);
        if (ProcessMediator.isMultiProcess) {
            Intent intent = new Intent();
            boolean isEmpty = TextUtils.isEmpty(baseResp.transaction);
            String str = ProcessMediator.RESULT_ACTION;
            if (!isEmpty) {
                str = str + baseResp.transaction;
            }
            intent.setAction(str);
            Bundle bundle = new Bundle();
            bundle.putString("style", "BaseResp");
            baseResp.toBundle(bundle);
            intent.putExtra("result", bundle);
            LocalBroadcastManager.getInstance(this).sendBroadcast(intent);
        } else if (baseResp.getType() == 19) {
            goToMsg(baseResp);
        }
        overridePendingTransition(0, 0);
        finish();
    }
}
