package com.amap.api.col.p0003s;

import android.content.Context;
import android.text.TextUtils;
import com.amap.api.services.cloud.CloudItem;
import com.amap.api.services.cloud.CloudItemDetail;
import com.amap.api.services.cloud.CloudResult;
import com.amap.api.services.cloud.CloudSearch;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.district.DistrictSearchQuery;
import com.taobao.weex.common.Constants;
import com.taobao.weex.el.parse.Operators;
import io.dcloud.common.DHInterface.IApp;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Hashtable;
import java.util.List;
import java.util.Map;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/* renamed from: com.amap.api.col.3s.es  reason: invalid package */
/* compiled from: CloudSearchKeywordsHandler */
public final class es extends eq<CloudSearch.Query, CloudResult> {
    private int k = 0;

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.p0003s.en, com.amap.api.col.p0003s.em
    public final String c() {
        return null;
    }

    public es(Context context, CloudSearch.Query query) {
        super(context, query);
    }

    @Override // com.amap.api.col.p0003s.jq
    public final String getURL() {
        String str = et.e() + "/datasearch";
        String shape = ((CloudSearch.Query) this.b).getBound().getShape();
        if (shape.equals("Bound")) {
            return str + "/around";
        } else if (shape.equals("Polygon") || shape.equals("Rectangle")) {
            return str + "/polygon";
        } else if (!shape.equals(CloudSearch.SearchBound.LOCAL_SHAPE)) {
            return str;
        } else {
            return str + "/local";
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: c */
    public CloudResult a(String str) throws AMapException {
        ArrayList<CloudItem> arrayList = null;
        if (str == null || str.equals("")) {
            return CloudResult.createPagedResult((CloudSearch.Query) this.b, this.k, ((CloudSearch.Query) this.b).getBound(), ((CloudSearch.Query) this.b).getPageSize(), null);
        }
        try {
            arrayList = d(new JSONObject(str));
        } catch (JSONException e) {
            e.printStackTrace();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        return CloudResult.createPagedResult((CloudSearch.Query) this.b, this.k, ((CloudSearch.Query) this.b).getBound(), ((CloudSearch.Query) this.b).getPageSize(), arrayList);
    }

    private ArrayList<CloudItem> d(JSONObject jSONObject) throws JSONException {
        ArrayList<CloudItem> arrayList = new ArrayList<>();
        JSONArray a = a(jSONObject);
        if (a == null) {
            return arrayList;
        }
        this.k = b(jSONObject);
        for (int i = 0; i < a.length(); i++) {
            JSONObject optJSONObject = a.optJSONObject(i);
            CloudItemDetail c = c(optJSONObject);
            a(c, optJSONObject);
            arrayList.add(c);
        }
        return arrayList;
    }

    @Override // com.amap.api.col.p0003s.jq, com.amap.api.col.p0003s.en, com.amap.api.col.p0003s.em
    public final Map<String, String> getParams() {
        Hashtable hashtable = new Hashtable(16);
        hashtable.put(IApp.ConfigProperty.CONFIG_KEY, he.f(this.i));
        hashtable.put("output", "json");
        if (((CloudSearch.Query) this.b).getBound() != null) {
            if (((CloudSearch.Query) this.b).getBound().getShape().equals("Bound")) {
                double a = eu.a(((CloudSearch.Query) this.b).getBound().getCenter().getLongitude());
                double a2 = eu.a(((CloudSearch.Query) this.b).getBound().getCenter().getLatitude());
                hashtable.put("center", a + "," + a2);
                StringBuilder sb = new StringBuilder();
                sb.append(((CloudSearch.Query) this.b).getBound().getRange());
                hashtable.put(Constant.Name.RADIUS, sb.toString());
            } else if (((CloudSearch.Query) this.b).getBound().getShape().equals("Rectangle")) {
                LatLonPoint lowerLeft = ((CloudSearch.Query) this.b).getBound().getLowerLeft();
                LatLonPoint upperRight = ((CloudSearch.Query) this.b).getBound().getUpperRight();
                double a3 = eu.a(lowerLeft.getLatitude());
                double a4 = eu.a(lowerLeft.getLongitude());
                double a5 = eu.a(upperRight.getLatitude());
                double a6 = eu.a(upperRight.getLongitude());
                hashtable.put("polygon", a4 + "," + a3 + ";" + a6 + "," + a5);
            } else if (((CloudSearch.Query) this.b).getBound().getShape().equals("Polygon")) {
                List<LatLonPoint> polyGonList = ((CloudSearch.Query) this.b).getBound().getPolyGonList();
                if (polyGonList != null && polyGonList.size() > 0) {
                    hashtable.put("polygon", eu.a(polyGonList, ";"));
                }
            } else if (((CloudSearch.Query) this.b).getBound().getShape().equals(CloudSearch.SearchBound.LOCAL_SHAPE)) {
                hashtable.put(DistrictSearchQuery.KEYWORDS_CITY, ((CloudSearch.Query) this.b).getBound().getCity());
            }
        }
        hashtable.put("layerId", ((CloudSearch.Query) this.b).getTableID());
        if (!eu.a(f())) {
            hashtable.put("sortrule", f());
        }
        String g = g();
        if (!eu.a(g)) {
            hashtable.put(Constants.Name.FILTER, g);
        }
        String queryString = ((CloudSearch.Query) this.b).getQueryString();
        if (queryString == null || "".equals(queryString)) {
            hashtable.put("keywords", "");
        } else {
            hashtable.put("keywords", queryString);
        }
        StringBuilder sb2 = new StringBuilder();
        sb2.append(((CloudSearch.Query) this.b).getPageSize());
        hashtable.put(Constants.Name.PAGE_SIZE, sb2.toString());
        StringBuilder sb3 = new StringBuilder();
        sb3.append(((CloudSearch.Query) this.b).getPageNum());
        hashtable.put("pageNum", sb3.toString());
        String a7 = hh.a();
        String a8 = hh.a(this.i, a7, a(hashtable));
        hashtable.put("ts", a7);
        hashtable.put("scode", a8);
        return hashtable;
    }

    private static String d(String str) {
        return str != null ? str.replace(Operators.AND, "%26%26") : str;
    }

    private static String e(String str) {
        return str != null ? str.replace("%26%26", Operators.AND) : str;
    }

    private static String a(Map<String, String> map) {
        return f(b(map));
    }

    private static String f(String str) {
        try {
            if (TextUtils.isEmpty(str)) {
                return "";
            }
            str = d(str);
            String[] split = str.split("&");
            Arrays.sort(split);
            StringBuffer stringBuffer = new StringBuffer();
            for (String str2 : split) {
                stringBuffer.append(str2);
                stringBuffer.append("&");
            }
            String e = e(stringBuffer.toString());
            if (e.length() > 1) {
                return (String) e.subSequence(0, e.length() - 1);
            }
            return str;
        } catch (Throwable th) {
            ii.a(th, "ut", "sPa");
        }
    }

    private static String b(Map<String, String> map) {
        if (map == null) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        for (Map.Entry<String, String> entry : map.entrySet()) {
            if (sb.length() > 0) {
                sb.append("&");
            }
            sb.append(entry.getKey());
            sb.append("=");
            sb.append(entry.getValue());
        }
        return sb.toString();
    }

    private String f() {
        return ((CloudSearch.Query) this.b).getSortingrules() != null ? ((CloudSearch.Query) this.b).getSortingrules().toString() : "";
    }

    private String g() {
        StringBuffer stringBuffer = new StringBuffer();
        String filterString = ((CloudSearch.Query) this.b).getFilterString();
        String filterNumString = ((CloudSearch.Query) this.b).getFilterNumString();
        stringBuffer.append(filterString);
        if (!eu.a(filterString) && !eu.a(filterNumString)) {
            stringBuffer.append(Operators.AND);
        }
        stringBuffer.append(filterNumString);
        return stringBuffer.toString();
    }
}
