package com.amap.api.col.p0003s;

import android.content.Context;
import com.amap.api.col.p0003s.fq;
import com.amap.api.col.p0003s.fs;
import com.amap.api.services.core.AMapException;
import com.amap.api.services.core.LatLonPoint;
import com.amap.api.services.core.PoiItem;
import com.amap.api.services.core.ServiceSettings;
import com.amap.api.services.core.SuggestionCity;
import com.amap.api.services.poisearch.PoiResult;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONException;
import org.json.JSONObject;

/* renamed from: com.amap.api.col.3s.fl  reason: invalid package */
/* compiled from: PoiSearchKeywordsHandler */
public final class fl extends fj<fo, PoiResult> {
    private int k = 0;
    private boolean l = false;
    private List<String> m = new ArrayList();
    private List<SuggestionCity> n = new ArrayList();

    private static String b(boolean z) {
        return z ? "distance" : "weight";
    }

    public fl(Context context, fo foVar) {
        super(context, foVar);
    }

    @Override // com.amap.api.col.p0003s.jq
    public final String getURL() {
        String str = et.a() + "/place";
        if (((fo) this.b).b == null) {
            return str + "/text?";
        } else if (((fo) this.b).b.getShape().equals("Bound")) {
            String str2 = str + "/around?";
            this.l = true;
            return str2;
        } else if (!((fo) this.b).b.getShape().equals("Rectangle") && !((fo) this.b).b.getShape().equals("Polygon")) {
            return str;
        } else {
            return str + "/polygon?";
        }
    }

    /* access modifiers changed from: private */
    /* renamed from: d */
    public PoiResult a(String str) throws AMapException {
        ArrayList<PoiItem> arrayList = new ArrayList<>();
        if (str == null) {
            return PoiResult.createPagedResult(((fo) this.b).a, ((fo) this.b).b, this.m, this.n, ((fo) this.b).a.getPageSize(), this.k, arrayList);
        }
        try {
            JSONObject jSONObject = new JSONObject(str);
            this.k = jSONObject.optInt("count");
            arrayList = fc.c(jSONObject);
            if (!jSONObject.has("suggestion")) {
                return PoiResult.createPagedResult(((fo) this.b).a, ((fo) this.b).b, this.m, this.n, ((fo) this.b).a.getPageSize(), this.k, arrayList);
            }
            JSONObject optJSONObject = jSONObject.optJSONObject("suggestion");
            if (optJSONObject == null) {
                return PoiResult.createPagedResult(((fo) this.b).a, ((fo) this.b).b, this.m, this.n, ((fo) this.b).a.getPageSize(), this.k, arrayList);
            }
            this.n = fc.a(optJSONObject);
            this.m = fc.b(optJSONObject);
            return PoiResult.createPagedResult(((fo) this.b).a, ((fo) this.b).b, this.m, this.n, ((fo) this.b).a.getPageSize(), this.k, arrayList);
        } catch (JSONException e) {
            eu.a(e, "PoiSearchKeywordHandler", "paseJSONJSONException");
        } catch (Exception e2) {
            eu.a(e2, "PoiSearchKeywordHandler", "paseJSONException");
        }
    }

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.p0003s.en, com.amap.api.col.p0003s.em
    public final String c() {
        return a(true);
    }

    private String a(boolean z) {
        List<LatLonPoint> polyGonList;
        StringBuilder sb = new StringBuilder();
        sb.append("output=json");
        if (((fo) this.b).b != null) {
            if (((fo) this.b).b.getShape().equals("Bound")) {
                if (z) {
                    double a = eu.a(((fo) this.b).b.getCenter().getLongitude());
                    double a2 = eu.a(((fo) this.b).b.getCenter().getLatitude());
                    sb.append("&location=");
                    sb.append(a + "," + a2);
                }
                sb.append("&radius=");
                sb.append(((fo) this.b).b.getRange());
                sb.append("&sortrule=");
                sb.append(b(((fo) this.b).b.isDistanceSort()));
            } else if (((fo) this.b).b.getShape().equals("Rectangle")) {
                LatLonPoint lowerLeft = ((fo) this.b).b.getLowerLeft();
                LatLonPoint upperRight = ((fo) this.b).b.getUpperRight();
                double a3 = eu.a(lowerLeft.getLatitude());
                double a4 = eu.a(lowerLeft.getLongitude());
                double a5 = eu.a(upperRight.getLatitude());
                double a6 = eu.a(upperRight.getLongitude());
                sb.append("&polygon=" + a4 + "," + a3 + ";" + a6 + "," + a5);
            } else if (((fo) this.b).b.getShape().equals("Polygon") && (polyGonList = ((fo) this.b).b.getPolyGonList()) != null && polyGonList.size() > 0) {
                sb.append("&polygon=" + eu.a(polyGonList));
            }
        }
        String city = ((fo) this.b).a.getCity();
        if (!c(city)) {
            String b = b(city);
            sb.append("&city=");
            sb.append(b);
        }
        String b2 = b(((fo) this.b).a.getQueryString());
        if (!c(b2)) {
            sb.append("&keywords=");
            sb.append(b2);
        }
        sb.append("&offset=");
        sb.append(((fo) this.b).a.getPageSize());
        sb.append("&page=");
        sb.append(((fo) this.b).a.getPageNum());
        String building = ((fo) this.b).a.getBuilding();
        if (building != null && building.trim().length() > 0) {
            sb.append("&building=");
            sb.append(((fo) this.b).a.getBuilding());
        }
        String b3 = b(((fo) this.b).a.getCategory());
        if (!c(b3)) {
            sb.append("&types=");
            sb.append(b3);
        }
        if (!c(((fo) this.b).a.getExtensions())) {
            sb.append("&extensions=");
            sb.append(((fo) this.b).a.getExtensions());
        } else {
            sb.append("&extensions=base");
        }
        sb.append("&key=");
        sb.append(he.f(this.i));
        if (((fo) this.b).a.getCityLimit()) {
            sb.append("&citylimit=true");
        } else {
            sb.append("&citylimit=false");
        }
        if (((fo) this.b).a.isRequireSubPois()) {
            sb.append("&children=1");
        } else {
            sb.append("&children=0");
        }
        if (this.l) {
            if (((fo) this.b).a.isSpecial()) {
                sb.append("&special=1");
            } else {
                sb.append("&special=0");
            }
        }
        if (((fo) this.b).b == null && ((fo) this.b).a.getLocation() != null) {
            sb.append("&sortrule=");
            sb.append(b(((fo) this.b).a.isDistanceSort()));
            double a7 = eu.a(((fo) this.b).a.getLocation().getLongitude());
            double a8 = eu.a(((fo) this.b).a.getLocation().getLatitude());
            sb.append("&location=");
            sb.append(a7 + "," + a8);
        }
        return sb.toString();
    }

    private static fs f() {
        fr a = fq.a().a("regeo");
        if (a == null) {
            return null;
        }
        return (fs) a;
    }

    /* access modifiers changed from: protected */
    @Override // com.amap.api.col.p0003s.em
    public final fq.b e() {
        fq.b bVar = new fq.b();
        if (this.l) {
            fs f = f();
            double d = 0.0d;
            if (f != null) {
                d = f.a();
            }
            bVar.a = getURL() + a(false) + "language=" + ServiceSettings.getInstance().getLanguage();
            if (((fo) this.b).b.getShape().equals("Bound")) {
                bVar.b = new fs.a(eu.a(((fo) this.b).b.getCenter().getLatitude()), eu.a(((fo) this.b).b.getCenter().getLongitude()), d);
            }
        } else {
            bVar.a = getURL() + c() + "language=" + ServiceSettings.getInstance().getLanguage();
        }
        return bVar;
    }
}
