package com.amap.api.maps;

import android.content.Context;
import com.amap.api.col.p0003s.aa;
import com.amap.api.col.p0003s.de;
import com.amap.api.col.p0003s.di;
import com.amap.api.col.p0003s.il;
import com.amap.api.maps.model.LatLng;
import com.amap.api.services.geocoder.GeocodeSearch;

public class CoordinateConverter {
    private static final String TAG = "CoordinateConverter";
    private CoordType coordType = null;
    private Context ctx;
    private LatLng sourceLatLng = null;

    public enum CoordType {
        BAIDU,
        MAPBAR,
        GPS,
        MAPABC,
        SOSOMAP,
        ALIYUN,
        GOOGLE
    }

    public CoordinateConverter(Context context) {
        this.ctx = context;
    }

    public CoordinateConverter from(CoordType coordType2) {
        this.coordType = coordType2;
        return this;
    }

    public CoordinateConverter coord(LatLng latLng) {
        this.sourceLatLng = latLng;
        return this;
    }

    public LatLng convert() {
        LatLng latLng = null;
        if (this.coordType == null || this.sourceLatLng == null) {
            return null;
        }
        String str = "";
        try {
            switch (AnonymousClass1.a[this.coordType.ordinal()]) {
                case 1:
                    latLng = aa.a(this.sourceLatLng);
                    str = "baidu";
                    break;
                case 2:
                    latLng = aa.b(this.ctx, this.sourceLatLng);
                    str = "mapbar";
                    break;
                case 3:
                    str = "mapabc";
                    latLng = this.sourceLatLng;
                    break;
                case 4:
                    str = "sosomap";
                    latLng = this.sourceLatLng;
                    break;
                case 5:
                    str = "aliyun";
                    latLng = this.sourceLatLng;
                    break;
                case 6:
                    str = "google";
                    latLng = this.sourceLatLng;
                    break;
                case 7:
                    str = GeocodeSearch.GPS;
                    latLng = aa.a(this.ctx, this.sourceLatLng);
                    break;
            }
            di.a(this.ctx, str);
            return latLng;
        } catch (Throwable th) {
            th.printStackTrace();
            il.c(th, TAG, "convert");
            return this.sourceLatLng;
        }
    }

    /* renamed from: com.amap.api.maps.CoordinateConverter$1  reason: invalid class name */
    static /* synthetic */ class AnonymousClass1 {
        static final /* synthetic */ int[] a;

        /* JADX WARNING: Can't wrap try/catch for region: R(14:0|1|2|3|4|5|6|7|8|9|10|11|12|(3:13|14|16)) */
        /* JADX WARNING: Can't wrap try/catch for region: R(16:0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|16) */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:11:0x003e */
        /* JADX WARNING: Missing exception handler attribute for start block: B:13:0x0049 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0012 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001d */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0028 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0033 */
        static {
            int[] iArr = new int[CoordType.values().length];
            a = iArr;
            iArr[CoordType.BAIDU.ordinal()] = 1;
            a[CoordType.MAPBAR.ordinal()] = 2;
            a[CoordType.MAPABC.ordinal()] = 3;
            a[CoordType.SOSOMAP.ordinal()] = 4;
            a[CoordType.ALIYUN.ordinal()] = 5;
            a[CoordType.GOOGLE.ordinal()] = 6;
            try {
                a[CoordType.GPS.ordinal()] = 7;
            } catch (NoSuchFieldError unused) {
            }
        }
    }

    public static boolean isAMapDataAvailable(double d, double d2) {
        return de.a(d, d2);
    }
}
