package com.loc;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.text.TextUtils;
import java.lang.annotation.Annotation;
import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/* compiled from: DBOperation */
public final class ar {
    private static Map<Class<? extends aq>, aq> d = new HashMap();
    private au a;
    private SQLiteDatabase b;
    private aq c;

    public ar(Context context, aq aqVar) {
        try {
            this.a = new au(context.getApplicationContext(), aqVar.a(), aqVar);
        } catch (Throwable th) {
            th.printStackTrace();
        }
        this.c = aqVar;
    }

    private static ContentValues a(Object obj, as asVar) {
        ContentValues contentValues = new ContentValues();
        Field[] a2 = a(obj.getClass(), asVar.b());
        for (Field field : a2) {
            field.setAccessible(true);
            a(obj, field, contentValues);
        }
        return contentValues;
    }

    private SQLiteDatabase a() {
        try {
            if (this.b == null) {
                this.b = this.a.getReadableDatabase();
            }
        } catch (Throwable th) {
            ak.a(th, "dbs", "grd");
        }
        return this.b;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v3, resolved type: java.util.Map<java.lang.Class<? extends com.loc.aq>, com.loc.aq> */
    /* JADX WARN: Multi-variable type inference failed */
    public static synchronized aq a(Class<? extends aq> cls) throws IllegalAccessException, InstantiationException {
        aq aqVar;
        synchronized (ar.class) {
            if (d.get(cls) == null) {
                d.put(cls, cls.newInstance());
            }
            aqVar = d.get(cls);
        }
        return aqVar;
    }

    private static <T> T a(Cursor cursor, Class<T> cls, as asVar) throws IllegalAccessException, InstantiationException, NoSuchMethodException, InvocationTargetException {
        Object obj;
        Field[] a2 = a((Class<?>) cls, asVar.b());
        Constructor<T> declaredConstructor = cls.getDeclaredConstructor(new Class[0]);
        declaredConstructor.setAccessible(true);
        T newInstance = declaredConstructor.newInstance(new Object[0]);
        for (Field field : a2) {
            field.setAccessible(true);
            Annotation annotation = field.getAnnotation(at.class);
            if (annotation != null) {
                at atVar = (at) annotation;
                int b2 = atVar.b();
                int columnIndex = cursor.getColumnIndex(atVar.a());
                switch (b2) {
                    case 1:
                        obj = Short.valueOf(cursor.getShort(columnIndex));
                        field.set(newInstance, obj);
                        break;
                    case 2:
                        obj = Integer.valueOf(cursor.getInt(columnIndex));
                        field.set(newInstance, obj);
                        break;
                    case 3:
                        obj = Float.valueOf(cursor.getFloat(columnIndex));
                        field.set(newInstance, obj);
                        break;
                    case 4:
                        obj = Double.valueOf(cursor.getDouble(columnIndex));
                        field.set(newInstance, obj);
                        break;
                    case 5:
                        obj = Long.valueOf(cursor.getLong(columnIndex));
                        field.set(newInstance, obj);
                        break;
                    case 6:
                        obj = cursor.getString(columnIndex);
                        field.set(newInstance, obj);
                        break;
                    case 7:
                        field.set(newInstance, cursor.getBlob(columnIndex));
                        break;
                }
            }
        }
        return newInstance;
    }

    private static <T> String a(as asVar) {
        if (asVar == null) {
            return null;
        }
        return asVar.a();
    }

    private static <T> void a(SQLiteDatabase sQLiteDatabase, T t) {
        as b2 = b((Class) t.getClass());
        String a2 = a(b2);
        if (!TextUtils.isEmpty(a2) && t != null && sQLiteDatabase != null) {
            sQLiteDatabase.insert(a2, null, a((Object) t, b2));
        }
    }

    private <T> void a(T t) {
        b((Object) t);
    }

    private static void a(Object obj, Field field, ContentValues contentValues) {
        Annotation annotation = field.getAnnotation(at.class);
        if (annotation != null) {
            at atVar = (at) annotation;
            switch (atVar.b()) {
                case 1:
                    contentValues.put(atVar.a(), Short.valueOf(field.getShort(obj)));
                    return;
                case 2:
                    contentValues.put(atVar.a(), Integer.valueOf(field.getInt(obj)));
                    return;
                case 3:
                    contentValues.put(atVar.a(), Float.valueOf(field.getFloat(obj)));
                    return;
                case 4:
                    contentValues.put(atVar.a(), Double.valueOf(field.getDouble(obj)));
                    return;
                case 5:
                    contentValues.put(atVar.a(), Long.valueOf(field.getLong(obj)));
                    return;
                case 6:
                    contentValues.put(atVar.a(), (String) field.get(obj));
                    return;
                case 7:
                    try {
                        contentValues.put(atVar.a(), (byte[]) field.get(obj));
                        return;
                    } catch (IllegalAccessException e) {
                        e.printStackTrace();
                        return;
                    }
                default:
                    return;
            }
        }
    }

    private <T> void a(String str, Object obj) {
        synchronized (this.c) {
            if (obj != null) {
                as b2 = b((Class) obj.getClass());
                String a2 = a(b2);
                if (!TextUtils.isEmpty(a2)) {
                    ContentValues a3 = a(obj, b2);
                    SQLiteDatabase b3 = b();
                    this.b = b3;
                    if (b3 != null) {
                        try {
                            b3.update(a2, a3, str, null);
                            SQLiteDatabase sQLiteDatabase = this.b;
                            if (sQLiteDatabase != null) {
                                sQLiteDatabase.close();
                                this.b = null;
                            }
                        } catch (Throwable th) {
                            SQLiteDatabase sQLiteDatabase2 = this.b;
                            if (sQLiteDatabase2 != null) {
                                sQLiteDatabase2.close();
                                this.b = null;
                            }
                            throw th;
                        }
                    }
                }
            }
        }
    }

    private static Field[] a(Class<?> cls, boolean z) {
        if (cls == null) {
            return null;
        }
        return z ? cls.getSuperclass().getDeclaredFields() : cls.getDeclaredFields();
    }

    private SQLiteDatabase b() {
        try {
            SQLiteDatabase sQLiteDatabase = this.b;
            if (sQLiteDatabase == null || sQLiteDatabase.isReadOnly()) {
                SQLiteDatabase sQLiteDatabase2 = this.b;
                if (sQLiteDatabase2 != null) {
                    sQLiteDatabase2.close();
                }
                this.b = this.a.getWritableDatabase();
            }
        } catch (Throwable th) {
            ak.a(th, "dbs", "gwd");
        }
        return this.b;
    }

    private static <T> as b(Class<T> cls) {
        Annotation annotation = cls.getAnnotation(as.class);
        if (!(annotation != null)) {
            return null;
        }
        return (as) annotation;
    }

    /* JADX WARNING: Removed duplicated region for block: B:52:0x009c A[SYNTHETIC, Splitter:B:52:0x009c] */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x00ac A[Catch:{ all -> 0x00b2 }] */
    private <T> List<T> b(String str, Class<T> cls) {
        Throwable th;
        Cursor cursor;
        String str2;
        String str3;
        SQLiteDatabase sQLiteDatabase;
        synchronized (this.c) {
            ArrayList arrayList = new ArrayList();
            as b2 = b((Class) cls);
            String a2 = a(b2);
            if (this.b == null) {
                this.b = a();
            }
            if (this.b == null || TextUtils.isEmpty(a2) || str == null) {
                return arrayList;
            }
            try {
                cursor = this.b.query(a2, null, str, null, null, null, null);
                if (cursor == null) {
                    try {
                        this.b.close();
                        this.b = null;
                        if (cursor != null) {
                            try {
                                cursor.close();
                            } catch (Throwable th2) {
                                ak.a(th2, "dbs", "sld");
                            }
                        }
                        try {
                            SQLiteDatabase sQLiteDatabase2 = this.b;
                            if (sQLiteDatabase2 != null) {
                                sQLiteDatabase2.close();
                                this.b = null;
                            }
                        } catch (Throwable th3) {
                            ak.a(th3, "dbs", "sld");
                        }
                        return arrayList;
                    } catch (Throwable th4) {
                        th = th4;
                        try {
                            ak.a(th, "dbs", "sld");
                            if (cursor != null) {
                            }
                            try {
                                sQLiteDatabase = this.b;
                                if (sQLiteDatabase != null) {
                                }
                            } catch (Throwable th5) {
                                th = th5;
                                str2 = "dbs";
                                str3 = "sld";
                                ak.a(th, str2, str3);
                                return arrayList;
                            }
                            return arrayList;
                        } catch (Throwable th6) {
                            ak.a(th6, "dbs", "sld");
                        }
                    }
                } else {
                    while (cursor.moveToNext()) {
                        arrayList.add(a(cursor, cls, b2));
                    }
                    if (cursor != null) {
                        try {
                            cursor.close();
                        } catch (Throwable th7) {
                            ak.a(th7, "dbs", "sld");
                        }
                    }
                    try {
                        SQLiteDatabase sQLiteDatabase3 = this.b;
                        if (sQLiteDatabase3 != null) {
                            sQLiteDatabase3.close();
                            this.b = null;
                        }
                    } catch (Throwable th8) {
                        th = th8;
                        str2 = "dbs";
                        str3 = "sld";
                        ak.a(th, str2, str3);
                        return arrayList;
                    }
                    return arrayList;
                }
            } catch (Throwable th9) {
                th = th9;
                cursor = null;
                ak.a(th, "dbs", "sld");
                if (cursor != null) {
                    try {
                        cursor.close();
                    } catch (Throwable th10) {
                        ak.a(th10, "dbs", "sld");
                    }
                }
                sQLiteDatabase = this.b;
                if (sQLiteDatabase != null) {
                    sQLiteDatabase.close();
                    this.b = null;
                }
                return arrayList;
            }
        }
        SQLiteDatabase sQLiteDatabase4 = this.b;
        if (sQLiteDatabase4 != null) {
            sQLiteDatabase4.close();
            this.b = null;
        }
        throw th;
        throw th;
    }

    private <T> void b(T t) {
        synchronized (this.c) {
            SQLiteDatabase b2 = b();
            this.b = b2;
            if (b2 != null) {
                try {
                    a(b2, (Object) t);
                    SQLiteDatabase sQLiteDatabase = this.b;
                    if (sQLiteDatabase != null) {
                        sQLiteDatabase.close();
                        this.b = null;
                    }
                } catch (Throwable th) {
                    SQLiteDatabase sQLiteDatabase2 = this.b;
                    if (sQLiteDatabase2 != null) {
                        sQLiteDatabase2.close();
                        this.b = null;
                    }
                    throw th;
                }
            }
        }
    }

    private <T> void b(String str, Object obj) {
        a(str, obj);
    }

    public final <T> List<T> a(String str, Class<T> cls) {
        return b(str, (Class) cls);
    }

    public final void a(Object obj, String str) {
        synchronized (this.c) {
            List a2 = a(str, (Class) obj.getClass());
            if (a2 != null) {
                if (a2.size() != 0) {
                    b(str, obj);
                }
            }
            a(obj);
        }
    }
}
