package io.dcloud.feature.weex_amap.adapter;

import android.text.TextUtils;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.amap.api.maps.model.LatLng;
import com.amap.api.services.core.LatLonPoint;
import com.taobao.weex.utils.WXResourceUtils;
import io.dcloud.feature.weex_amap.adapter.Constant;
import java.util.ArrayList;

public class MapResourceUtils {
    public static int getColor(String str) {
        if (!TextUtils.isEmpty(str) && str.length() == 9 && str.startsWith("#")) {
            str = "#" + str.substring(7, 9) + str.substring(1, 7);
        }
        return WXResourceUtils.getColor(str);
    }

    public static ArrayList<LatLng> crateLatLngs(JSONArray jSONArray) {
        LatLng crateLatLng;
        ArrayList<LatLng> arrayList = new ArrayList<>();
        for (int i = 0; i < jSONArray.size(); i++) {
            try {
                Object obj = jSONArray.get(i);
                if (!(obj == null || !(obj instanceof JSONObject) || (crateLatLng = crateLatLng((JSONObject) obj)) == null)) {
                    arrayList.add(crateLatLng);
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        return arrayList;
    }

    public static LatLng crateLatLng(JSONObject jSONObject) {
        if (jSONObject == null || !jSONObject.containsKey(Constant.JSONKEY.LATITUDE) || !jSONObject.containsKey(Constant.JSONKEY.LONGITUDE)) {
            return null;
        }
        try {
            return new LatLng(jSONObject.getDouble(Constant.JSONKEY.LATITUDE).doubleValue(), jSONObject.getDouble(Constant.JSONKEY.LONGITUDE).doubleValue());
        } catch (Exception unused) {
            return null;
        }
    }

    public static JSONObject createJsLatLng(LatLng latLng) {
        JSONObject jSONObject = new JSONObject();
        if (latLng != null) {
            jSONObject.put(Constant.JSONKEY.LATITUDE, (Object) Double.valueOf(latLng.latitude));
            jSONObject.put(Constant.JSONKEY.LONGITUDE, (Object) Double.valueOf(latLng.longitude));
        }
        return jSONObject;
    }

    public static LatLonPoint createLatLonPoint(JSONObject jSONObject) {
        if (jSONObject == null || !jSONObject.containsKey(Constant.JSONKEY.LATITUDE) || !jSONObject.containsKey(Constant.JSONKEY.LONGITUDE)) {
            return null;
        }
        try {
            return new LatLonPoint(jSONObject.getDouble(Constant.JSONKEY.LATITUDE).doubleValue(), jSONObject.getDouble(Constant.JSONKEY.LONGITUDE).doubleValue());
        } catch (Exception unused) {
            return null;
        }
    }

    public static LatLng crateLatLng(Object obj, Object obj2) {
        if (obj == null || obj2 == null) {
            return null;
        }
        try {
            return new LatLng(Double.valueOf(obj.toString()).doubleValue(), Double.valueOf(obj2.toString()).doubleValue());
        } catch (Exception unused) {
            return null;
        }
    }

    public static boolean equalsLatLng(LatLng latLng, LatLng latLng2) {
        return latLng != null && latLng2 != null && latLng.latitude == latLng2.latitude && latLng2.longitude == latLng.longitude;
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:0:0x0000 */
    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:3:0x0005 */
    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.String */
    /* JADX DEBUG: Multi-variable search result rejected for r2v2, resolved type: java.lang.String */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r2v1, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r2v5, types: [float] */
    /* JADX WARN: Type inference failed for: r2v7, types: [int] */
    /* JADX WARNING: Can't wrap try/catch for region: R(4:3|4|5|6) */
    /* JADX WARNING: Can't wrap try/catch for region: R(4:7|8|9|10) */
    /* JADX WARNING: Code restructure failed: missing block: B:10:0x0010, code lost:
        return (int) java.lang.Double.parseDouble(r2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0011, code lost:
        return 0;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:4:?, code lost:
        r2 = java.lang.Float.parseFloat(r2);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:6:0x000a, code lost:
        return (int) r2;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0005 */
    /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x000b */
    public static int getJSONIntValue(String str) {
        str = Integer.parseInt(str);
        return str;
    }

    /* JADX DEBUG: Failed to insert an additional move for type inference into block B:0:0x0000 */
    /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.String */
    /* JADX DEBUG: Multi-variable search result rejected for r1v1, resolved type: java.lang.String */
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r1v4, types: [java.lang.Object, java.lang.Integer] */
    /* JADX WARNING: Can't wrap try/catch for region: R(3:3|4|6) */
    /* JADX WARNING: Code restructure failed: missing block: B:6:?, code lost:
        return java.lang.Integer.valueOf((int) java.lang.Float.parseFloat(r1));
     */
    /* JADX WARNING: Code restructure failed: missing block: B:7:?, code lost:
        return r1;
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0009 */
    public static Object getId(String str) {
        str = Integer.valueOf(Integer.parseInt(str));
        return str;
    }
}
